/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No 
* other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all 
* applicable laws, including copyright laws. 
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, 
* FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM 
* EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES 
* SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS 
* SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of 
* this software. By using this software, you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2022 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/
/***********************************************************************************************************************
* File Name    : iodefine.h
* Description  : 
***********************************************************************************************************************/
/***********************************************************************************************************************
* History : DD.MM.YYYY Version  Description
*         : 28.02.2022 1.20     First Release
*
***********************************************************************************************************************/
#ifndef __R7F124FIODEFINE_HEADER__
#define __R7F124FIODEFINE_HEADER__

typedef struct
{
    unsigned char no0:1;
    unsigned char no1:1;
    unsigned char no2:1;
    unsigned char no3:1;
    unsigned char no4:1;
    unsigned char no5:1;
    unsigned char no6:1;
    unsigned char no7:1;
} __bitf_T;

typedef struct
{
    unsigned char no0:1;
    unsigned char no1:1;
    unsigned char no2:1;
    unsigned char no3:1;
    unsigned char no4:1;
    unsigned char no5:1;
    unsigned char no6:1;
    unsigned char no7:1;
    unsigned char no8:1;
    unsigned char no9:1;
    unsigned char no10:1;
    unsigned char no11:1;
    unsigned char no12:1;
    unsigned char no13:1;
    unsigned char no14:1;
    unsigned char no15:1;
} __bitf_T2;



#define PIOR0          (*(volatile __near unsigned char  *)0x16)
#define PIOR1          (*(volatile __near unsigned char  *)0x17)
#define PIOR2          (*(volatile __near unsigned char  *)0x18)
#define PIOR3          (*(volatile __near unsigned char  *)0x19)
#define PIOR4          (*(volatile __near unsigned char  *)0x1A)
#define PIOR5          (*(volatile __near unsigned char  *)0x1B)
#define PIOR6          (*(volatile __near unsigned char  *)0x1C)
#define PIOR7          (*(volatile __near unsigned char  *)0x1D)
#define PIOR8          (*(volatile __near unsigned char  *)0x1E)
#define PIOR9          (*(volatile __near unsigned char  *)0x1F)
#define PITHL1         (*(volatile __near unsigned char  *)0x21)
#define PITHL1_bit     (*(volatile __near __bitf_T *)0x21)
#define PITHL3         (*(volatile __near unsigned char  *)0x23)
#define PITHL3_bit     (*(volatile __near __bitf_T *)0x23)
#define PITHL4         (*(volatile __near unsigned char  *)0x24)
#define PITHL4_bit     (*(volatile __near __bitf_T *)0x24)
#define PITHL5         (*(volatile __near unsigned char  *)0x25)
#define PITHL5_bit     (*(volatile __near __bitf_T *)0x25)
#define PITHL6         (*(volatile __near unsigned char  *)0x26)
#define PITHL6_bit     (*(volatile __near __bitf_T *)0x26)
#define PITHL7         (*(volatile __near unsigned char  *)0x27)
#define PITHL7_bit     (*(volatile __near __bitf_T *)0x27)
#define PITHL10        (*(volatile __near unsigned char  *)0x2A)
#define PITHL10_bit    (*(volatile __near __bitf_T *)0x2A)
#define PITHL12        (*(volatile __near unsigned char  *)0x2C)
#define PITHL12_bit    (*(volatile __near __bitf_T *)0x2C)
#define PITHL15        (*(volatile __near unsigned char  *)0x2F)
#define PITHL15_bit    (*(volatile __near __bitf_T *)0x2F)
#define PU0            (*(volatile __near unsigned char  *)0x30)
#define PU0_bit        (*(volatile __near __bitf_T *)0x30)
#define PU1            (*(volatile __near unsigned char  *)0x31)
#define PU1_bit        (*(volatile __near __bitf_T *)0x31)
#define PU3            (*(volatile __near unsigned char  *)0x33)
#define PU3_bit        (*(volatile __near __bitf_T *)0x33)
#define PU4            (*(volatile __near unsigned char  *)0x34)
#define PU4_bit        (*(volatile __near __bitf_T *)0x34)
#define PU5            (*(volatile __near unsigned char  *)0x35)
#define PU5_bit        (*(volatile __near __bitf_T *)0x35)
#define PU6            (*(volatile __near unsigned char  *)0x36)
#define PU6_bit        (*(volatile __near __bitf_T *)0x36)
#define PU7            (*(volatile __near unsigned char  *)0x37)
#define PU7_bit        (*(volatile __near __bitf_T *)0x37)
#define PU10           (*(volatile __near unsigned char  *)0x3A)
#define PU10_bit       (*(volatile __near __bitf_T *)0x3A)
#define PU12           (*(volatile __near unsigned char  *)0x3C)
#define PU12_bit       (*(volatile __near __bitf_T *)0x3C)
#define PU14           (*(volatile __near unsigned char  *)0x3E)
#define PU14_bit       (*(volatile __near __bitf_T *)0x3E)
#define PU15           (*(volatile __near unsigned char  *)0x3F)
#define PU15_bit       (*(volatile __near __bitf_T *)0x3F)
#define PIM1           (*(volatile __near unsigned char  *)0x41)
#define PIM1_bit       (*(volatile __near __bitf_T *)0x41)
#define PIM3           (*(volatile __near unsigned char  *)0x43)
#define PIM3_bit       (*(volatile __near __bitf_T *)0x43)
#define PIM5           (*(volatile __near unsigned char  *)0x45)
#define PIM5_bit       (*(volatile __near __bitf_T *)0x45)
#define PIM6           (*(volatile __near unsigned char  *)0x46)
#define PIM6_bit       (*(volatile __near __bitf_T *)0x46)
#define PIM7           (*(volatile __near unsigned char  *)0x47)
#define PIM7_bit       (*(volatile __near __bitf_T *)0x47)
#define PIM12          (*(volatile __near unsigned char  *)0x4C)
#define PIM12_bit      (*(volatile __near __bitf_T *)0x4C)
#define POM1           (*(volatile __near unsigned char  *)0x51)
#define POM1_bit       (*(volatile __near __bitf_T *)0x51)
#define POM3           (*(volatile __near unsigned char  *)0x53)
#define POM3_bit       (*(volatile __near __bitf_T *)0x53)
#define POM6           (*(volatile __near unsigned char  *)0x56)
#define POM6_bit       (*(volatile __near __bitf_T *)0x56)
#define POM7           (*(volatile __near unsigned char  *)0x57)
#define POM7_bit       (*(volatile __near __bitf_T *)0x57)
#define POM12          (*(volatile __near unsigned char  *)0x5C)
#define POM12_bit      (*(volatile __near __bitf_T *)0x5C)
#define PMC3           (*(volatile __near unsigned char  *)0x63)
#define PMC3_bit       (*(volatile __near __bitf_T *)0x63)
#define PMC7           (*(volatile __near unsigned char  *)0x67)
#define PMC7_bit       (*(volatile __near __bitf_T *)0x67)
#define PMC8           (*(volatile __near unsigned char  *)0x68)
#define PMC8_bit       (*(volatile __near __bitf_T *)0x68)
#define PMC9           (*(volatile __near unsigned char  *)0x69)
#define PMC9_bit       (*(volatile __near __bitf_T *)0x69)
#define PMC10          (*(volatile __near unsigned char  *)0x6A)
#define PMC10_bit      (*(volatile __near __bitf_T *)0x6A)
#define PMC12          (*(volatile __near unsigned char  *)0x6C)
#define PMC12_bit      (*(volatile __near __bitf_T *)0x6C)
#define NFEN0          (*(volatile __near unsigned char  *)0x70)
#define NFEN0_bit      (*(volatile __near __bitf_T *)0x70)
#define NFEN1          (*(volatile __near unsigned char  *)0x71)
#define NFEN1_bit      (*(volatile __near __bitf_T *)0x71)
#define NFEN2          (*(volatile __near unsigned char  *)0x72)
#define NFEN2_bit      (*(volatile __near __bitf_T *)0x72)
#define ISC            (*(volatile __near unsigned char  *)0x73)
#define ISC_bit        (*(volatile __near __bitf_T *)0x73)
#define TIS0           (*(volatile __near unsigned char  *)0x74)
#define TIS1           (*(volatile __near unsigned char  *)0x75)
#define RAMSAR         (*(volatile __near unsigned char  *)0x76)
#define PMS            (*(volatile __near unsigned char  *)0x77)
#define PMS_bit        (*(volatile __near __bitf_T *)0x77)
#define IAWCTL         (*(volatile __near unsigned char  *)0x78)
#define INTFLG0        (*(volatile __near unsigned char  *)0x79)
#define TIS2           (*(volatile __near unsigned char  *)0x7A)
#define LCHSEL         (*(volatile __near unsigned char  *)0x7B)
#define INTMSK         (*(volatile __near unsigned char  *)0x7C)
#define INTFLG1        (*(volatile __near unsigned char  *)0x7D)
#define DFLCTL         (*(volatile __near unsigned char  *)0x90)
#define DFLCTL_bit     (*(volatile __near __bitf_T *)0x90)
#define DFLEN          (((volatile __near __bitf_T *)0x90)->no0)
#define HIOTRM         (*(volatile __near unsigned char  *)0xA0)
#define HOCODIV        (*(volatile __near unsigned char  *)0xA8)
#define CFERRCTLR      (*(volatile __near unsigned char  *)0xB8)
#define CFERRSTR       (*(volatile __near unsigned char  *)0xB9)
#define ERRADR1L       (*(volatile __near unsigned short *)0xBA)
#define ERRADR2L       (*(volatile __near unsigned short *)0xBA)
#define ERRADR3L       (*(volatile __near unsigned short *)0xBA)
#define ERRADRL        (*(volatile __near unsigned short *)0xBA)
#define ERRADR1H       (*(volatile __near unsigned short *)0xBC)
#define ERRADR2H       (*(volatile __near unsigned short *)0xBC)
#define ERRADR3H       (*(volatile __near unsigned short *)0xBC)
#define ERRADRH        (*(volatile __near unsigned short *)0xBC)
#define FLPMC          (*(volatile __near unsigned char  *)0xC0)
#define FLARS          (*(volatile __near unsigned char  *)0xC1)
#define FLARS_bit      (*(volatile __near __bitf_T *)0xC1)
#define FLAPL          (*(volatile __near unsigned short *)0xC2)
#define FLAPH          (*(volatile __near unsigned char  *)0xC4)
#define FSSQ           (*(volatile __near unsigned char  *)0xC5)
#define FSSQ_bit       (*(volatile __near __bitf_T *)0xC5)
#define FSSTP          (((volatile __near __bitf_T *)0xC5)->no6)
#define SQST           (((volatile __near __bitf_T *)0xC5)->no7)
#define FLSEDL         (*(volatile __near unsigned short *)0xC6)
#define FLSEDH         (*(volatile __near unsigned char  *)0xC8)
#define FLRST          (*(volatile __near unsigned char  *)0xC9)
#define FLRST_bit      (*(volatile __near __bitf_T *)0xC9)
#define FSASTL         (*(volatile __near unsigned char  *)0xCA)
#define FSASTL_bit     (*(volatile __near __bitf_T *)0xCA)
#define FSASTH         (*(volatile __near unsigned char  *)0xCB)
#define FSASTH_bit     (*(volatile __near __bitf_T *)0xCB)
#define SQEND          (((volatile __near __bitf_T *)0xCB)->no6)
#define ESQEND         (((volatile __near __bitf_T *)0xCB)->no7)
#define FLWL           (*(volatile __near unsigned short *)0xCC)
#define FLWH           (*(volatile __near unsigned short *)0xCE)
#define SPMCTRL        (*(volatile __near unsigned char  *)0xD8)
#define SPOFR          (*(volatile __near unsigned short *)0xDA)
#define SPUFR          (*(volatile __near unsigned short *)0xDC)
#define ADCKS          (*(volatile __near unsigned char  *)0xE0)
#define PER0           (*(volatile __near unsigned char  *)0xF0)
#define PER0_bit       (*(volatile __near __bitf_T *)0xF0)
#define TAU0EN         (((volatile __near __bitf_T *)0xF0)->no0)
#define TAU1EN         (((volatile __near __bitf_T *)0xF0)->no1)
#define SAU0EN         (((volatile __near __bitf_T *)0xF0)->no2)
#define SAU1EN         (((volatile __near __bitf_T *)0xF0)->no3)
#define IICA0EN        (((volatile __near __bitf_T *)0xF0)->no4)
#define ADCEN          (((volatile __near __bitf_T *)0xF0)->no5)
#define RTCEN          (((volatile __near __bitf_T *)0xF0)->no7)
#define OSMC           (*(volatile __near unsigned char  *)0xF3)
#define BCDADJ         (*(volatile __near unsigned char  *)0xFE)
#define SSR00          (*(volatile __near unsigned short *)0x100)
#define SSR00L         (*(volatile __near unsigned char  *)0x100)
#define SSR01          (*(volatile __near unsigned short *)0x102)
#define SSR01L         (*(volatile __near unsigned char  *)0x102)
#define SIR00          (*(volatile __near unsigned short *)0x104)
#define SIR00L         (*(volatile __near unsigned char  *)0x104)
#define SIR01          (*(volatile __near unsigned short *)0x106)
#define SIR01L         (*(volatile __near unsigned char  *)0x106)
#define SMR00          (*(volatile __near unsigned short *)0x108)
#define SMR01          (*(volatile __near unsigned short *)0x10A)
#define SCR00          (*(volatile __near unsigned short *)0x10C)
#define SCR01          (*(volatile __near unsigned short *)0x10E)
#define SE0            (*(volatile __near unsigned short *)0x110)
#define SE0L           (*(volatile __near unsigned char  *)0x110)
#define SE0L_bit       (*(volatile __near __bitf_T *)0x110)
#define SS0            (*(volatile __near unsigned short *)0x112)
#define SS0L           (*(volatile __near unsigned char  *)0x112)
#define SS0L_bit       (*(volatile __near __bitf_T *)0x112)
#define ST0            (*(volatile __near unsigned short *)0x114)
#define ST0L           (*(volatile __near unsigned char  *)0x114)
#define ST0L_bit       (*(volatile __near __bitf_T *)0x114)
#define SPS0           (*(volatile __near unsigned short *)0x116)
#define SPS0L          (*(volatile __near unsigned char  *)0x116)
#define SO0            (*(volatile __near unsigned short *)0x118)
#define SOE0           (*(volatile __near unsigned short *)0x11A)
#define SOE0L          (*(volatile __near unsigned char  *)0x11A)
#define SOE0L_bit      (*(volatile __near __bitf_T *)0x11A)
#define SOL0           (*(volatile __near unsigned short *)0x120)
#define SOL0L          (*(volatile __near unsigned char  *)0x120)
#define SSE0           (*(volatile __near unsigned short *)0x122)
#define SSE0L          (*(volatile __near unsigned char  *)0x122)
#define SSR10          (*(volatile __near unsigned short *)0x140)
#define SSR10L         (*(volatile __near unsigned char  *)0x140)
#define SSR11          (*(volatile __near unsigned short *)0x142)
#define SSR11L         (*(volatile __near unsigned char  *)0x142)
#define SIR10          (*(volatile __near unsigned short *)0x144)
#define SIR10L         (*(volatile __near unsigned char  *)0x144)
#define SIR11          (*(volatile __near unsigned short *)0x146)
#define SIR11L         (*(volatile __near unsigned char  *)0x146)
#define SMR10          (*(volatile __near unsigned short *)0x148)
#define SMR11          (*(volatile __near unsigned short *)0x14A)
#define SCR10          (*(volatile __near unsigned short *)0x14C)
#define SCR11          (*(volatile __near unsigned short *)0x14E)
#define SE1            (*(volatile __near unsigned short *)0x150)
#define SE1L           (*(volatile __near unsigned char  *)0x150)
#define SE1L_bit       (*(volatile __near __bitf_T *)0x150)
#define SS1            (*(volatile __near unsigned short *)0x152)
#define SS1L           (*(volatile __near unsigned char  *)0x152)
#define SS1L_bit       (*(volatile __near __bitf_T *)0x152)
#define ST1            (*(volatile __near unsigned short *)0x154)
#define ST1L           (*(volatile __near unsigned char  *)0x154)
#define ST1L_bit       (*(volatile __near __bitf_T *)0x154)
#define SPS1           (*(volatile __near unsigned short *)0x156)
#define SPS1L          (*(volatile __near unsigned char  *)0x156)
#define SO1            (*(volatile __near unsigned short *)0x158)
#define SOE1           (*(volatile __near unsigned short *)0x15A)
#define SOE1L          (*(volatile __near unsigned char  *)0x15A)
#define SOE1L_bit      (*(volatile __near __bitf_T *)0x15A)
#define SOL1           (*(volatile __near unsigned short *)0x160)
#define SOL1L          (*(volatile __near unsigned char  *)0x160)
#define SSE1           (*(volatile __near unsigned short *)0x162)
#define SSE1L          (*(volatile __near unsigned char  *)0x162)
#define TCR00          (*(volatile __near unsigned short *)0x180)
#define TCR01          (*(volatile __near unsigned short *)0x182)
#define TCR02          (*(volatile __near unsigned short *)0x184)
#define TCR03          (*(volatile __near unsigned short *)0x186)
#define TCR04          (*(volatile __near unsigned short *)0x188)
#define TCR05          (*(volatile __near unsigned short *)0x18A)
#define TCR06          (*(volatile __near unsigned short *)0x18C)
#define TCR07          (*(volatile __near unsigned short *)0x18E)
#define TMR00          (*(volatile __near unsigned short *)0x190)
#define TMR01          (*(volatile __near unsigned short *)0x192)
#define TMR02          (*(volatile __near unsigned short *)0x194)
#define TMR03          (*(volatile __near unsigned short *)0x196)
#define TMR04          (*(volatile __near unsigned short *)0x198)
#define TMR05          (*(volatile __near unsigned short *)0x19A)
#define TMR06          (*(volatile __near unsigned short *)0x19C)
#define TMR07          (*(volatile __near unsigned short *)0x19E)
#define TSR00          (*(volatile __near unsigned short *)0x1A0)
#define TSR00L         (*(volatile __near unsigned char  *)0x1A0)
#define TSR01          (*(volatile __near unsigned short *)0x1A2)
#define TSR01L         (*(volatile __near unsigned char  *)0x1A2)
#define TSR02          (*(volatile __near unsigned short *)0x1A4)
#define TSR02L         (*(volatile __near unsigned char  *)0x1A4)
#define TSR03          (*(volatile __near unsigned short *)0x1A6)
#define TSR03L         (*(volatile __near unsigned char  *)0x1A6)
#define TSR04          (*(volatile __near unsigned short *)0x1A8)
#define TSR04L         (*(volatile __near unsigned char  *)0x1A8)
#define TSR05          (*(volatile __near unsigned short *)0x1AA)
#define TSR05L         (*(volatile __near unsigned char  *)0x1AA)
#define TSR06          (*(volatile __near unsigned short *)0x1AC)
#define TSR06L         (*(volatile __near unsigned char  *)0x1AC)
#define TSR07          (*(volatile __near unsigned short *)0x1AE)
#define TSR07L         (*(volatile __near unsigned char  *)0x1AE)
#define TE0            (*(volatile __near unsigned short *)0x1B0)
#define TE0L           (*(volatile __near unsigned char  *)0x1B0)
#define TE0L_bit       (*(volatile __near __bitf_T *)0x1B0)
#define TS0            (*(volatile __near unsigned short *)0x1B2)
#define TS0L           (*(volatile __near unsigned char  *)0x1B2)
#define TS0L_bit       (*(volatile __near __bitf_T *)0x1B2)
#define TT0            (*(volatile __near unsigned short *)0x1B4)
#define TT0L           (*(volatile __near unsigned char  *)0x1B4)
#define TT0L_bit       (*(volatile __near __bitf_T *)0x1B4)
#define TPS0           (*(volatile __near unsigned short *)0x1B6)
#define TO0            (*(volatile __near unsigned short *)0x1B8)
#define TO0L           (*(volatile __near unsigned char  *)0x1B8)
#define TOE0           (*(volatile __near unsigned short *)0x1BA)
#define TOE0L          (*(volatile __near unsigned char  *)0x1BA)
#define TOE0L_bit      (*(volatile __near __bitf_T *)0x1BA)
#define TOL0           (*(volatile __near unsigned short *)0x1BC)
#define TOL0L          (*(volatile __near unsigned char  *)0x1BC)
#define TOM0           (*(volatile __near unsigned short *)0x1BE)
#define TOM0L          (*(volatile __near unsigned char  *)0x1BE)
#define TCR10          (*(volatile __near unsigned short *)0x1C0)
#define TCR11          (*(volatile __near unsigned short *)0x1C2)
#define TCR12          (*(volatile __near unsigned short *)0x1C4)
#define TCR13          (*(volatile __near unsigned short *)0x1C6)
#define TCR14          (*(volatile __near unsigned short *)0x1C8)
#define TCR15          (*(volatile __near unsigned short *)0x1CA)
#define TCR16          (*(volatile __near unsigned short *)0x1CC)
#define TCR17          (*(volatile __near unsigned short *)0x1CE)
#define TMR10          (*(volatile __near unsigned short *)0x1D0)
#define TMR11          (*(volatile __near unsigned short *)0x1D2)
#define TMR12          (*(volatile __near unsigned short *)0x1D4)
#define TMR13          (*(volatile __near unsigned short *)0x1D6)
#define TMR14          (*(volatile __near unsigned short *)0x1D8)
#define TMR15          (*(volatile __near unsigned short *)0x1DA)
#define TMR16          (*(volatile __near unsigned short *)0x1DC)
#define TMR17          (*(volatile __near unsigned short *)0x1DE)
#define TSR10          (*(volatile __near unsigned short *)0x1E0)
#define TSR10L         (*(volatile __near unsigned char  *)0x1E0)
#define TSR11          (*(volatile __near unsigned short *)0x1E2)
#define TSR11L         (*(volatile __near unsigned char  *)0x1E2)
#define TSR12          (*(volatile __near unsigned short *)0x1E4)
#define TSR12L         (*(volatile __near unsigned char  *)0x1E4)
#define TSR13          (*(volatile __near unsigned short *)0x1E6)
#define TSR13L         (*(volatile __near unsigned char  *)0x1E6)
#define TSR14          (*(volatile __near unsigned short *)0x1E8)
#define TSR14L         (*(volatile __near unsigned char  *)0x1E8)
#define TSR15          (*(volatile __near unsigned short *)0x1EA)
#define TSR15L         (*(volatile __near unsigned char  *)0x1EA)
#define TSR16          (*(volatile __near unsigned short *)0x1EC)
#define TSR16L         (*(volatile __near unsigned char  *)0x1EC)
#define TSR17          (*(volatile __near unsigned short *)0x1EE)
#define TSR17L         (*(volatile __near unsigned char  *)0x1EE)
#define TE1            (*(volatile __near unsigned short *)0x1F0)
#define TE1L           (*(volatile __near unsigned char  *)0x1F0)
#define TE1L_bit       (*(volatile __near __bitf_T *)0x1F0)
#define TS1            (*(volatile __near unsigned short *)0x1F2)
#define TS1L           (*(volatile __near unsigned char  *)0x1F2)
#define TS1L_bit       (*(volatile __near __bitf_T *)0x1F2)
#define TT1            (*(volatile __near unsigned short *)0x1F4)
#define TT1L           (*(volatile __near unsigned char  *)0x1F4)
#define TT1L_bit       (*(volatile __near __bitf_T *)0x1F4)
#define TPS1           (*(volatile __near unsigned short *)0x1F6)
#define TO1            (*(volatile __near unsigned short *)0x1F8)
#define TO1L           (*(volatile __near unsigned char  *)0x1F8)
#define TOE1           (*(volatile __near unsigned short *)0x1FA)
#define TOE1L          (*(volatile __near unsigned char  *)0x1FA)
#define TOE1L_bit      (*(volatile __near __bitf_T *)0x1FA)
#define TOL1           (*(volatile __near unsigned short *)0x1FC)
#define TOL1L          (*(volatile __near unsigned char  *)0x1FC)
#define TOM1           (*(volatile __near unsigned short *)0x1FE)
#define TOM1L          (*(volatile __near unsigned char  *)0x1FE)
#define ERADR          (*(volatile __near unsigned short *)0x200)
#define ECCIER         (*(volatile __near unsigned char  *)0x202)
#define ECCER          (*(volatile __near unsigned char  *)0x203)
#define ECCTPR         (*(volatile __near unsigned char  *)0x204)
#define ECCTMDR        (*(volatile __near unsigned char  *)0x205)
#define ECCDWRVR       (*(volatile __near unsigned short *)0x206)
#define PSRSEL         (*(volatile __near unsigned char  *)0x220)
#define PSRSEL_bit     (*(volatile __near __bitf_T *)0x220)
#define PSNZCNT0       (*(volatile __near unsigned char  *)0x222)
#define PSNZCNT0_bit   (*(volatile __near __bitf_T *)0x222)
#define PSNZCNT1       (*(volatile __near unsigned char  *)0x223)
#define PSNZCNT1_bit   (*(volatile __near __bitf_T *)0x223)
#define PSNZCNT2       (*(volatile __near unsigned char  *)0x224)
#define PSNZCNT2_bit   (*(volatile __near __bitf_T *)0x224)
#define PSNZCNT3       (*(volatile __near unsigned char  *)0x225)
#define PSNZCNT3_bit   (*(volatile __near __bitf_T *)0x225)
#define DAM2           (*(volatile __near unsigned char  *)0x227)
#define DAM2_bit       (*(volatile __near __bitf_T *)0x227)
#define ANO0EN         (((volatile __near __bitf_T *)0x227)->no0)
#define PWMDLY0        (*(volatile __near unsigned short *)0x228)
#define PWMDLY1        (*(volatile __near unsigned short *)0x22A)
#define PWMDLY2        (*(volatile __near unsigned short *)0x22C)
#define IICCTL00       (*(volatile __near unsigned char  *)0x230)
#define IICCTL00_bit   (*(volatile __near __bitf_T *)0x230)
#define SPT0           (((volatile __near __bitf_T *)0x230)->no0)
#define STT0           (((volatile __near __bitf_T *)0x230)->no1)
#define ACKE0          (((volatile __near __bitf_T *)0x230)->no2)
#define WTIM0          (((volatile __near __bitf_T *)0x230)->no3)
#define SPIE0          (((volatile __near __bitf_T *)0x230)->no4)
#define WREL0          (((volatile __near __bitf_T *)0x230)->no5)
#define LREL0          (((volatile __near __bitf_T *)0x230)->no6)
#define IICE0          (((volatile __near __bitf_T *)0x230)->no7)
#define IICCTL01       (*(volatile __near unsigned char  *)0x231)
#define IICCTL01_bit   (*(volatile __near __bitf_T *)0x231)
#define PRS0           (((volatile __near __bitf_T *)0x231)->no0)
#define DFC0           (((volatile __near __bitf_T *)0x231)->no2)
#define SMC0           (((volatile __near __bitf_T *)0x231)->no3)
#define DAD0           (((volatile __near __bitf_T *)0x231)->no4)
#define CLD0           (((volatile __near __bitf_T *)0x231)->no5)
#define WUP0           (((volatile __near __bitf_T *)0x231)->no7)
#define IICWL0         (*(volatile __near unsigned char  *)0x232)
#define IICWH0         (*(volatile __near unsigned char  *)0x233)
#define SVA0           (*(volatile __near unsigned char  *)0x234)
#define TRJCR0         (*(volatile __near unsigned char  *)0x240)
#define TRJIOC0        (*(volatile __near unsigned char  *)0x241)
#define TRJIOC0_bit    (*(volatile __near __bitf_T *)0x241)
#define TRJMR0         (*(volatile __near unsigned char  *)0x242)
#define TRJMR0_bit     (*(volatile __near __bitf_T *)0x242)
#define TRJISR0        (*(volatile __near unsigned char  *)0x243)
#define TRJISR0_bit    (*(volatile __near __bitf_T *)0x243)
#define OPCTL0         (*(volatile __near unsigned char  *)0x248)
#define OPCTL0_bit     (*(volatile __near __bitf_T *)0x248)
#define HZ_REL         (((volatile __near __bitf_T *)0x248)->no1)
#define OPDF0          (*(volatile __near unsigned char  *)0x249)
#define OPDF1          (*(volatile __near unsigned char  *)0x24A)
#define OPEDGE         (*(volatile __near unsigned char  *)0x24B)
#define OPSR           (*(volatile __near unsigned char  *)0x24C)
#define OPSR_bit       (*(volatile __near __bitf_T *)0x24C)
#define TRDMBKCTL      (*(volatile __near unsigned char  *)0x24E)
#define TRDMBKCMP      (*(volatile __near unsigned char  *)0x24F)
#define TRDELC         (*(volatile __near unsigned char  *)0x250)
#define TRDELC_bit     (*(volatile __near __bitf_T *)0x250)
#define TRDSTR         (*(volatile __near unsigned char  *)0x253)
#define TRDMR          (*(volatile __near unsigned char  *)0x254)
#define TRDMR_bit      (*(volatile __near __bitf_T *)0x254)
#define TRDSYNC        (((volatile __near __bitf_T *)0x254)->no0)
#define TRDBFC0        (((volatile __near __bitf_T *)0x254)->no4)
#define TRDBFD0        (((volatile __near __bitf_T *)0x254)->no5)
#define TRDBFC1        (((volatile __near __bitf_T *)0x254)->no6)
#define TRDBFD1        (((volatile __near __bitf_T *)0x254)->no7)
#define TRDPMR         (*(volatile __near unsigned char  *)0x255)
#define TRDPMR_bit     (*(volatile __near __bitf_T *)0x255)
#define TRDPWMB0       (((volatile __near __bitf_T *)0x255)->no0)
#define TRDPWMC0       (((volatile __near __bitf_T *)0x255)->no1)
#define TRDPWMD0       (((volatile __near __bitf_T *)0x255)->no2)
#define TRDPWMB1       (((volatile __near __bitf_T *)0x255)->no4)
#define TRDPWMC1       (((volatile __near __bitf_T *)0x255)->no5)
#define TRDPWMD1       (((volatile __near __bitf_T *)0x255)->no6)
#define TRDFCR         (*(volatile __near unsigned char  *)0x256)
#define TRDFCR_bit     (*(volatile __near __bitf_T *)0x256)
#define TRDOER1        (*(volatile __near unsigned char  *)0x257)
#define TRDOER1_bit    (*(volatile __near __bitf_T *)0x257)
#define TRDOER2        (*(volatile __near unsigned char  *)0x258)
#define TRDOER2_bit    (*(volatile __near __bitf_T *)0x258)
#define TRDSHUTS       (((volatile __near __bitf_T *)0x258)->no0)
#define TRDPTO         (((volatile __near __bitf_T *)0x258)->no7)
#define TRDOCR         (*(volatile __near unsigned char  *)0x259)
#define TRDOCR_bit     (*(volatile __near __bitf_T *)0x259)
#define TRDDF0         (*(volatile __near unsigned char  *)0x25A)
#define TRDDF0_bit     (*(volatile __near __bitf_T *)0x25A)
#define TRDDF1         (*(volatile __near unsigned char  *)0x25B)
#define TRDDF1_bit     (*(volatile __near __bitf_T *)0x25B)
#define TRDCR0         (*(volatile __near unsigned char  *)0x260)
#define TRDCR0_bit     (*(volatile __near __bitf_T *)0x260)
#define TRDIORA0       (*(volatile __near unsigned char  *)0x261)
#define TRDIORA0_bit   (*(volatile __near __bitf_T *)0x261)
#define TRDIORC0       (*(volatile __near unsigned char  *)0x262)
#define TRDIORC0_bit   (*(volatile __near __bitf_T *)0x262)
#define TRDSR0         (*(volatile __near unsigned char  *)0x263)
#define TRDSR0_bit     (*(volatile __near __bitf_T *)0x263)
#define TRDIER0        (*(volatile __near unsigned char  *)0x264)
#define TRDIER0_bit    (*(volatile __near __bitf_T *)0x264)
#define TRDPOCR0       (*(volatile __near unsigned char  *)0x265)
#define TRDPOCR0_bit   (*(volatile __near __bitf_T *)0x265)
#define TRD0           (*(volatile __near unsigned short *)0x266)
#define TRDGRA0        (*(volatile __near unsigned short *)0x268)
#define TRDGRB0        (*(volatile __near unsigned short *)0x26A)
#define TRDCR1         (*(volatile __near unsigned char  *)0x270)
#define TRDCR1_bit     (*(volatile __near __bitf_T *)0x270)
#define TRDIORA1       (*(volatile __near unsigned char  *)0x271)
#define TRDIORA1_bit   (*(volatile __near __bitf_T *)0x271)
#define TRDIORC1       (*(volatile __near unsigned char  *)0x272)
#define TRDIORC1_bit   (*(volatile __near __bitf_T *)0x272)
#define TRDSR1         (*(volatile __near unsigned char  *)0x273)
#define TRDSR1_bit     (*(volatile __near __bitf_T *)0x273)
#define TRDIER1        (*(volatile __near unsigned char  *)0x274)
#define TRDIER1_bit    (*(volatile __near __bitf_T *)0x274)
#define TRDPOCR1       (*(volatile __near unsigned char  *)0x275)
#define TRDPOCR1_bit   (*(volatile __near __bitf_T *)0x275)
#define TRD1           (*(volatile __near unsigned short *)0x276)
#define TRDGRA1        (*(volatile __near unsigned short *)0x278)
#define TRDGRB1        (*(volatile __near unsigned short *)0x27A)
#define TRDCMPB0       (*(volatile __near unsigned short *)0x280)
#define TRDCMPA1       (*(volatile __near unsigned short *)0x284)
#define TRDCMPB1       (*(volatile __near unsigned short *)0x288)
#define TRDADTC0       (*(volatile __near unsigned short *)0x28C)
#define TRDADTC1       (*(volatile __near unsigned short *)0x290)
#define TRDRSF0        (*(volatile __near unsigned char  *)0x296)
#define TRDRSF0_bit    (*(volatile __near __bitf_T *)0x296)
#define TRDRSF1        (*(volatile __near unsigned char  *)0x297)
#define TRDRSF1_bit    (*(volatile __near __bitf_T *)0x297)
#define TRDADCR        (*(volatile __near unsigned char  *)0x298)
#define TRDADCR_bit    (*(volatile __near __bitf_T *)0x298)
#define TRDEMR0        (*(volatile __near unsigned char  *)0x29A)
#define TRDEMR0_bit    (*(volatile __near __bitf_T *)0x29A)
#define TRDEMR1        (*(volatile __near unsigned char  *)0x29B)
#define TRDEMR1_bit    (*(volatile __near __bitf_T *)0x29B)
#define CMPCTL         (*(volatile __near unsigned char  *)0x2A0)
#define CMPCTL_bit     (*(volatile __near __bitf_T *)0x2A0)
#define COE            (((volatile __near __bitf_T *)0x2A0)->no1)
#define HCMPON         (((volatile __near __bitf_T *)0x2A0)->no7)
#define CMPSEL         (*(volatile __near unsigned char  *)0x2A1)
#define CMPSEL_bit     (*(volatile __near __bitf_T *)0x2A1)
#define CPOE           (((volatile __near __bitf_T *)0x2A1)->no6)
#define CMPMON         (*(volatile __near unsigned char  *)0x2A2)
#define CMPMON_bit     (*(volatile __near __bitf_T *)0x2A2)
#define ADTREG0        (*(volatile __near unsigned short *)0x2B0)
#define ADUTYL1        (*(volatile __near unsigned short *)0x2B0)
#define AIDBFL         (*(volatile __near unsigned short *)0x2B0)
#define AKPD           (*(volatile __near unsigned short *)0x2B0)
#define AL3REF         (*(volatile __near unsigned short *)0x2B0)
#define ADTREG1        (*(volatile __near unsigned short *)0x2B2)
#define ADUTYL2        (*(volatile __near unsigned short *)0x2B2)
#define AIDBFH         (*(volatile __near unsigned short *)0x2B2)
#define AKID           (*(volatile __near unsigned short *)0x2B2)
#define AL1OFS         (*(volatile __near unsigned short *)0x2B2)
#define ADTREG2        (*(volatile __near unsigned short *)0x2B4)
#define ADUTYL3        (*(volatile __near unsigned short *)0x2B4)
#define AIQBFL         (*(volatile __near unsigned short *)0x2B4)
#define AKPQ           (*(volatile __near unsigned short *)0x2B4)
#define AL2OFS         (*(volatile __near unsigned short *)0x2B4)
#define ADTREG3        (*(volatile __near unsigned short *)0x2B6)
#define AIPL1          (*(volatile __near unsigned short *)0x2B6)
#define AIQBFH         (*(volatile __near unsigned short *)0x2B6)
#define AKIQ           (*(volatile __near unsigned short *)0x2B6)
#define AL3OFS         (*(volatile __near unsigned short *)0x2B6)
#define ADOVER         (*(volatile __near unsigned short *)0x2B8)
#define AIPL2          (*(volatile __near unsigned short *)0x2B8)
#define AIPL3          (*(volatile __near unsigned short *)0x2BA)
#define AQOVER         (*(volatile __near unsigned short *)0x2BA)
#define ACTLREG        (*(volatile __near unsigned char  *)0x2BA)
#define ACTLREG_bit    (*(volatile __near __bitf_T *)0x2BA)
#define ADUTYMX        (*(volatile __near unsigned char  *)0x2BB)
#define AKRAG          (*(volatile __near unsigned char  *)0x2BB)
#define OST            (((volatile __near __bitf_T *)0x2BA)->no0)
#define STM            (((volatile __near __bitf_T *)0x2BA)->no1)
#define AIDREF         (*(volatile __near unsigned short *)0x2BC)
#define AILIM          (*(volatile __near unsigned short *)0x2BC)
#define AKI1           (*(volatile __near unsigned short *)0x2BC)
#define AL1REF         (*(volatile __near unsigned short *)0x2BC)
#define AIQREF         (*(volatile __near unsigned short *)0x2BE)
#define AKI2           (*(volatile __near unsigned short *)0x2BE)
#define AL2REF         (*(volatile __near unsigned short *)0x2BE)
#define APILIM         (*(volatile __near unsigned short *)0x2BE)
#define PER1           (*(volatile __near unsigned char  *)0x2C0)
#define PER1_bit       (*(volatile __near __bitf_T *)0x2C0)
#define TRJ0EN         (((volatile __near __bitf_T *)0x2C0)->no0)
#define PWMOPEN        (((volatile __near __bitf_T *)0x2C0)->no2)
#define DTCEN          (((volatile __near __bitf_T *)0x2C0)->no3)
#define TRD0EN         (((volatile __near __bitf_T *)0x2C0)->no4)
#define CMPEN          (((volatile __near __bitf_T *)0x2C0)->no5)
#define DACEN          (((volatile __near __bitf_T *)0x2C0)->no7)
#define PER2           (*(volatile __near unsigned char  *)0x2C1)
#define PER2_bit       (*(volatile __near __bitf_T *)0x2C1)
#define CAN0EN         (((volatile __near __bitf_T *)0x2C1)->no0)
#define LIN0EN         (((volatile __near __bitf_T *)0x2C1)->no2)
#define LIN1EN         (((volatile __near __bitf_T *)0x2C1)->no3)
#define AAUEN          (((volatile __near __bitf_T *)0x2C1)->no6)
#define CANCKSEL       (*(volatile __near unsigned char  *)0x2C2)
#define CANCKSEL_bit   (*(volatile __near __bitf_T *)0x2C2)
#define CAN0MCKE       (((volatile __near __bitf_T *)0x2C2)->no0)
#define LINCKSEL       (*(volatile __near unsigned char  *)0x2C3)
#define LINCKSEL_bit   (*(volatile __near __bitf_T *)0x2C3)
#define LIN0MCK        (((volatile __near __bitf_T *)0x2C3)->no0)
#define LIN1MCK        (((volatile __near __bitf_T *)0x2C3)->no1)
#define LIN0MCKE       (((volatile __near __bitf_T *)0x2C3)->no4)
#define LIN1MCKE       (((volatile __near __bitf_T *)0x2C3)->no5)
#define CKSEL          (*(volatile __near unsigned char  *)0x2C4)
#define CKSEL_bit      (*(volatile __near __bitf_T *)0x2C4)
#define SELLOSC        (((volatile __near __bitf_T *)0x2C4)->no0)
#define TRD_CKSEL      (((volatile __near __bitf_T *)0x2C4)->no2)
#define FMAINDIV0      (((volatile __near __bitf_T *)0x2C4)->no5)
#define FMAINDIV1      (((volatile __near __bitf_T *)0x2C4)->no6)
#define FPLLDIV        (((volatile __near __bitf_T *)0x2C4)->no7)
#define PLLCTL         (*(volatile __near unsigned char  *)0x2C5)
#define PLLCTL_bit     (*(volatile __near __bitf_T *)0x2C5)
#define PLLON          (((volatile __near __bitf_T *)0x2C5)->no0)
#define PLLMUL         (((volatile __near __bitf_T *)0x2C5)->no1)
#define SELPLL         (((volatile __near __bitf_T *)0x2C5)->no2)
#define PLLMULA        (((volatile __near __bitf_T *)0x2C5)->no3)
#define PLLDIV0        (((volatile __near __bitf_T *)0x2C5)->no4)
#define PLLDIV1        (((volatile __near __bitf_T *)0x2C5)->no5)
#define LCKSEL0        (((volatile __near __bitf_T *)0x2C5)->no6)
#define LCKSEL1        (((volatile __near __bitf_T *)0x2C5)->no7)
#define PLLSTS         (*(volatile __near unsigned char  *)0x2C6)
#define PLLSTS_bit     (*(volatile __near __bitf_T *)0x2C6)
#define SELPLLS        (((volatile __near __bitf_T *)0x2C6)->no3)
#define LOCK           (((volatile __near __bitf_T *)0x2C6)->no7)
#define MDIV           (*(volatile __near unsigned char  *)0x2C7)
#define RTCCL          (*(volatile __near unsigned char  *)0x2C8)
#define RTCCL_bit      (*(volatile __near __bitf_T *)0x2C8)
#define POCRES         (*(volatile __near unsigned char  *)0x2C9)
#define POCRES_bit     (*(volatile __near __bitf_T *)0x2C9)
#define POCRES0        (((volatile __near __bitf_T *)0x2C9)->no0)
#define CLKRF          (((volatile __near __bitf_T *)0x2C9)->no4)
#define STPSTC         (*(volatile __near unsigned char  *)0x2CA)
#define STPSTC_bit     (*(volatile __near __bitf_T *)0x2CA)
#define STPSEL         (((volatile __near __bitf_T *)0x2CA)->no0)
#define STPLV          (((volatile __near __bitf_T *)0x2CA)->no4)
#define STPOEN         (((volatile __near __bitf_T *)0x2CA)->no7)
#define CLMTES         (*(volatile __near unsigned char  *)0x2CC)
#define CLMTES_bit     (*(volatile __near __bitf_T *)0x2CC)
#define CK1MSK         (((volatile __near __bitf_T *)0x2CC)->no0)
#define CK2MSK         (((volatile __near __bitf_T *)0x2CC)->no1)
#define CLMTEN         (((volatile __near __bitf_T *)0x2CC)->no3)
#define TESEN          (((volatile __near __bitf_T *)0x2CC)->no7)
#define HDTCCR0        (*(volatile __near unsigned char  *)0x2D0)
#define HDTCCR0_bit    (*(volatile __near __bitf_T *)0x2D0)
#define HMODE0         (((volatile __near __bitf_T *)0x2D0)->no0)
#define HRPTSEL0       (((volatile __near __bitf_T *)0x2D0)->no1)
#define HSAMOD0        (((volatile __near __bitf_T *)0x2D0)->no2)
#define HDAMOD0        (((volatile __near __bitf_T *)0x2D0)->no3)
#define HCHNE0         (((volatile __near __bitf_T *)0x2D0)->no4)
#define HRPTINT0       (((volatile __near __bitf_T *)0x2D0)->no5)
#define HSZ0           (((volatile __near __bitf_T *)0x2D0)->no6)
#define HDTCCT0        (*(volatile __near unsigned char  *)0x2D2)
#define HDTCCT0_bit    (*(volatile __near __bitf_T *)0x2D2)
#define HDTRLD0        (*(volatile __near unsigned char  *)0x2D3)
#define HDTRLD0_bit    (*(volatile __near __bitf_T *)0x2D3)
#define HDTSAR0        (*(volatile __near unsigned short *)0x2D4)
#define HDTDAR0        (*(volatile __near unsigned short *)0x2D6)
#define HDTCCR1        (*(volatile __near unsigned char  *)0x2D8)
#define HDTCCR1_bit    (*(volatile __near __bitf_T *)0x2D8)
#define HMODE1         (((volatile __near __bitf_T *)0x2D8)->no0)
#define HRPTSEL1       (((volatile __near __bitf_T *)0x2D8)->no1)
#define HSAMOD1        (((volatile __near __bitf_T *)0x2D8)->no2)
#define HDAMOD1        (((volatile __near __bitf_T *)0x2D8)->no3)
#define HCHNE1         (((volatile __near __bitf_T *)0x2D8)->no4)
#define HRPTINT1       (((volatile __near __bitf_T *)0x2D8)->no5)
#define HSZ1           (((volatile __near __bitf_T *)0x2D8)->no6)
#define HDTCCT1        (*(volatile __near unsigned char  *)0x2DA)
#define HDTCCT1_bit    (*(volatile __near __bitf_T *)0x2DA)
#define HDTRLD1        (*(volatile __near unsigned char  *)0x2DB)
#define HDTRLD1_bit    (*(volatile __near __bitf_T *)0x2DB)
#define HDTSAR1        (*(volatile __near unsigned short *)0x2DC)
#define HDTDAR1        (*(volatile __near unsigned short *)0x2DE)
#define DTCBAR         (*(volatile __near unsigned char  *)0x2E0)
#define SELHS0         (*(volatile __near unsigned char  *)0x2E1)
#define SELHS0_bit     (*(volatile __near __bitf_T *)0x2E1)
#define SELHS1         (*(volatile __near unsigned char  *)0x2E2)
#define SELHS1_bit     (*(volatile __near __bitf_T *)0x2E2)
#define DTCEN0         (*(volatile __near unsigned char  *)0x2E8)
#define DTCEN0_bit     (*(volatile __near __bitf_T *)0x2E8)
#define DTCEN00        (((volatile __near __bitf_T *)0x2E8)->no0)
#define DTCEN01        (((volatile __near __bitf_T *)0x2E8)->no1)
#define DTCEN02        (((volatile __near __bitf_T *)0x2E8)->no2)
#define DTCEN03        (((volatile __near __bitf_T *)0x2E8)->no3)
#define DTCEN04        (((volatile __near __bitf_T *)0x2E8)->no4)
#define DTCEN05        (((volatile __near __bitf_T *)0x2E8)->no5)
#define DTCEN06        (((volatile __near __bitf_T *)0x2E8)->no6)
#define DTCEN1         (*(volatile __near unsigned char  *)0x2E9)
#define DTCEN1_bit     (*(volatile __near __bitf_T *)0x2E9)
#define DTCEN10        (((volatile __near __bitf_T *)0x2E9)->no0)
#define DTCEN11        (((volatile __near __bitf_T *)0x2E9)->no1)
#define DTCEN12        (((volatile __near __bitf_T *)0x2E9)->no2)
#define DTCEN13        (((volatile __near __bitf_T *)0x2E9)->no3)
#define DTCEN14        (((volatile __near __bitf_T *)0x2E9)->no4)
#define DTCEN15        (((volatile __near __bitf_T *)0x2E9)->no5)
#define DTCEN16        (((volatile __near __bitf_T *)0x2E9)->no6)
#define DTCEN17        (((volatile __near __bitf_T *)0x2E9)->no7)
#define DTCEN2         (*(volatile __near unsigned char  *)0x2EA)
#define DTCEN2_bit     (*(volatile __near __bitf_T *)0x2EA)
#define DTCEN20        (((volatile __near __bitf_T *)0x2EA)->no0)
#define DTCEN21        (((volatile __near __bitf_T *)0x2EA)->no1)
#define DTCEN22        (((volatile __near __bitf_T *)0x2EA)->no2)
#define DTCEN23        (((volatile __near __bitf_T *)0x2EA)->no3)
#define DTCEN24        (((volatile __near __bitf_T *)0x2EA)->no4)
#define DTCEN25        (((volatile __near __bitf_T *)0x2EA)->no5)
#define DTCEN27        (((volatile __near __bitf_T *)0x2EA)->no7)
#define DTCEN3         (*(volatile __near unsigned char  *)0x2EB)
#define DTCEN3_bit     (*(volatile __near __bitf_T *)0x2EB)
#define DTCEN30        (((volatile __near __bitf_T *)0x2EB)->no0)
#define DTCEN31        (((volatile __near __bitf_T *)0x2EB)->no1)
#define DTCEN32        (((volatile __near __bitf_T *)0x2EB)->no2)
#define DTCEN33        (((volatile __near __bitf_T *)0x2EB)->no3)
#define DTCEN34        (((volatile __near __bitf_T *)0x2EB)->no4)
#define DTCEN35        (((volatile __near __bitf_T *)0x2EB)->no5)
#define DTCEN36        (((volatile __near __bitf_T *)0x2EB)->no6)
#define DTCEN37        (((volatile __near __bitf_T *)0x2EB)->no7)
#define DTCEN4         (*(volatile __near unsigned char  *)0x2EC)
#define DTCEN4_bit     (*(volatile __near __bitf_T *)0x2EC)
#define DTCEN40        (((volatile __near __bitf_T *)0x2EC)->no0)
#define DTCEN41        (((volatile __near __bitf_T *)0x2EC)->no1)
#define DTCEN42        (((volatile __near __bitf_T *)0x2EC)->no2)
#define DTCEN43        (((volatile __near __bitf_T *)0x2EC)->no3)
#define DTCEN44        (((volatile __near __bitf_T *)0x2EC)->no4)
#define DTCEN45        (((volatile __near __bitf_T *)0x2EC)->no5)
#define DTCEN46        (((volatile __near __bitf_T *)0x2EC)->no6)
#define DTCEN47        (((volatile __near __bitf_T *)0x2EC)->no7)
#define DTCEN5         (*(volatile __near unsigned char  *)0x2ED)
#define DTCEN5_bit     (*(volatile __near __bitf_T *)0x2ED)
#define DTCEN52        (((volatile __near __bitf_T *)0x2ED)->no2)
#define DTCEN53        (((volatile __near __bitf_T *)0x2ED)->no3)
#define DTCEN54        (((volatile __near __bitf_T *)0x2ED)->no4)
#define DTCEN55        (((volatile __near __bitf_T *)0x2ED)->no5)
#define DTCEN56        (((volatile __near __bitf_T *)0x2ED)->no6)
#define DTCEN57        (((volatile __near __bitf_T *)0x2ED)->no7)
#define CRC0CTL        (*(volatile __near unsigned char  *)0x2F0)
#define CRC0CTL_bit    (*(volatile __near __bitf_T *)0x2F0)
#define CRC0EN         (((volatile __near __bitf_T *)0x2F0)->no7)
#define PGCRCL         (*(volatile __near unsigned short *)0x2F2)
#define CRCMD          (*(volatile __near unsigned char  *)0x2F9)
#define CRCD           (*(volatile __near unsigned short *)0x2FA)
#define C0NCFGL        (*(volatile __near unsigned short *)0x300)
#define C0NCFGLL       (*(volatile __near unsigned char  *)0x300)
#define C0NCFGLH       (*(volatile __near unsigned char  *)0x301)
#define C0NCFGH        (*(volatile __near unsigned short *)0x302)
#define C0NCFGHL       (*(volatile __near unsigned char  *)0x302)
#define C0NCFGHH       (*(volatile __near unsigned char  *)0x303)
#define C0CTRL         (*(volatile __near unsigned short *)0x304)
#define C0CTRLL        (*(volatile __near unsigned char  *)0x304)
#define C0CTRLH        (*(volatile __near unsigned char  *)0x305)
#define C0CTRH         (*(volatile __near unsigned short *)0x306)
#define C0CTRHL        (*(volatile __near unsigned char  *)0x306)
#define C0CTRHH        (*(volatile __near unsigned char  *)0x307)
#define C0STSL         (*(volatile __near unsigned short *)0x308)
#define C0STSLL        (*(volatile __near unsigned char  *)0x308)
#define C0STSLH        (*(volatile __near unsigned char  *)0x309)
#define C0STSH         (*(volatile __near unsigned short *)0x30A)
#define C0STSHL        (*(volatile __near unsigned char  *)0x30A)
#define C0STSHH        (*(volatile __near unsigned char  *)0x30B)
#define C0ERFLL        (*(volatile __near unsigned short *)0x30C)
#define C0ERFLLL       (*(volatile __near unsigned char  *)0x30C)
#define C0ERFLLH       (*(volatile __near unsigned char  *)0x30D)
#define C0ERFLH        (*(volatile __near unsigned short *)0x30E)
#define C0ERFLHL       (*(volatile __near unsigned char  *)0x30E)
#define C0ERFLHH       (*(volatile __near unsigned char  *)0x30F)
#define GIPVL          (*(volatile __near unsigned short *)0x310)
#define GIPVLL         (*(volatile __near unsigned char  *)0x310)
#define GIPVLH         (*(volatile __near unsigned char  *)0x311)
#define GIPVH          (*(volatile __near unsigned short *)0x312)
#define GIPVHL         (*(volatile __near unsigned char  *)0x312)
#define GIPVHH         (*(volatile __near unsigned char  *)0x313)
#define GCFGL          (*(volatile __near unsigned short *)0x314)
#define GCFGLL         (*(volatile __near unsigned char  *)0x314)
#define GCFGLH         (*(volatile __near unsigned char  *)0x315)
#define GCFGH          (*(volatile __near unsigned short *)0x316)
#define GCFGHL         (*(volatile __near unsigned char  *)0x316)
#define GCFGHH         (*(volatile __near unsigned char  *)0x317)
#define GCTRL          (*(volatile __near unsigned short *)0x318)
#define GCTRLL         (*(volatile __near unsigned char  *)0x318)
#define GCTRLH         (*(volatile __near unsigned char  *)0x319)
#define GCTRH          (*(volatile __near unsigned short *)0x31A)
#define GCTRHL         (*(volatile __near unsigned char  *)0x31A)
#define GCTRHH         (*(volatile __near unsigned char  *)0x31B)
#define GSTS           (*(volatile __near unsigned short *)0x31C)
#define GSTSL          (*(volatile __near unsigned char  *)0x31C)
#define GERFLL         (*(volatile __near unsigned short *)0x320)
#define GERFLLL        (*(volatile __near unsigned char  *)0x320)
#define GERFLH         (*(volatile __near unsigned short *)0x322)
#define GERFLHL        (*(volatile __near unsigned char  *)0x322)
#define GTSC           (*(volatile __near unsigned short *)0x324)
#define GAFLECTR       (*(volatile __near unsigned short *)0x328)
#define GAFLECTRH      (*(volatile __near unsigned char  *)0x329)
#define GAFLCFG        (*(volatile __near unsigned short *)0x32E)
#define GAFLCFGL       (*(volatile __near unsigned char  *)0x32E)
#define RMNB           (*(volatile __near unsigned short *)0x330)
#define RMNBL          (*(volatile __near unsigned char  *)0x330)
#define RMNBH          (*(volatile __near unsigned char  *)0x331)
#define RMND           (*(volatile __near unsigned short *)0x334)
#define RMNDL          (*(volatile __near unsigned char  *)0x334)
#define RMNDH          (*(volatile __near unsigned char  *)0x335)
#define RMIEC          (*(volatile __near unsigned short *)0x338)
#define RMIECL         (*(volatile __near unsigned char  *)0x338)
#define RMIECH         (*(volatile __near unsigned char  *)0x339)
#define RFCC0          (*(volatile __near unsigned short *)0x33C)
#define RFCC0L         (*(volatile __near unsigned char  *)0x33C)
#define RFCC0H         (*(volatile __near unsigned char  *)0x33D)
#define RFCC1          (*(volatile __near unsigned short *)0x340)
#define RFCC1L         (*(volatile __near unsigned char  *)0x340)
#define RFCC1H         (*(volatile __near unsigned char  *)0x341)
#define RFSTS0         (*(volatile __near unsigned short *)0x344)
#define RFSTS0L        (*(volatile __near unsigned char  *)0x344)
#define RFSTS0H        (*(volatile __near unsigned char  *)0x345)
#define RFSTS1         (*(volatile __near unsigned short *)0x348)
#define RFSTS1L        (*(volatile __near unsigned char  *)0x348)
#define RFSTS1H        (*(volatile __near unsigned char  *)0x349)
#define RFPCTR0        (*(volatile __near unsigned short *)0x34C)
#define RFPCTR0L       (*(volatile __near unsigned char  *)0x34C)
#define RFPCTR1        (*(volatile __near unsigned short *)0x350)
#define RFPCTR1L       (*(volatile __near unsigned char  *)0x350)
#define CFCCL          (*(volatile __near unsigned short *)0x354)
#define CFCCLL         (*(volatile __near unsigned char  *)0x354)
#define CFCCLH         (*(volatile __near unsigned char  *)0x355)
#define CFCCH          (*(volatile __near unsigned short *)0x356)
#define CFCCHL         (*(volatile __near unsigned char  *)0x356)
#define CFCCHH         (*(volatile __near unsigned char  *)0x357)
#define CFSTS          (*(volatile __near unsigned short *)0x358)
#define CFSTSL         (*(volatile __near unsigned char  *)0x358)
#define CFSTSH         (*(volatile __near unsigned char  *)0x359)
#define CFPCTR         (*(volatile __near unsigned short *)0x35C)
#define CFPCTRL        (*(volatile __near unsigned char  *)0x35C)
#define FESTS          (*(volatile __near unsigned short *)0x360)
#define FESTSL         (*(volatile __near unsigned char  *)0x360)
#define FESTSH         (*(volatile __near unsigned char  *)0x361)
#define FFSTS          (*(volatile __near unsigned short *)0x364)
#define FFSTSL         (*(volatile __near unsigned char  *)0x364)
#define FFSTSH         (*(volatile __near unsigned char  *)0x365)
#define FMSTS          (*(volatile __near unsigned short *)0x368)
#define FMSTSL         (*(volatile __near unsigned char  *)0x368)
#define FMSTSH         (*(volatile __near unsigned char  *)0x369)
#define RFISTS         (*(volatile __near unsigned short *)0x36C)
#define RFISTSL        (*(volatile __near unsigned char  *)0x36C)
#define TMC0           (*(volatile __near unsigned char  *)0x370)
#define TMC1           (*(volatile __near unsigned char  *)0x371)
#define TMC2           (*(volatile __near unsigned char  *)0x372)
#define TMC3           (*(volatile __near unsigned char  *)0x373)
#define TMSTS0         (*(volatile __near unsigned char  *)0x374)
#define TMSTS1         (*(volatile __near unsigned char  *)0x375)
#define TMSTS2         (*(volatile __near unsigned char  *)0x376)
#define TMSTS3         (*(volatile __near unsigned char  *)0x377)
#define TMTRSTS        (*(volatile __near unsigned short *)0x378)
#define TMTRSTSL       (*(volatile __near unsigned char  *)0x378)
#define TMTARSTS       (*(volatile __near unsigned short *)0x37C)
#define TMTARSTSL      (*(volatile __near unsigned char  *)0x37C)
#define TMTCSTS        (*(volatile __near unsigned short *)0x380)
#define TMTCSTSL       (*(volatile __near unsigned char  *)0x380)
#define TMTASTS        (*(volatile __near unsigned short *)0x384)
#define TMTASTSL       (*(volatile __near unsigned char  *)0x384)
#define TMIEC          (*(volatile __near unsigned short *)0x388)
#define TMIECL         (*(volatile __near unsigned char  *)0x388)
#define THLCC          (*(volatile __near unsigned short *)0x398)
#define THLCCL         (*(volatile __near unsigned char  *)0x398)
#define THLCCH         (*(volatile __near unsigned char  *)0x399)
#define THLSTS         (*(volatile __near unsigned short *)0x39C)
#define THLSTSL        (*(volatile __near unsigned char  *)0x39C)
#define THLSTSH        (*(volatile __near unsigned char  *)0x39D)
#define THLPCTR        (*(volatile __near unsigned short *)0x3A0)
#define THLPCTRL       (*(volatile __near unsigned char  *)0x3A0)
#define GTINTSTS       (*(volatile __near unsigned short *)0x3A4)
#define GTINTSTSL      (*(volatile __near unsigned char  *)0x3A4)
#define GTSTCFG        (*(volatile __near unsigned short *)0x3AA)
#define GTSTCFGL       (*(volatile __near unsigned char  *)0x3AA)
#define GTSTCTR        (*(volatile __near unsigned short *)0x3AC)
#define GTSTCTRL       (*(volatile __near unsigned char  *)0x3AC)
#define GFDCFG         (*(volatile __near unsigned short *)0x3B0)
#define GFDCFGL        (*(volatile __near unsigned char  *)0x3B0)
#define GFDCFGH        (*(volatile __near unsigned char  *)0x3B1)
#define GLOCKK         (*(volatile __near unsigned short *)0x3B8)
#define GAFLIGNENT     (*(volatile __near unsigned short *)0x3C0)
#define GAFLIGNENTL    (*(volatile __near unsigned char  *)0x3C0)
#define GAFLIGNCTR     (*(volatile __near unsigned short *)0x3C4)
#define GPFLECTR       (*(volatile __near unsigned short *)0x3D0)
#define GPFLECTRH      (*(volatile __near unsigned char  *)0x3D1)
#define GPFLCFG        (*(volatile __near unsigned short *)0x3D6)
#define GPFLCFGH       (*(volatile __near unsigned char  *)0x3D7)
#define GRSTC          (*(volatile __near unsigned short *)0x3D8)
#define CFDGRWC        (*(volatile __near unsigned short *)0x3DC)
#define C0DCFGL        (*(volatile __near unsigned short *)0x400)
#define C0DCFGLL       (*(volatile __near unsigned char  *)0x400)
#define C0DCFGLH       (*(volatile __near unsigned char  *)0x401)
#define C0DCFGH        (*(volatile __near unsigned short *)0x402)
#define C0DCFGHL       (*(volatile __near unsigned char  *)0x402)
#define C0DCFGHH       (*(volatile __near unsigned char  *)0x403)
#define C0FDCFGL       (*(volatile __near unsigned short *)0x404)
#define C0FDCFGLL      (*(volatile __near unsigned char  *)0x404)
#define C0FDCFGLH      (*(volatile __near unsigned char  *)0x405)
#define C0FDCFGH       (*(volatile __near unsigned short *)0x406)
#define C0FDCFGHL      (*(volatile __near unsigned char  *)0x406)
#define C0FDCFGHH      (*(volatile __near unsigned char  *)0x407)
#define C0FDCTRL       (*(volatile __near unsigned short *)0x408)
#define C0FDCTRLL      (*(volatile __near unsigned char  *)0x408)
#define C0FDCTRH       (*(volatile __near unsigned short *)0x40A)
#define C0FDSTSL       (*(volatile __near unsigned short *)0x40C)
#define C0FDSTSLL      (*(volatile __near unsigned char  *)0x40C)
#define C0FDSTSLH      (*(volatile __near unsigned char  *)0x40D)
#define C0FDSTSH       (*(volatile __near unsigned short *)0x40E)
#define C0FDSTSHL      (*(volatile __near unsigned char  *)0x40E)
#define C0FDSTSHH      (*(volatile __near unsigned char  *)0x40F)
#define C0FDCRCL       (*(volatile __near unsigned short *)0x410)
#define C0FDCRCH       (*(volatile __near unsigned short *)0x412)
#define GAFLID0L       (*(volatile __near unsigned short *)0x420)
#define RFID0L         (*(volatile __near unsigned short *)0x420)
#define RMID0L         (*(volatile __near unsigned short *)0x420)
#define RMID8L         (*(volatile __near unsigned short *)0x420)
#define GAFLID0LL      (*(volatile __near unsigned char  *)0x420)
#define RFID0LL        (*(volatile __near unsigned char  *)0x420)
#define RMID0LL        (*(volatile __near unsigned char  *)0x420)
#define RMID8LL        (*(volatile __near unsigned char  *)0x420)
#define GAFLID0LH      (*(volatile __near unsigned char  *)0x421)
#define RFID0LH        (*(volatile __near unsigned char  *)0x421)
#define RMID0LH        (*(volatile __near unsigned char  *)0x421)
#define RMID8LH        (*(volatile __near unsigned char  *)0x421)
#define GAFLID0H       (*(volatile __near unsigned short *)0x422)
#define RFID0H         (*(volatile __near unsigned short *)0x422)
#define RMID0H         (*(volatile __near unsigned short *)0x422)
#define RMID8H         (*(volatile __near unsigned short *)0x422)
#define GAFLID0HL      (*(volatile __near unsigned char  *)0x422)
#define RFID0HL        (*(volatile __near unsigned char  *)0x422)
#define RMID0HL        (*(volatile __near unsigned char  *)0x422)
#define RMID8HL        (*(volatile __near unsigned char  *)0x422)
#define GAFLID0HH      (*(volatile __near unsigned char  *)0x423)
#define RFID0HH        (*(volatile __near unsigned char  *)0x423)
#define RMID0HH        (*(volatile __near unsigned char  *)0x423)
#define RMID8HH        (*(volatile __near unsigned char  *)0x423)
#define GAFLM0L        (*(volatile __near unsigned short *)0x424)
#define RFPTR0L        (*(volatile __near unsigned short *)0x424)
#define RMPTR0L        (*(volatile __near unsigned short *)0x424)
#define RMPTR8L        (*(volatile __near unsigned short *)0x424)
#define GAFLM0LL       (*(volatile __near unsigned char  *)0x424)
#define RFPTR0LL       (*(volatile __near unsigned char  *)0x424)
#define RMPTR0LL       (*(volatile __near unsigned char  *)0x424)
#define RMPTR8LL       (*(volatile __near unsigned char  *)0x424)
#define GAFLM0LH       (*(volatile __near unsigned char  *)0x425)
#define RFPTR0LH       (*(volatile __near unsigned char  *)0x425)
#define RMPTR0LH       (*(volatile __near unsigned char  *)0x425)
#define RMPTR8LH       (*(volatile __near unsigned char  *)0x425)
#define GAFLM0H        (*(volatile __near unsigned short *)0x426)
#define RFPTR0H        (*(volatile __near unsigned short *)0x426)
#define RMPTR0H        (*(volatile __near unsigned short *)0x426)
#define RMPTR8H        (*(volatile __near unsigned short *)0x426)
#define GAFLM0HL       (*(volatile __near unsigned char  *)0x426)
#define GAFLM0HH       (*(volatile __near unsigned char  *)0x427)
#define RFPTR0HH       (*(volatile __near unsigned char  *)0x427)
#define RMPTR0HH       (*(volatile __near unsigned char  *)0x427)
#define RMPTR8HH       (*(volatile __near unsigned char  *)0x427)
#define GAFLP00L       (*(volatile __near unsigned short *)0x428)
#define RFFDSTS0L      (*(volatile __near unsigned short *)0x428)
#define RMFDSTS0L      (*(volatile __near unsigned short *)0x428)
#define RMFDSTS8L      (*(volatile __near unsigned short *)0x428)
#define GAFLP00LL      (*(volatile __near unsigned char  *)0x428)
#define RFFDSTS0LL     (*(volatile __near unsigned char  *)0x428)
#define RMFDSTS0LL     (*(volatile __near unsigned char  *)0x428)
#define RMFDSTS8LL     (*(volatile __near unsigned char  *)0x428)
#define GAFLP00LH      (*(volatile __near unsigned char  *)0x429)
#define RFFDSTS0LH     (*(volatile __near unsigned char  *)0x429)
#define RMFDSTS0LH     (*(volatile __near unsigned char  *)0x429)
#define RMFDSTS8LH     (*(volatile __near unsigned char  *)0x429)
#define GAFLP00H       (*(volatile __near unsigned short *)0x42A)
#define RFFDSTS0H      (*(volatile __near unsigned short *)0x42A)
#define RMFDSTS0H      (*(volatile __near unsigned short *)0x42A)
#define RMFDSTS8H      (*(volatile __near unsigned short *)0x42A)
#define GAFLP00HL      (*(volatile __near unsigned char  *)0x42A)
#define RFFDSTS0HL     (*(volatile __near unsigned char  *)0x42A)
#define RMFDSTS0HL     (*(volatile __near unsigned char  *)0x42A)
#define RMFDSTS8HL     (*(volatile __near unsigned char  *)0x42A)
#define GAFLP00HH      (*(volatile __near unsigned char  *)0x42B)
#define RFFDSTS0HH     (*(volatile __near unsigned char  *)0x42B)
#define RMFDSTS0HH     (*(volatile __near unsigned char  *)0x42B)
#define RMFDSTS8HH     (*(volatile __near unsigned char  *)0x42B)
#define GAFLP10L       (*(volatile __near unsigned short *)0x42C)
#define RFDF0_0L       (*(volatile __near unsigned short *)0x42C)
#define RMDF0_0L       (*(volatile __near unsigned short *)0x42C)
#define RMDF8_0L       (*(volatile __near unsigned short *)0x42C)
#define GAFLP10LL      (*(volatile __near unsigned char  *)0x42C)
#define RFDF0_0LL      (*(volatile __near unsigned char  *)0x42C)
#define RMDF0_0LL      (*(volatile __near unsigned char  *)0x42C)
#define RMDF8_0LL      (*(volatile __near unsigned char  *)0x42C)
#define GAFLP10LH      (*(volatile __near unsigned char  *)0x42D)
#define RFDF0_0LH      (*(volatile __near unsigned char  *)0x42D)
#define RMDF0_0LH      (*(volatile __near unsigned char  *)0x42D)
#define RMDF8_0LH      (*(volatile __near unsigned char  *)0x42D)
#define RFDF0_0H       (*(volatile __near unsigned short *)0x42E)
#define RMDF0_0H       (*(volatile __near unsigned short *)0x42E)
#define RMDF8_0H       (*(volatile __near unsigned short *)0x42E)
#define RFDF0_0HL      (*(volatile __near unsigned char  *)0x42E)
#define RMDF0_0HL      (*(volatile __near unsigned char  *)0x42E)
#define RMDF8_0HL      (*(volatile __near unsigned char  *)0x42E)
#define RFDF0_0HH      (*(volatile __near unsigned char  *)0x42F)
#define RMDF0_0HH      (*(volatile __near unsigned char  *)0x42F)
#define RMDF8_0HH      (*(volatile __near unsigned char  *)0x42F)
#define GAFLID1L       (*(volatile __near unsigned short *)0x430)
#define RFDF0_1L       (*(volatile __near unsigned short *)0x430)
#define RMDF0_1L       (*(volatile __near unsigned short *)0x430)
#define RMDF8_1L       (*(volatile __near unsigned short *)0x430)
#define GAFLID1LL      (*(volatile __near unsigned char  *)0x430)
#define RFDF0_1LL      (*(volatile __near unsigned char  *)0x430)
#define RMDF0_1LL      (*(volatile __near unsigned char  *)0x430)
#define RMDF8_1LL      (*(volatile __near unsigned char  *)0x430)
#define GAFLID1LH      (*(volatile __near unsigned char  *)0x431)
#define RFDF0_1LH      (*(volatile __near unsigned char  *)0x431)
#define RMDF0_1LH      (*(volatile __near unsigned char  *)0x431)
#define RMDF8_1LH      (*(volatile __near unsigned char  *)0x431)
#define GAFLID1H       (*(volatile __near unsigned short *)0x432)
#define RFDF0_1H       (*(volatile __near unsigned short *)0x432)
#define RMDF0_1H       (*(volatile __near unsigned short *)0x432)
#define RMDF8_1H       (*(volatile __near unsigned short *)0x432)
#define GAFLID1HL      (*(volatile __near unsigned char  *)0x432)
#define RFDF0_1HL      (*(volatile __near unsigned char  *)0x432)
#define RMDF0_1HL      (*(volatile __near unsigned char  *)0x432)
#define RMDF8_1HL      (*(volatile __near unsigned char  *)0x432)
#define GAFLID1HH      (*(volatile __near unsigned char  *)0x433)
#define RFDF0_1HH      (*(volatile __near unsigned char  *)0x433)
#define RMDF0_1HH      (*(volatile __near unsigned char  *)0x433)
#define RMDF8_1HH      (*(volatile __near unsigned char  *)0x433)
#define GAFLM1L        (*(volatile __near unsigned short *)0x434)
#define RFDF0_2L       (*(volatile __near unsigned short *)0x434)
#define RMDF0_2L       (*(volatile __near unsigned short *)0x434)
#define RMDF8_2L       (*(volatile __near unsigned short *)0x434)
#define GAFLM1LL       (*(volatile __near unsigned char  *)0x434)
#define RFDF0_2LL      (*(volatile __near unsigned char  *)0x434)
#define RMDF0_2LL      (*(volatile __near unsigned char  *)0x434)
#define RMDF8_2LL      (*(volatile __near unsigned char  *)0x434)
#define GAFLM1LH       (*(volatile __near unsigned char  *)0x435)
#define RFDF0_2LH      (*(volatile __near unsigned char  *)0x435)
#define RMDF0_2LH      (*(volatile __near unsigned char  *)0x435)
#define RMDF8_2LH      (*(volatile __near unsigned char  *)0x435)
#define GAFLM1H        (*(volatile __near unsigned short *)0x436)
#define RFDF0_2H       (*(volatile __near unsigned short *)0x436)
#define RMDF0_2H       (*(volatile __near unsigned short *)0x436)
#define RMDF8_2H       (*(volatile __near unsigned short *)0x436)
#define GAFLM1HL       (*(volatile __near unsigned char  *)0x436)
#define RFDF0_2HL      (*(volatile __near unsigned char  *)0x436)
#define RMDF0_2HL      (*(volatile __near unsigned char  *)0x436)
#define RMDF8_2HL      (*(volatile __near unsigned char  *)0x436)
#define GAFLM1HH       (*(volatile __near unsigned char  *)0x437)
#define RFDF0_2HH      (*(volatile __near unsigned char  *)0x437)
#define RMDF0_2HH      (*(volatile __near unsigned char  *)0x437)
#define RMDF8_2HH      (*(volatile __near unsigned char  *)0x437)
#define GAFLP01L       (*(volatile __near unsigned short *)0x438)
#define RFDF0_3L       (*(volatile __near unsigned short *)0x438)
#define RMDF0_3L       (*(volatile __near unsigned short *)0x438)
#define RMDF8_3L       (*(volatile __near unsigned short *)0x438)
#define GAFLP01LL      (*(volatile __near unsigned char  *)0x438)
#define RFDF0_3LL      (*(volatile __near unsigned char  *)0x438)
#define RMDF0_3LL      (*(volatile __near unsigned char  *)0x438)
#define RMDF8_3LL      (*(volatile __near unsigned char  *)0x438)
#define GAFLP01LH      (*(volatile __near unsigned char  *)0x439)
#define RFDF0_3LH      (*(volatile __near unsigned char  *)0x439)
#define RMDF0_3LH      (*(volatile __near unsigned char  *)0x439)
#define RMDF8_3LH      (*(volatile __near unsigned char  *)0x439)
#define GAFLP01H       (*(volatile __near unsigned short *)0x43A)
#define RFDF0_3H       (*(volatile __near unsigned short *)0x43A)
#define RMDF0_3H       (*(volatile __near unsigned short *)0x43A)
#define RMDF8_3H       (*(volatile __near unsigned short *)0x43A)
#define GAFLP01HL      (*(volatile __near unsigned char  *)0x43A)
#define RFDF0_3HL      (*(volatile __near unsigned char  *)0x43A)
#define RMDF0_3HL      (*(volatile __near unsigned char  *)0x43A)
#define RMDF8_3HL      (*(volatile __near unsigned char  *)0x43A)
#define GAFLP01HH      (*(volatile __near unsigned char  *)0x43B)
#define RFDF0_3HH      (*(volatile __near unsigned char  *)0x43B)
#define RMDF0_3HH      (*(volatile __near unsigned char  *)0x43B)
#define RMDF8_3HH      (*(volatile __near unsigned char  *)0x43B)
#define GAFLP11L       (*(volatile __near unsigned short *)0x43C)
#define RFDF0_4L       (*(volatile __near unsigned short *)0x43C)
#define RMDF0_4L       (*(volatile __near unsigned short *)0x43C)
#define RMDF8_4L       (*(volatile __near unsigned short *)0x43C)
#define GAFLP11LL      (*(volatile __near unsigned char  *)0x43C)
#define RFDF0_4LL      (*(volatile __near unsigned char  *)0x43C)
#define RMDF0_4LL      (*(volatile __near unsigned char  *)0x43C)
#define RMDF8_4LL      (*(volatile __near unsigned char  *)0x43C)
#define GAFLP11LH      (*(volatile __near unsigned char  *)0x43D)
#define RFDF0_4LH      (*(volatile __near unsigned char  *)0x43D)
#define RMDF0_4LH      (*(volatile __near unsigned char  *)0x43D)
#define RMDF8_4LH      (*(volatile __near unsigned char  *)0x43D)
#define RFDF0_4H       (*(volatile __near unsigned short *)0x43E)
#define RMDF0_4H       (*(volatile __near unsigned short *)0x43E)
#define RMDF8_4H       (*(volatile __near unsigned short *)0x43E)
#define RFDF0_4HL      (*(volatile __near unsigned char  *)0x43E)
#define RMDF0_4HL      (*(volatile __near unsigned char  *)0x43E)
#define RMDF8_4HL      (*(volatile __near unsigned char  *)0x43E)
#define RFDF0_4HH      (*(volatile __near unsigned char  *)0x43F)
#define RMDF0_4HH      (*(volatile __near unsigned char  *)0x43F)
#define RMDF8_4HH      (*(volatile __near unsigned char  *)0x43F)
#define GAFLID2L       (*(volatile __near unsigned short *)0x440)
#define RFDF0_5L       (*(volatile __near unsigned short *)0x440)
#define RMDF0_5L       (*(volatile __near unsigned short *)0x440)
#define RMDF8_5L       (*(volatile __near unsigned short *)0x440)
#define GAFLID2LL      (*(volatile __near unsigned char  *)0x440)
#define RFDF0_5LL      (*(volatile __near unsigned char  *)0x440)
#define RMDF0_5LL      (*(volatile __near unsigned char  *)0x440)
#define RMDF8_5LL      (*(volatile __near unsigned char  *)0x440)
#define GAFLID2LH      (*(volatile __near unsigned char  *)0x441)
#define RFDF0_5LH      (*(volatile __near unsigned char  *)0x441)
#define RMDF0_5LH      (*(volatile __near unsigned char  *)0x441)
#define RMDF8_5LH      (*(volatile __near unsigned char  *)0x441)
#define GAFLID2H       (*(volatile __near unsigned short *)0x442)
#define RFDF0_5H       (*(volatile __near unsigned short *)0x442)
#define RMDF0_5H       (*(volatile __near unsigned short *)0x442)
#define RMDF8_5H       (*(volatile __near unsigned short *)0x442)
#define GAFLID2HL      (*(volatile __near unsigned char  *)0x442)
#define RFDF0_5HL      (*(volatile __near unsigned char  *)0x442)
#define RMDF0_5HL      (*(volatile __near unsigned char  *)0x442)
#define RMDF8_5HL      (*(volatile __near unsigned char  *)0x442)
#define GAFLID2HH      (*(volatile __near unsigned char  *)0x443)
#define RFDF0_5HH      (*(volatile __near unsigned char  *)0x443)
#define RMDF0_5HH      (*(volatile __near unsigned char  *)0x443)
#define RMDF8_5HH      (*(volatile __near unsigned char  *)0x443)
#define GAFLM2L        (*(volatile __near unsigned short *)0x444)
#define RFDF0_6L       (*(volatile __near unsigned short *)0x444)
#define RMDF0_6L       (*(volatile __near unsigned short *)0x444)
#define RMDF8_6L       (*(volatile __near unsigned short *)0x444)
#define GAFLM2LL       (*(volatile __near unsigned char  *)0x444)
#define RFDF0_6LL      (*(volatile __near unsigned char  *)0x444)
#define RMDF0_6LL      (*(volatile __near unsigned char  *)0x444)
#define RMDF8_6LL      (*(volatile __near unsigned char  *)0x444)
#define GAFLM2LH       (*(volatile __near unsigned char  *)0x445)
#define RFDF0_6LH      (*(volatile __near unsigned char  *)0x445)
#define RMDF0_6LH      (*(volatile __near unsigned char  *)0x445)
#define RMDF8_6LH      (*(volatile __near unsigned char  *)0x445)
#define GAFLM2H        (*(volatile __near unsigned short *)0x446)
#define RFDF0_6H       (*(volatile __near unsigned short *)0x446)
#define RMDF0_6H       (*(volatile __near unsigned short *)0x446)
#define RMDF8_6H       (*(volatile __near unsigned short *)0x446)
#define GAFLM2HL       (*(volatile __near unsigned char  *)0x446)
#define RFDF0_6HL      (*(volatile __near unsigned char  *)0x446)
#define RMDF0_6HL      (*(volatile __near unsigned char  *)0x446)
#define RMDF8_6HL      (*(volatile __near unsigned char  *)0x446)
#define GAFLM2HH       (*(volatile __near unsigned char  *)0x447)
#define RFDF0_6HH      (*(volatile __near unsigned char  *)0x447)
#define RMDF0_6HH      (*(volatile __near unsigned char  *)0x447)
#define RMDF8_6HH      (*(volatile __near unsigned char  *)0x447)
#define GAFLP02L       (*(volatile __near unsigned short *)0x448)
#define RFDF0_7L       (*(volatile __near unsigned short *)0x448)
#define RMDF0_7L       (*(volatile __near unsigned short *)0x448)
#define RMDF8_7L       (*(volatile __near unsigned short *)0x448)
#define GAFLP02LL      (*(volatile __near unsigned char  *)0x448)
#define RFDF0_7LL      (*(volatile __near unsigned char  *)0x448)
#define RMDF0_7LL      (*(volatile __near unsigned char  *)0x448)
#define RMDF8_7LL      (*(volatile __near unsigned char  *)0x448)
#define GAFLP02LH      (*(volatile __near unsigned char  *)0x449)
#define RFDF0_7LH      (*(volatile __near unsigned char  *)0x449)
#define RMDF0_7LH      (*(volatile __near unsigned char  *)0x449)
#define RMDF8_7LH      (*(volatile __near unsigned char  *)0x449)
#define GAFLP02H       (*(volatile __near unsigned short *)0x44A)
#define RFDF0_7H       (*(volatile __near unsigned short *)0x44A)
#define RMDF0_7H       (*(volatile __near unsigned short *)0x44A)
#define RMDF8_7H       (*(volatile __near unsigned short *)0x44A)
#define GAFLP02HL      (*(volatile __near unsigned char  *)0x44A)
#define RFDF0_7HL      (*(volatile __near unsigned char  *)0x44A)
#define RMDF0_7HL      (*(volatile __near unsigned char  *)0x44A)
#define RMDF8_7HL      (*(volatile __near unsigned char  *)0x44A)
#define GAFLP02HH      (*(volatile __near unsigned char  *)0x44B)
#define RFDF0_7HH      (*(volatile __near unsigned char  *)0x44B)
#define RMDF0_7HH      (*(volatile __near unsigned char  *)0x44B)
#define RMDF8_7HH      (*(volatile __near unsigned char  *)0x44B)
#define GAFLP12L       (*(volatile __near unsigned short *)0x44C)
#define RFDF0_8L       (*(volatile __near unsigned short *)0x44C)
#define RMDF0_8L       (*(volatile __near unsigned short *)0x44C)
#define RMDF8_8L       (*(volatile __near unsigned short *)0x44C)
#define GAFLP12LL      (*(volatile __near unsigned char  *)0x44C)
#define RFDF0_8LL      (*(volatile __near unsigned char  *)0x44C)
#define RMDF0_8LL      (*(volatile __near unsigned char  *)0x44C)
#define RMDF8_8LL      (*(volatile __near unsigned char  *)0x44C)
#define GAFLP12LH      (*(volatile __near unsigned char  *)0x44D)
#define RFDF0_8LH      (*(volatile __near unsigned char  *)0x44D)
#define RMDF0_8LH      (*(volatile __near unsigned char  *)0x44D)
#define RMDF8_8LH      (*(volatile __near unsigned char  *)0x44D)
#define RFDF0_8H       (*(volatile __near unsigned short *)0x44E)
#define RMDF0_8H       (*(volatile __near unsigned short *)0x44E)
#define RMDF8_8H       (*(volatile __near unsigned short *)0x44E)
#define RFDF0_8HL      (*(volatile __near unsigned char  *)0x44E)
#define RMDF0_8HL      (*(volatile __near unsigned char  *)0x44E)
#define RMDF8_8HL      (*(volatile __near unsigned char  *)0x44E)
#define RFDF0_8HH      (*(volatile __near unsigned char  *)0x44F)
#define RMDF0_8HH      (*(volatile __near unsigned char  *)0x44F)
#define RMDF8_8HH      (*(volatile __near unsigned char  *)0x44F)
#define GAFLID3L       (*(volatile __near unsigned short *)0x450)
#define RFDF0_9L       (*(volatile __near unsigned short *)0x450)
#define RMDF0_9L       (*(volatile __near unsigned short *)0x450)
#define RMDF8_9L       (*(volatile __near unsigned short *)0x450)
#define GAFLID3LL      (*(volatile __near unsigned char  *)0x450)
#define RFDF0_9LL      (*(volatile __near unsigned char  *)0x450)
#define RMDF0_9LL      (*(volatile __near unsigned char  *)0x450)
#define RMDF8_9LL      (*(volatile __near unsigned char  *)0x450)
#define GAFLID3LH      (*(volatile __near unsigned char  *)0x451)
#define RFDF0_9LH      (*(volatile __near unsigned char  *)0x451)
#define RMDF0_9LH      (*(volatile __near unsigned char  *)0x451)
#define RMDF8_9LH      (*(volatile __near unsigned char  *)0x451)
#define GAFLID3H       (*(volatile __near unsigned short *)0x452)
#define RFDF0_9H       (*(volatile __near unsigned short *)0x452)
#define RMDF0_9H       (*(volatile __near unsigned short *)0x452)
#define RMDF8_9H       (*(volatile __near unsigned short *)0x452)
#define GAFLID3HL      (*(volatile __near unsigned char  *)0x452)
#define RFDF0_9HL      (*(volatile __near unsigned char  *)0x452)
#define RMDF0_9HL      (*(volatile __near unsigned char  *)0x452)
#define RMDF8_9HL      (*(volatile __near unsigned char  *)0x452)
#define GAFLID3HH      (*(volatile __near unsigned char  *)0x453)
#define RFDF0_9HH      (*(volatile __near unsigned char  *)0x453)
#define RMDF0_9HH      (*(volatile __near unsigned char  *)0x453)
#define RMDF8_9HH      (*(volatile __near unsigned char  *)0x453)
#define GAFLM3L        (*(volatile __near unsigned short *)0x454)
#define RFDF0_10L      (*(volatile __near unsigned short *)0x454)
#define RMDF0_10L      (*(volatile __near unsigned short *)0x454)
#define RMDF8_10L      (*(volatile __near unsigned short *)0x454)
#define GAFLM3LL       (*(volatile __near unsigned char  *)0x454)
#define RFDF0_10LL     (*(volatile __near unsigned char  *)0x454)
#define RMDF0_10LL     (*(volatile __near unsigned char  *)0x454)
#define RMDF8_10LL     (*(volatile __near unsigned char  *)0x454)
#define GAFLM3LH       (*(volatile __near unsigned char  *)0x455)
#define RFDF0_10LH     (*(volatile __near unsigned char  *)0x455)
#define RMDF0_10LH     (*(volatile __near unsigned char  *)0x455)
#define RMDF8_10LH     (*(volatile __near unsigned char  *)0x455)
#define GAFLM3H        (*(volatile __near unsigned short *)0x456)
#define RFDF0_10H      (*(volatile __near unsigned short *)0x456)
#define RMDF0_10H      (*(volatile __near unsigned short *)0x456)
#define RMDF8_10H      (*(volatile __near unsigned short *)0x456)
#define GAFLM3HL       (*(volatile __near unsigned char  *)0x456)
#define RFDF0_10HL     (*(volatile __near unsigned char  *)0x456)
#define RMDF0_10HL     (*(volatile __near unsigned char  *)0x456)
#define RMDF8_10HL     (*(volatile __near unsigned char  *)0x456)
#define GAFLM3HH       (*(volatile __near unsigned char  *)0x457)
#define RFDF0_10HH     (*(volatile __near unsigned char  *)0x457)
#define RMDF0_10HH     (*(volatile __near unsigned char  *)0x457)
#define RMDF8_10HH     (*(volatile __near unsigned char  *)0x457)
#define GAFLP03L       (*(volatile __near unsigned short *)0x458)
#define RFDF0_11L      (*(volatile __near unsigned short *)0x458)
#define RMDF0_11L      (*(volatile __near unsigned short *)0x458)
#define RMDF8_11L      (*(volatile __near unsigned short *)0x458)
#define GAFLP03LL      (*(volatile __near unsigned char  *)0x458)
#define RFDF0_11LL     (*(volatile __near unsigned char  *)0x458)
#define RMDF0_11LL     (*(volatile __near unsigned char  *)0x458)
#define RMDF8_11LL     (*(volatile __near unsigned char  *)0x458)
#define GAFLP03LH      (*(volatile __near unsigned char  *)0x459)
#define RFDF0_11LH     (*(volatile __near unsigned char  *)0x459)
#define RMDF0_11LH     (*(volatile __near unsigned char  *)0x459)
#define RMDF8_11LH     (*(volatile __near unsigned char  *)0x459)
#define GAFLP03H       (*(volatile __near unsigned short *)0x45A)
#define RFDF0_11H      (*(volatile __near unsigned short *)0x45A)
#define RMDF0_11H      (*(volatile __near unsigned short *)0x45A)
#define RMDF8_11H      (*(volatile __near unsigned short *)0x45A)
#define GAFLP03HL      (*(volatile __near unsigned char  *)0x45A)
#define RFDF0_11HL     (*(volatile __near unsigned char  *)0x45A)
#define RMDF0_11HL     (*(volatile __near unsigned char  *)0x45A)
#define RMDF8_11HL     (*(volatile __near unsigned char  *)0x45A)
#define GAFLP03HH      (*(volatile __near unsigned char  *)0x45B)
#define RFDF0_11HH     (*(volatile __near unsigned char  *)0x45B)
#define RMDF0_11HH     (*(volatile __near unsigned char  *)0x45B)
#define RMDF8_11HH     (*(volatile __near unsigned char  *)0x45B)
#define GAFLP13L       (*(volatile __near unsigned short *)0x45C)
#define RFDF0_12L      (*(volatile __near unsigned short *)0x45C)
#define RMDF0_12L      (*(volatile __near unsigned short *)0x45C)
#define RMDF8_12L      (*(volatile __near unsigned short *)0x45C)
#define GAFLP13LL      (*(volatile __near unsigned char  *)0x45C)
#define RFDF0_12LL     (*(volatile __near unsigned char  *)0x45C)
#define RMDF0_12LL     (*(volatile __near unsigned char  *)0x45C)
#define RMDF8_12LL     (*(volatile __near unsigned char  *)0x45C)
#define GAFLP13LH      (*(volatile __near unsigned char  *)0x45D)
#define RFDF0_12LH     (*(volatile __near unsigned char  *)0x45D)
#define RMDF0_12LH     (*(volatile __near unsigned char  *)0x45D)
#define RMDF8_12LH     (*(volatile __near unsigned char  *)0x45D)
#define RFDF0_12H      (*(volatile __near unsigned short *)0x45E)
#define RMDF0_12H      (*(volatile __near unsigned short *)0x45E)
#define RMDF8_12H      (*(volatile __near unsigned short *)0x45E)
#define RFDF0_12HL     (*(volatile __near unsigned char  *)0x45E)
#define RMDF0_12HL     (*(volatile __near unsigned char  *)0x45E)
#define RMDF8_12HL     (*(volatile __near unsigned char  *)0x45E)
#define RFDF0_12HH     (*(volatile __near unsigned char  *)0x45F)
#define RMDF0_12HH     (*(volatile __near unsigned char  *)0x45F)
#define RMDF8_12HH     (*(volatile __near unsigned char  *)0x45F)
#define GAFLID4L       (*(volatile __near unsigned short *)0x460)
#define RFDF0_13L      (*(volatile __near unsigned short *)0x460)
#define RMDF0_13L      (*(volatile __near unsigned short *)0x460)
#define RMDF8_13L      (*(volatile __near unsigned short *)0x460)
#define GAFLID4LL      (*(volatile __near unsigned char  *)0x460)
#define RFDF0_13LL     (*(volatile __near unsigned char  *)0x460)
#define RMDF0_13LL     (*(volatile __near unsigned char  *)0x460)
#define RMDF8_13LL     (*(volatile __near unsigned char  *)0x460)
#define GAFLID4LH      (*(volatile __near unsigned char  *)0x461)
#define RFDF0_13LH     (*(volatile __near unsigned char  *)0x461)
#define RMDF0_13LH     (*(volatile __near unsigned char  *)0x461)
#define RMDF8_13LH     (*(volatile __near unsigned char  *)0x461)
#define GAFLID4H       (*(volatile __near unsigned short *)0x462)
#define RFDF0_13H      (*(volatile __near unsigned short *)0x462)
#define RMDF0_13H      (*(volatile __near unsigned short *)0x462)
#define RMDF8_13H      (*(volatile __near unsigned short *)0x462)
#define GAFLID4HL      (*(volatile __near unsigned char  *)0x462)
#define RFDF0_13HL     (*(volatile __near unsigned char  *)0x462)
#define RMDF0_13HL     (*(volatile __near unsigned char  *)0x462)
#define RMDF8_13HL     (*(volatile __near unsigned char  *)0x462)
#define GAFLID4HH      (*(volatile __near unsigned char  *)0x463)
#define RFDF0_13HH     (*(volatile __near unsigned char  *)0x463)
#define RMDF0_13HH     (*(volatile __near unsigned char  *)0x463)
#define RMDF8_13HH     (*(volatile __near unsigned char  *)0x463)
#define GAFLM4L        (*(volatile __near unsigned short *)0x464)
#define RFDF0_14L      (*(volatile __near unsigned short *)0x464)
#define RMDF0_14L      (*(volatile __near unsigned short *)0x464)
#define RMDF8_14L      (*(volatile __near unsigned short *)0x464)
#define GAFLM4LL       (*(volatile __near unsigned char  *)0x464)
#define RFDF0_14LL     (*(volatile __near unsigned char  *)0x464)
#define RMDF0_14LL     (*(volatile __near unsigned char  *)0x464)
#define RMDF8_14LL     (*(volatile __near unsigned char  *)0x464)
#define GAFLM4LH       (*(volatile __near unsigned char  *)0x465)
#define RFDF0_14LH     (*(volatile __near unsigned char  *)0x465)
#define RMDF0_14LH     (*(volatile __near unsigned char  *)0x465)
#define RMDF8_14LH     (*(volatile __near unsigned char  *)0x465)
#define GAFLM4H        (*(volatile __near unsigned short *)0x466)
#define RFDF0_14H      (*(volatile __near unsigned short *)0x466)
#define RMDF0_14H      (*(volatile __near unsigned short *)0x466)
#define RMDF8_14H      (*(volatile __near unsigned short *)0x466)
#define GAFLM4HL       (*(volatile __near unsigned char  *)0x466)
#define RFDF0_14HL     (*(volatile __near unsigned char  *)0x466)
#define RMDF0_14HL     (*(volatile __near unsigned char  *)0x466)
#define RMDF8_14HL     (*(volatile __near unsigned char  *)0x466)
#define GAFLM4HH       (*(volatile __near unsigned char  *)0x467)
#define RFDF0_14HH     (*(volatile __near unsigned char  *)0x467)
#define RMDF0_14HH     (*(volatile __near unsigned char  *)0x467)
#define RMDF8_14HH     (*(volatile __near unsigned char  *)0x467)
#define GAFLP04L       (*(volatile __near unsigned short *)0x468)
#define RFDF0_15L      (*(volatile __near unsigned short *)0x468)
#define RMDF0_15L      (*(volatile __near unsigned short *)0x468)
#define RMDF8_15L      (*(volatile __near unsigned short *)0x468)
#define GAFLP04LL      (*(volatile __near unsigned char  *)0x468)
#define RFDF0_15LL     (*(volatile __near unsigned char  *)0x468)
#define RMDF0_15LL     (*(volatile __near unsigned char  *)0x468)
#define RMDF8_15LL     (*(volatile __near unsigned char  *)0x468)
#define GAFLP04LH      (*(volatile __near unsigned char  *)0x469)
#define RFDF0_15LH     (*(volatile __near unsigned char  *)0x469)
#define RMDF0_15LH     (*(volatile __near unsigned char  *)0x469)
#define RMDF8_15LH     (*(volatile __near unsigned char  *)0x469)
#define GAFLP04H       (*(volatile __near unsigned short *)0x46A)
#define RFDF0_15H      (*(volatile __near unsigned short *)0x46A)
#define RMDF0_15H      (*(volatile __near unsigned short *)0x46A)
#define RMDF8_15H      (*(volatile __near unsigned short *)0x46A)
#define GAFLP04HL      (*(volatile __near unsigned char  *)0x46A)
#define RFDF0_15HL     (*(volatile __near unsigned char  *)0x46A)
#define RMDF0_15HL     (*(volatile __near unsigned char  *)0x46A)
#define RMDF8_15HL     (*(volatile __near unsigned char  *)0x46A)
#define GAFLP04HH      (*(volatile __near unsigned char  *)0x46B)
#define RFDF0_15HH     (*(volatile __near unsigned char  *)0x46B)
#define RMDF0_15HH     (*(volatile __near unsigned char  *)0x46B)
#define RMDF8_15HH     (*(volatile __near unsigned char  *)0x46B)
#define GAFLP14L       (*(volatile __near unsigned short *)0x46C)
#define RFID1L         (*(volatile __near unsigned short *)0x46C)
#define RMID1L         (*(volatile __near unsigned short *)0x46C)
#define RMID9L         (*(volatile __near unsigned short *)0x46C)
#define GAFLP14LL      (*(volatile __near unsigned char  *)0x46C)
#define RFID1LL        (*(volatile __near unsigned char  *)0x46C)
#define RMID1LL        (*(volatile __near unsigned char  *)0x46C)
#define RMID9LL        (*(volatile __near unsigned char  *)0x46C)
#define GAFLP14LH      (*(volatile __near unsigned char  *)0x46D)
#define RFID1LH        (*(volatile __near unsigned char  *)0x46D)
#define RMID1LH        (*(volatile __near unsigned char  *)0x46D)
#define RMID9LH        (*(volatile __near unsigned char  *)0x46D)
#define RFID1H         (*(volatile __near unsigned short *)0x46E)
#define RMID1H         (*(volatile __near unsigned short *)0x46E)
#define RMID9H         (*(volatile __near unsigned short *)0x46E)
#define RFID1HL        (*(volatile __near unsigned char  *)0x46E)
#define RMID1HL        (*(volatile __near unsigned char  *)0x46E)
#define RMID9HL        (*(volatile __near unsigned char  *)0x46E)
#define RFID1HH        (*(volatile __near unsigned char  *)0x46F)
#define RMID1HH        (*(volatile __near unsigned char  *)0x46F)
#define RMID9HH        (*(volatile __near unsigned char  *)0x46F)
#define GAFLID5L       (*(volatile __near unsigned short *)0x470)
#define RFPTR1L        (*(volatile __near unsigned short *)0x470)
#define RMPTR1L        (*(volatile __near unsigned short *)0x470)
#define RMPTR9L        (*(volatile __near unsigned short *)0x470)
#define GAFLID5LL      (*(volatile __near unsigned char  *)0x470)
#define RFPTR1LL       (*(volatile __near unsigned char  *)0x470)
#define RMPTR1LL       (*(volatile __near unsigned char  *)0x470)
#define RMPTR9LL       (*(volatile __near unsigned char  *)0x470)
#define GAFLID5LH      (*(volatile __near unsigned char  *)0x471)
#define RFPTR1LH       (*(volatile __near unsigned char  *)0x471)
#define RMPTR1LH       (*(volatile __near unsigned char  *)0x471)
#define RMPTR9LH       (*(volatile __near unsigned char  *)0x471)
#define GAFLID5H       (*(volatile __near unsigned short *)0x472)
#define RFPTR1H        (*(volatile __near unsigned short *)0x472)
#define RMPTR1H        (*(volatile __near unsigned short *)0x472)
#define RMPTR9H        (*(volatile __near unsigned short *)0x472)
#define GAFLID5HL      (*(volatile __near unsigned char  *)0x472)
#define GAFLID5HH      (*(volatile __near unsigned char  *)0x473)
#define RFPTR1HH       (*(volatile __near unsigned char  *)0x473)
#define RMPTR1HH       (*(volatile __near unsigned char  *)0x473)
#define RMPTR9HH       (*(volatile __near unsigned char  *)0x473)
#define GAFLM5L        (*(volatile __near unsigned short *)0x474)
#define RFFDSTS1L      (*(volatile __near unsigned short *)0x474)
#define RMFDSTS1L      (*(volatile __near unsigned short *)0x474)
#define RMFDSTS9L      (*(volatile __near unsigned short *)0x474)
#define GAFLM5LL       (*(volatile __near unsigned char  *)0x474)
#define RFFDSTS1LL     (*(volatile __near unsigned char  *)0x474)
#define RMFDSTS1LL     (*(volatile __near unsigned char  *)0x474)
#define RMFDSTS9LL     (*(volatile __near unsigned char  *)0x474)
#define GAFLM5LH       (*(volatile __near unsigned char  *)0x475)
#define RFFDSTS1LH     (*(volatile __near unsigned char  *)0x475)
#define RMFDSTS1LH     (*(volatile __near unsigned char  *)0x475)
#define RMFDSTS9LH     (*(volatile __near unsigned char  *)0x475)
#define GAFLM5H        (*(volatile __near unsigned short *)0x476)
#define RFFDSTS1H      (*(volatile __near unsigned short *)0x476)
#define RMFDSTS1H      (*(volatile __near unsigned short *)0x476)
#define RMFDSTS9H      (*(volatile __near unsigned short *)0x476)
#define GAFLM5HL       (*(volatile __near unsigned char  *)0x476)
#define RFFDSTS1HL     (*(volatile __near unsigned char  *)0x476)
#define RMFDSTS1HL     (*(volatile __near unsigned char  *)0x476)
#define RMFDSTS9HL     (*(volatile __near unsigned char  *)0x476)
#define GAFLM5HH       (*(volatile __near unsigned char  *)0x477)
#define RFFDSTS1HH     (*(volatile __near unsigned char  *)0x477)
#define RMFDSTS1HH     (*(volatile __near unsigned char  *)0x477)
#define RMFDSTS9HH     (*(volatile __near unsigned char  *)0x477)
#define GAFLP05L       (*(volatile __near unsigned short *)0x478)
#define RFDF1_0L       (*(volatile __near unsigned short *)0x478)
#define RMDF1_0L       (*(volatile __near unsigned short *)0x478)
#define RMDF9_0L       (*(volatile __near unsigned short *)0x478)
#define GAFLP05LL      (*(volatile __near unsigned char  *)0x478)
#define RFDF1_0LL      (*(volatile __near unsigned char  *)0x478)
#define RMDF1_0LL      (*(volatile __near unsigned char  *)0x478)
#define RMDF9_0LL      (*(volatile __near unsigned char  *)0x478)
#define GAFLP05LH      (*(volatile __near unsigned char  *)0x479)
#define RFDF1_0LH      (*(volatile __near unsigned char  *)0x479)
#define RMDF1_0LH      (*(volatile __near unsigned char  *)0x479)
#define RMDF9_0LH      (*(volatile __near unsigned char  *)0x479)
#define GAFLP05H       (*(volatile __near unsigned short *)0x47A)
#define RFDF1_0H       (*(volatile __near unsigned short *)0x47A)
#define RMDF1_0H       (*(volatile __near unsigned short *)0x47A)
#define RMDF9_0H       (*(volatile __near unsigned short *)0x47A)
#define GAFLP05HL      (*(volatile __near unsigned char  *)0x47A)
#define RFDF1_0HL      (*(volatile __near unsigned char  *)0x47A)
#define RMDF1_0HL      (*(volatile __near unsigned char  *)0x47A)
#define RMDF9_0HL      (*(volatile __near unsigned char  *)0x47A)
#define GAFLP05HH      (*(volatile __near unsigned char  *)0x47B)
#define RFDF1_0HH      (*(volatile __near unsigned char  *)0x47B)
#define RMDF1_0HH      (*(volatile __near unsigned char  *)0x47B)
#define RMDF9_0HH      (*(volatile __near unsigned char  *)0x47B)
#define GAFLP15L       (*(volatile __near unsigned short *)0x47C)
#define RFDF1_1L       (*(volatile __near unsigned short *)0x47C)
#define RMDF1_1L       (*(volatile __near unsigned short *)0x47C)
#define RMDF9_1L       (*(volatile __near unsigned short *)0x47C)
#define GAFLP15LL      (*(volatile __near unsigned char  *)0x47C)
#define RFDF1_1LL      (*(volatile __near unsigned char  *)0x47C)
#define RMDF1_1LL      (*(volatile __near unsigned char  *)0x47C)
#define RMDF9_1LL      (*(volatile __near unsigned char  *)0x47C)
#define GAFLP15LH      (*(volatile __near unsigned char  *)0x47D)
#define RFDF1_1LH      (*(volatile __near unsigned char  *)0x47D)
#define RMDF1_1LH      (*(volatile __near unsigned char  *)0x47D)
#define RMDF9_1LH      (*(volatile __near unsigned char  *)0x47D)
#define RFDF1_1H       (*(volatile __near unsigned short *)0x47E)
#define RMDF1_1H       (*(volatile __near unsigned short *)0x47E)
#define RMDF9_1H       (*(volatile __near unsigned short *)0x47E)
#define RFDF1_1HL      (*(volatile __near unsigned char  *)0x47E)
#define RMDF1_1HL      (*(volatile __near unsigned char  *)0x47E)
#define RMDF9_1HL      (*(volatile __near unsigned char  *)0x47E)
#define RFDF1_1HH      (*(volatile __near unsigned char  *)0x47F)
#define RMDF1_1HH      (*(volatile __near unsigned char  *)0x47F)
#define RMDF9_1HH      (*(volatile __near unsigned char  *)0x47F)
#define GAFLID6L       (*(volatile __near unsigned short *)0x480)
#define RFDF1_2L       (*(volatile __near unsigned short *)0x480)
#define RMDF1_2L       (*(volatile __near unsigned short *)0x480)
#define RMDF9_2L       (*(volatile __near unsigned short *)0x480)
#define GAFLID6LL      (*(volatile __near unsigned char  *)0x480)
#define RFDF1_2LL      (*(volatile __near unsigned char  *)0x480)
#define RMDF1_2LL      (*(volatile __near unsigned char  *)0x480)
#define RMDF9_2LL      (*(volatile __near unsigned char  *)0x480)
#define GAFLID6LH      (*(volatile __near unsigned char  *)0x481)
#define RFDF1_2LH      (*(volatile __near unsigned char  *)0x481)
#define RMDF1_2LH      (*(volatile __near unsigned char  *)0x481)
#define RMDF9_2LH      (*(volatile __near unsigned char  *)0x481)
#define GAFLID6H       (*(volatile __near unsigned short *)0x482)
#define RFDF1_2H       (*(volatile __near unsigned short *)0x482)
#define RMDF1_2H       (*(volatile __near unsigned short *)0x482)
#define RMDF9_2H       (*(volatile __near unsigned short *)0x482)
#define GAFLID6HL      (*(volatile __near unsigned char  *)0x482)
#define RFDF1_2HL      (*(volatile __near unsigned char  *)0x482)
#define RMDF1_2HL      (*(volatile __near unsigned char  *)0x482)
#define RMDF9_2HL      (*(volatile __near unsigned char  *)0x482)
#define GAFLID6HH      (*(volatile __near unsigned char  *)0x483)
#define RFDF1_2HH      (*(volatile __near unsigned char  *)0x483)
#define RMDF1_2HH      (*(volatile __near unsigned char  *)0x483)
#define RMDF9_2HH      (*(volatile __near unsigned char  *)0x483)
#define GAFLM6L        (*(volatile __near unsigned short *)0x484)
#define RFDF1_3L       (*(volatile __near unsigned short *)0x484)
#define RMDF1_3L       (*(volatile __near unsigned short *)0x484)
#define RMDF9_3L       (*(volatile __near unsigned short *)0x484)
#define GAFLM6LL       (*(volatile __near unsigned char  *)0x484)
#define RFDF1_3LL      (*(volatile __near unsigned char  *)0x484)
#define RMDF1_3LL      (*(volatile __near unsigned char  *)0x484)
#define RMDF9_3LL      (*(volatile __near unsigned char  *)0x484)
#define GAFLM6LH       (*(volatile __near unsigned char  *)0x485)
#define RFDF1_3LH      (*(volatile __near unsigned char  *)0x485)
#define RMDF1_3LH      (*(volatile __near unsigned char  *)0x485)
#define RMDF9_3LH      (*(volatile __near unsigned char  *)0x485)
#define GAFLM6H        (*(volatile __near unsigned short *)0x486)
#define RFDF1_3H       (*(volatile __near unsigned short *)0x486)
#define RMDF1_3H       (*(volatile __near unsigned short *)0x486)
#define RMDF9_3H       (*(volatile __near unsigned short *)0x486)
#define GAFLM6HL       (*(volatile __near unsigned char  *)0x486)
#define RFDF1_3HL      (*(volatile __near unsigned char  *)0x486)
#define RMDF1_3HL      (*(volatile __near unsigned char  *)0x486)
#define RMDF9_3HL      (*(volatile __near unsigned char  *)0x486)
#define GAFLM6HH       (*(volatile __near unsigned char  *)0x487)
#define RFDF1_3HH      (*(volatile __near unsigned char  *)0x487)
#define RMDF1_3HH      (*(volatile __near unsigned char  *)0x487)
#define RMDF9_3HH      (*(volatile __near unsigned char  *)0x487)
#define GAFLP06L       (*(volatile __near unsigned short *)0x488)
#define RFDF1_4L       (*(volatile __near unsigned short *)0x488)
#define RMDF1_4L       (*(volatile __near unsigned short *)0x488)
#define RMDF9_4L       (*(volatile __near unsigned short *)0x488)
#define GAFLP06LL      (*(volatile __near unsigned char  *)0x488)
#define RFDF1_4LL      (*(volatile __near unsigned char  *)0x488)
#define RMDF1_4LL      (*(volatile __near unsigned char  *)0x488)
#define RMDF9_4LL      (*(volatile __near unsigned char  *)0x488)
#define GAFLP06LH      (*(volatile __near unsigned char  *)0x489)
#define RFDF1_4LH      (*(volatile __near unsigned char  *)0x489)
#define RMDF1_4LH      (*(volatile __near unsigned char  *)0x489)
#define RMDF9_4LH      (*(volatile __near unsigned char  *)0x489)
#define GAFLP06H       (*(volatile __near unsigned short *)0x48A)
#define RFDF1_4H       (*(volatile __near unsigned short *)0x48A)
#define RMDF1_4H       (*(volatile __near unsigned short *)0x48A)
#define RMDF9_4H       (*(volatile __near unsigned short *)0x48A)
#define GAFLP06HL      (*(volatile __near unsigned char  *)0x48A)
#define RFDF1_4HL      (*(volatile __near unsigned char  *)0x48A)
#define RMDF1_4HL      (*(volatile __near unsigned char  *)0x48A)
#define RMDF9_4HL      (*(volatile __near unsigned char  *)0x48A)
#define GAFLP06HH      (*(volatile __near unsigned char  *)0x48B)
#define RFDF1_4HH      (*(volatile __near unsigned char  *)0x48B)
#define RMDF1_4HH      (*(volatile __near unsigned char  *)0x48B)
#define RMDF9_4HH      (*(volatile __near unsigned char  *)0x48B)
#define GAFLP16L       (*(volatile __near unsigned short *)0x48C)
#define RFDF1_5L       (*(volatile __near unsigned short *)0x48C)
#define RMDF1_5L       (*(volatile __near unsigned short *)0x48C)
#define RMDF9_5L       (*(volatile __near unsigned short *)0x48C)
#define GAFLP16LL      (*(volatile __near unsigned char  *)0x48C)
#define RFDF1_5LL      (*(volatile __near unsigned char  *)0x48C)
#define RMDF1_5LL      (*(volatile __near unsigned char  *)0x48C)
#define RMDF9_5LL      (*(volatile __near unsigned char  *)0x48C)
#define GAFLP16LH      (*(volatile __near unsigned char  *)0x48D)
#define RFDF1_5LH      (*(volatile __near unsigned char  *)0x48D)
#define RMDF1_5LH      (*(volatile __near unsigned char  *)0x48D)
#define RMDF9_5LH      (*(volatile __near unsigned char  *)0x48D)
#define RFDF1_5H       (*(volatile __near unsigned short *)0x48E)
#define RMDF1_5H       (*(volatile __near unsigned short *)0x48E)
#define RMDF9_5H       (*(volatile __near unsigned short *)0x48E)
#define RFDF1_5HL      (*(volatile __near unsigned char  *)0x48E)
#define RMDF1_5HL      (*(volatile __near unsigned char  *)0x48E)
#define RMDF9_5HL      (*(volatile __near unsigned char  *)0x48E)
#define RFDF1_5HH      (*(volatile __near unsigned char  *)0x48F)
#define RMDF1_5HH      (*(volatile __near unsigned char  *)0x48F)
#define RMDF9_5HH      (*(volatile __near unsigned char  *)0x48F)
#define GAFLID7L       (*(volatile __near unsigned short *)0x490)
#define RFDF1_6L       (*(volatile __near unsigned short *)0x490)
#define RMDF1_6L       (*(volatile __near unsigned short *)0x490)
#define RMDF9_6L       (*(volatile __near unsigned short *)0x490)
#define GAFLID7LL      (*(volatile __near unsigned char  *)0x490)
#define RFDF1_6LL      (*(volatile __near unsigned char  *)0x490)
#define RMDF1_6LL      (*(volatile __near unsigned char  *)0x490)
#define RMDF9_6LL      (*(volatile __near unsigned char  *)0x490)
#define GAFLID7LH      (*(volatile __near unsigned char  *)0x491)
#define RFDF1_6LH      (*(volatile __near unsigned char  *)0x491)
#define RMDF1_6LH      (*(volatile __near unsigned char  *)0x491)
#define RMDF9_6LH      (*(volatile __near unsigned char  *)0x491)
#define GAFLID7H       (*(volatile __near unsigned short *)0x492)
#define RFDF1_6H       (*(volatile __near unsigned short *)0x492)
#define RMDF1_6H       (*(volatile __near unsigned short *)0x492)
#define RMDF9_6H       (*(volatile __near unsigned short *)0x492)
#define GAFLID7HL      (*(volatile __near unsigned char  *)0x492)
#define RFDF1_6HL      (*(volatile __near unsigned char  *)0x492)
#define RMDF1_6HL      (*(volatile __near unsigned char  *)0x492)
#define RMDF9_6HL      (*(volatile __near unsigned char  *)0x492)
#define GAFLID7HH      (*(volatile __near unsigned char  *)0x493)
#define RFDF1_6HH      (*(volatile __near unsigned char  *)0x493)
#define RMDF1_6HH      (*(volatile __near unsigned char  *)0x493)
#define RMDF9_6HH      (*(volatile __near unsigned char  *)0x493)
#define GAFLM7L        (*(volatile __near unsigned short *)0x494)
#define RFDF1_7L       (*(volatile __near unsigned short *)0x494)
#define RMDF1_7L       (*(volatile __near unsigned short *)0x494)
#define RMDF9_7L       (*(volatile __near unsigned short *)0x494)
#define GAFLM7LL       (*(volatile __near unsigned char  *)0x494)
#define RFDF1_7LL      (*(volatile __near unsigned char  *)0x494)
#define RMDF1_7LL      (*(volatile __near unsigned char  *)0x494)
#define RMDF9_7LL      (*(volatile __near unsigned char  *)0x494)
#define GAFLM7LH       (*(volatile __near unsigned char  *)0x495)
#define RFDF1_7LH      (*(volatile __near unsigned char  *)0x495)
#define RMDF1_7LH      (*(volatile __near unsigned char  *)0x495)
#define RMDF9_7LH      (*(volatile __near unsigned char  *)0x495)
#define GAFLM7H        (*(volatile __near unsigned short *)0x496)
#define RFDF1_7H       (*(volatile __near unsigned short *)0x496)
#define RMDF1_7H       (*(volatile __near unsigned short *)0x496)
#define RMDF9_7H       (*(volatile __near unsigned short *)0x496)
#define GAFLM7HL       (*(volatile __near unsigned char  *)0x496)
#define RFDF1_7HL      (*(volatile __near unsigned char  *)0x496)
#define RMDF1_7HL      (*(volatile __near unsigned char  *)0x496)
#define RMDF9_7HL      (*(volatile __near unsigned char  *)0x496)
#define GAFLM7HH       (*(volatile __near unsigned char  *)0x497)
#define RFDF1_7HH      (*(volatile __near unsigned char  *)0x497)
#define RMDF1_7HH      (*(volatile __near unsigned char  *)0x497)
#define RMDF9_7HH      (*(volatile __near unsigned char  *)0x497)
#define GAFLP07L       (*(volatile __near unsigned short *)0x498)
#define RFDF1_8L       (*(volatile __near unsigned short *)0x498)
#define RMDF1_8L       (*(volatile __near unsigned short *)0x498)
#define RMDF9_8L       (*(volatile __near unsigned short *)0x498)
#define GAFLP07LL      (*(volatile __near unsigned char  *)0x498)
#define RFDF1_8LL      (*(volatile __near unsigned char  *)0x498)
#define RMDF1_8LL      (*(volatile __near unsigned char  *)0x498)
#define RMDF9_8LL      (*(volatile __near unsigned char  *)0x498)
#define GAFLP07LH      (*(volatile __near unsigned char  *)0x499)
#define RFDF1_8LH      (*(volatile __near unsigned char  *)0x499)
#define RMDF1_8LH      (*(volatile __near unsigned char  *)0x499)
#define RMDF9_8LH      (*(volatile __near unsigned char  *)0x499)
#define GAFLP07H       (*(volatile __near unsigned short *)0x49A)
#define RFDF1_8H       (*(volatile __near unsigned short *)0x49A)
#define RMDF1_8H       (*(volatile __near unsigned short *)0x49A)
#define RMDF9_8H       (*(volatile __near unsigned short *)0x49A)
#define GAFLP07HL      (*(volatile __near unsigned char  *)0x49A)
#define RFDF1_8HL      (*(volatile __near unsigned char  *)0x49A)
#define RMDF1_8HL      (*(volatile __near unsigned char  *)0x49A)
#define RMDF9_8HL      (*(volatile __near unsigned char  *)0x49A)
#define GAFLP07HH      (*(volatile __near unsigned char  *)0x49B)
#define RFDF1_8HH      (*(volatile __near unsigned char  *)0x49B)
#define RMDF1_8HH      (*(volatile __near unsigned char  *)0x49B)
#define RMDF9_8HH      (*(volatile __near unsigned char  *)0x49B)
#define GAFLP17L       (*(volatile __near unsigned short *)0x49C)
#define RFDF1_9L       (*(volatile __near unsigned short *)0x49C)
#define RMDF1_9L       (*(volatile __near unsigned short *)0x49C)
#define RMDF9_9L       (*(volatile __near unsigned short *)0x49C)
#define GAFLP17LL      (*(volatile __near unsigned char  *)0x49C)
#define RFDF1_9LL      (*(volatile __near unsigned char  *)0x49C)
#define RMDF1_9LL      (*(volatile __near unsigned char  *)0x49C)
#define RMDF9_9LL      (*(volatile __near unsigned char  *)0x49C)
#define GAFLP17LH      (*(volatile __near unsigned char  *)0x49D)
#define RFDF1_9LH      (*(volatile __near unsigned char  *)0x49D)
#define RMDF1_9LH      (*(volatile __near unsigned char  *)0x49D)
#define RMDF9_9LH      (*(volatile __near unsigned char  *)0x49D)
#define RFDF1_9H       (*(volatile __near unsigned short *)0x49E)
#define RMDF1_9H       (*(volatile __near unsigned short *)0x49E)
#define RMDF9_9H       (*(volatile __near unsigned short *)0x49E)
#define RFDF1_9HL      (*(volatile __near unsigned char  *)0x49E)
#define RMDF1_9HL      (*(volatile __near unsigned char  *)0x49E)
#define RMDF9_9HL      (*(volatile __near unsigned char  *)0x49E)
#define RFDF1_9HH      (*(volatile __near unsigned char  *)0x49F)
#define RMDF1_9HH      (*(volatile __near unsigned char  *)0x49F)
#define RMDF9_9HH      (*(volatile __near unsigned char  *)0x49F)
#define GAFLID8L       (*(volatile __near unsigned short *)0x4A0)
#define RFDF1_10L      (*(volatile __near unsigned short *)0x4A0)
#define RMDF1_10L      (*(volatile __near unsigned short *)0x4A0)
#define RMDF9_10L      (*(volatile __near unsigned short *)0x4A0)
#define GAFLID8LL      (*(volatile __near unsigned char  *)0x4A0)
#define RFDF1_10LL     (*(volatile __near unsigned char  *)0x4A0)
#define RMDF1_10LL     (*(volatile __near unsigned char  *)0x4A0)
#define RMDF9_10LL     (*(volatile __near unsigned char  *)0x4A0)
#define GAFLID8LH      (*(volatile __near unsigned char  *)0x4A1)
#define RFDF1_10LH     (*(volatile __near unsigned char  *)0x4A1)
#define RMDF1_10LH     (*(volatile __near unsigned char  *)0x4A1)
#define RMDF9_10LH     (*(volatile __near unsigned char  *)0x4A1)
#define GAFLID8H       (*(volatile __near unsigned short *)0x4A2)
#define RFDF1_10H      (*(volatile __near unsigned short *)0x4A2)
#define RMDF1_10H      (*(volatile __near unsigned short *)0x4A2)
#define RMDF9_10H      (*(volatile __near unsigned short *)0x4A2)
#define GAFLID8HL      (*(volatile __near unsigned char  *)0x4A2)
#define RFDF1_10HL     (*(volatile __near unsigned char  *)0x4A2)
#define RMDF1_10HL     (*(volatile __near unsigned char  *)0x4A2)
#define RMDF9_10HL     (*(volatile __near unsigned char  *)0x4A2)
#define GAFLID8HH      (*(volatile __near unsigned char  *)0x4A3)
#define RFDF1_10HH     (*(volatile __near unsigned char  *)0x4A3)
#define RMDF1_10HH     (*(volatile __near unsigned char  *)0x4A3)
#define RMDF9_10HH     (*(volatile __near unsigned char  *)0x4A3)
#define GAFLM8L        (*(volatile __near unsigned short *)0x4A4)
#define RFDF1_11L      (*(volatile __near unsigned short *)0x4A4)
#define RMDF1_11L      (*(volatile __near unsigned short *)0x4A4)
#define RMDF9_11L      (*(volatile __near unsigned short *)0x4A4)
#define GAFLM8LL       (*(volatile __near unsigned char  *)0x4A4)
#define RFDF1_11LL     (*(volatile __near unsigned char  *)0x4A4)
#define RMDF1_11LL     (*(volatile __near unsigned char  *)0x4A4)
#define RMDF9_11LL     (*(volatile __near unsigned char  *)0x4A4)
#define GAFLM8LH       (*(volatile __near unsigned char  *)0x4A5)
#define RFDF1_11LH     (*(volatile __near unsigned char  *)0x4A5)
#define RMDF1_11LH     (*(volatile __near unsigned char  *)0x4A5)
#define RMDF9_11LH     (*(volatile __near unsigned char  *)0x4A5)
#define GAFLM8H        (*(volatile __near unsigned short *)0x4A6)
#define RFDF1_11H      (*(volatile __near unsigned short *)0x4A6)
#define RMDF1_11H      (*(volatile __near unsigned short *)0x4A6)
#define RMDF9_11H      (*(volatile __near unsigned short *)0x4A6)
#define GAFLM8HL       (*(volatile __near unsigned char  *)0x4A6)
#define RFDF1_11HL     (*(volatile __near unsigned char  *)0x4A6)
#define RMDF1_11HL     (*(volatile __near unsigned char  *)0x4A6)
#define RMDF9_11HL     (*(volatile __near unsigned char  *)0x4A6)
#define GAFLM8HH       (*(volatile __near unsigned char  *)0x4A7)
#define RFDF1_11HH     (*(volatile __near unsigned char  *)0x4A7)
#define RMDF1_11HH     (*(volatile __near unsigned char  *)0x4A7)
#define RMDF9_11HH     (*(volatile __near unsigned char  *)0x4A7)
#define GAFLP08L       (*(volatile __near unsigned short *)0x4A8)
#define RFDF1_12L      (*(volatile __near unsigned short *)0x4A8)
#define RMDF1_12L      (*(volatile __near unsigned short *)0x4A8)
#define RMDF9_12L      (*(volatile __near unsigned short *)0x4A8)
#define GAFLP08LL      (*(volatile __near unsigned char  *)0x4A8)
#define RFDF1_12LL     (*(volatile __near unsigned char  *)0x4A8)
#define RMDF1_12LL     (*(volatile __near unsigned char  *)0x4A8)
#define RMDF9_12LL     (*(volatile __near unsigned char  *)0x4A8)
#define GAFLP08LH      (*(volatile __near unsigned char  *)0x4A9)
#define RFDF1_12LH     (*(volatile __near unsigned char  *)0x4A9)
#define RMDF1_12LH     (*(volatile __near unsigned char  *)0x4A9)
#define RMDF9_12LH     (*(volatile __near unsigned char  *)0x4A9)
#define GAFLP08H       (*(volatile __near unsigned short *)0x4AA)
#define RFDF1_12H      (*(volatile __near unsigned short *)0x4AA)
#define RMDF1_12H      (*(volatile __near unsigned short *)0x4AA)
#define RMDF9_12H      (*(volatile __near unsigned short *)0x4AA)
#define GAFLP08HL      (*(volatile __near unsigned char  *)0x4AA)
#define RFDF1_12HL     (*(volatile __near unsigned char  *)0x4AA)
#define RMDF1_12HL     (*(volatile __near unsigned char  *)0x4AA)
#define RMDF9_12HL     (*(volatile __near unsigned char  *)0x4AA)
#define GAFLP08HH      (*(volatile __near unsigned char  *)0x4AB)
#define RFDF1_12HH     (*(volatile __near unsigned char  *)0x4AB)
#define RMDF1_12HH     (*(volatile __near unsigned char  *)0x4AB)
#define RMDF9_12HH     (*(volatile __near unsigned char  *)0x4AB)
#define GAFLP18L       (*(volatile __near unsigned short *)0x4AC)
#define RFDF1_13L      (*(volatile __near unsigned short *)0x4AC)
#define RMDF1_13L      (*(volatile __near unsigned short *)0x4AC)
#define RMDF9_13L      (*(volatile __near unsigned short *)0x4AC)
#define GAFLP18LL      (*(volatile __near unsigned char  *)0x4AC)
#define RFDF1_13LL     (*(volatile __near unsigned char  *)0x4AC)
#define RMDF1_13LL     (*(volatile __near unsigned char  *)0x4AC)
#define RMDF9_13LL     (*(volatile __near unsigned char  *)0x4AC)
#define GAFLP18LH      (*(volatile __near unsigned char  *)0x4AD)
#define RFDF1_13LH     (*(volatile __near unsigned char  *)0x4AD)
#define RMDF1_13LH     (*(volatile __near unsigned char  *)0x4AD)
#define RMDF9_13LH     (*(volatile __near unsigned char  *)0x4AD)
#define RFDF1_13H      (*(volatile __near unsigned short *)0x4AE)
#define RMDF1_13H      (*(volatile __near unsigned short *)0x4AE)
#define RMDF9_13H      (*(volatile __near unsigned short *)0x4AE)
#define RFDF1_13HL     (*(volatile __near unsigned char  *)0x4AE)
#define RMDF1_13HL     (*(volatile __near unsigned char  *)0x4AE)
#define RMDF9_13HL     (*(volatile __near unsigned char  *)0x4AE)
#define RFDF1_13HH     (*(volatile __near unsigned char  *)0x4AF)
#define RMDF1_13HH     (*(volatile __near unsigned char  *)0x4AF)
#define RMDF9_13HH     (*(volatile __near unsigned char  *)0x4AF)
#define GAFLID9L       (*(volatile __near unsigned short *)0x4B0)
#define RFDF1_14L      (*(volatile __near unsigned short *)0x4B0)
#define RMDF1_14L      (*(volatile __near unsigned short *)0x4B0)
#define RMDF9_14L      (*(volatile __near unsigned short *)0x4B0)
#define GAFLID9LL      (*(volatile __near unsigned char  *)0x4B0)
#define RFDF1_14LL     (*(volatile __near unsigned char  *)0x4B0)
#define RMDF1_14LL     (*(volatile __near unsigned char  *)0x4B0)
#define RMDF9_14LL     (*(volatile __near unsigned char  *)0x4B0)
#define GAFLID9LH      (*(volatile __near unsigned char  *)0x4B1)
#define RFDF1_14LH     (*(volatile __near unsigned char  *)0x4B1)
#define RMDF1_14LH     (*(volatile __near unsigned char  *)0x4B1)
#define RMDF9_14LH     (*(volatile __near unsigned char  *)0x4B1)
#define GAFLID9H       (*(volatile __near unsigned short *)0x4B2)
#define RFDF1_14H      (*(volatile __near unsigned short *)0x4B2)
#define RMDF1_14H      (*(volatile __near unsigned short *)0x4B2)
#define RMDF9_14H      (*(volatile __near unsigned short *)0x4B2)
#define GAFLID9HL      (*(volatile __near unsigned char  *)0x4B2)
#define RFDF1_14HL     (*(volatile __near unsigned char  *)0x4B2)
#define RMDF1_14HL     (*(volatile __near unsigned char  *)0x4B2)
#define RMDF9_14HL     (*(volatile __near unsigned char  *)0x4B2)
#define GAFLID9HH      (*(volatile __near unsigned char  *)0x4B3)
#define RFDF1_14HH     (*(volatile __near unsigned char  *)0x4B3)
#define RMDF1_14HH     (*(volatile __near unsigned char  *)0x4B3)
#define RMDF9_14HH     (*(volatile __near unsigned char  *)0x4B3)
#define GAFLM9L        (*(volatile __near unsigned short *)0x4B4)
#define RFDF1_15L      (*(volatile __near unsigned short *)0x4B4)
#define RMDF1_15L      (*(volatile __near unsigned short *)0x4B4)
#define RMDF9_15L      (*(volatile __near unsigned short *)0x4B4)
#define GAFLM9LL       (*(volatile __near unsigned char  *)0x4B4)
#define RFDF1_15LL     (*(volatile __near unsigned char  *)0x4B4)
#define RMDF1_15LL     (*(volatile __near unsigned char  *)0x4B4)
#define RMDF9_15LL     (*(volatile __near unsigned char  *)0x4B4)
#define GAFLM9LH       (*(volatile __near unsigned char  *)0x4B5)
#define RFDF1_15LH     (*(volatile __near unsigned char  *)0x4B5)
#define RMDF1_15LH     (*(volatile __near unsigned char  *)0x4B5)
#define RMDF9_15LH     (*(volatile __near unsigned char  *)0x4B5)
#define GAFLM9H        (*(volatile __near unsigned short *)0x4B6)
#define RFDF1_15H      (*(volatile __near unsigned short *)0x4B6)
#define RMDF1_15H      (*(volatile __near unsigned short *)0x4B6)
#define RMDF9_15H      (*(volatile __near unsigned short *)0x4B6)
#define GAFLM9HL       (*(volatile __near unsigned char  *)0x4B6)
#define RFDF1_15HL     (*(volatile __near unsigned char  *)0x4B6)
#define RMDF1_15HL     (*(volatile __near unsigned char  *)0x4B6)
#define RMDF9_15HL     (*(volatile __near unsigned char  *)0x4B6)
#define GAFLM9HH       (*(volatile __near unsigned char  *)0x4B7)
#define RFDF1_15HH     (*(volatile __near unsigned char  *)0x4B7)
#define RMDF1_15HH     (*(volatile __near unsigned char  *)0x4B7)
#define RMDF9_15HH     (*(volatile __near unsigned char  *)0x4B7)
#define CFIDL          (*(volatile __near unsigned short *)0x4B8)
#define GAFLP09L       (*(volatile __near unsigned short *)0x4B8)
#define RMID10L        (*(volatile __near unsigned short *)0x4B8)
#define RMID2L         (*(volatile __near unsigned short *)0x4B8)
#define CFIDLL         (*(volatile __near unsigned char  *)0x4B8)
#define GAFLP09LL      (*(volatile __near unsigned char  *)0x4B8)
#define RMID10LL       (*(volatile __near unsigned char  *)0x4B8)
#define RMID2LL        (*(volatile __near unsigned char  *)0x4B8)
#define CFIDLH         (*(volatile __near unsigned char  *)0x4B9)
#define GAFLP09LH      (*(volatile __near unsigned char  *)0x4B9)
#define RMID10LH       (*(volatile __near unsigned char  *)0x4B9)
#define RMID2LH        (*(volatile __near unsigned char  *)0x4B9)
#define CFIDH          (*(volatile __near unsigned short *)0x4BA)
#define GAFLP09H       (*(volatile __near unsigned short *)0x4BA)
#define RMID10H        (*(volatile __near unsigned short *)0x4BA)
#define RMID2H         (*(volatile __near unsigned short *)0x4BA)
#define CFIDHL         (*(volatile __near unsigned char  *)0x4BA)
#define GAFLP09HL      (*(volatile __near unsigned char  *)0x4BA)
#define RMID10HL       (*(volatile __near unsigned char  *)0x4BA)
#define RMID2HL        (*(volatile __near unsigned char  *)0x4BA)
#define CFIDHH         (*(volatile __near unsigned char  *)0x4BB)
#define GAFLP09HH      (*(volatile __near unsigned char  *)0x4BB)
#define RMID10HH       (*(volatile __near unsigned char  *)0x4BB)
#define RMID2HH        (*(volatile __near unsigned char  *)0x4BB)
#define CFPTRL         (*(volatile __near unsigned short *)0x4BC)
#define GAFLP19L       (*(volatile __near unsigned short *)0x4BC)
#define RMPTR10L       (*(volatile __near unsigned short *)0x4BC)
#define RMPTR2L        (*(volatile __near unsigned short *)0x4BC)
#define CFPTRLL        (*(volatile __near unsigned char  *)0x4BC)
#define GAFLP19LL      (*(volatile __near unsigned char  *)0x4BC)
#define RMPTR10LL      (*(volatile __near unsigned char  *)0x4BC)
#define RMPTR2LL       (*(volatile __near unsigned char  *)0x4BC)
#define CFPTRLH        (*(volatile __near unsigned char  *)0x4BD)
#define GAFLP19LH      (*(volatile __near unsigned char  *)0x4BD)
#define RMPTR10LH      (*(volatile __near unsigned char  *)0x4BD)
#define RMPTR2LH       (*(volatile __near unsigned char  *)0x4BD)
#define CFPTRH         (*(volatile __near unsigned short *)0x4BE)
#define RMPTR10H       (*(volatile __near unsigned short *)0x4BE)
#define RMPTR2H        (*(volatile __near unsigned short *)0x4BE)
#define CFPTRHH        (*(volatile __near unsigned char  *)0x4BF)
#define RMPTR10HH      (*(volatile __near unsigned char  *)0x4BF)
#define RMPTR2HH       (*(volatile __near unsigned char  *)0x4BF)
#define CFFDCSTSL      (*(volatile __near unsigned short *)0x4C0)
#define GAFLID10L      (*(volatile __near unsigned short *)0x4C0)
#define RMFDSTS10L     (*(volatile __near unsigned short *)0x4C0)
#define RMFDSTS2L      (*(volatile __near unsigned short *)0x4C0)
#define CFFDCSTSLL     (*(volatile __near unsigned char  *)0x4C0)
#define GAFLID10LL     (*(volatile __near unsigned char  *)0x4C0)
#define RMFDSTS10LL    (*(volatile __near unsigned char  *)0x4C0)
#define RMFDSTS2LL     (*(volatile __near unsigned char  *)0x4C0)
#define CFFDCSTSLH     (*(volatile __near unsigned char  *)0x4C1)
#define GAFLID10LH     (*(volatile __near unsigned char  *)0x4C1)
#define RMFDSTS10LH    (*(volatile __near unsigned char  *)0x4C1)
#define RMFDSTS2LH     (*(volatile __near unsigned char  *)0x4C1)
#define CFFDCSTSH      (*(volatile __near unsigned short *)0x4C2)
#define GAFLID10H      (*(volatile __near unsigned short *)0x4C2)
#define RMFDSTS10H     (*(volatile __near unsigned short *)0x4C2)
#define RMFDSTS2H      (*(volatile __near unsigned short *)0x4C2)
#define CFFDCSTSHL     (*(volatile __near unsigned char  *)0x4C2)
#define GAFLID10HL     (*(volatile __near unsigned char  *)0x4C2)
#define RMFDSTS10HL    (*(volatile __near unsigned char  *)0x4C2)
#define RMFDSTS2HL     (*(volatile __near unsigned char  *)0x4C2)
#define CFFDCSTSHH     (*(volatile __near unsigned char  *)0x4C3)
#define GAFLID10HH     (*(volatile __near unsigned char  *)0x4C3)
#define RMFDSTS10HH    (*(volatile __near unsigned char  *)0x4C3)
#define RMFDSTS2HH     (*(volatile __near unsigned char  *)0x4C3)
#define CFDF0L         (*(volatile __near unsigned short *)0x4C4)
#define GAFLM10L       (*(volatile __near unsigned short *)0x4C4)
#define RMDF10_0L      (*(volatile __near unsigned short *)0x4C4)
#define RMDF2_0L       (*(volatile __near unsigned short *)0x4C4)
#define CFDF0LL        (*(volatile __near unsigned char  *)0x4C4)
#define GAFLM10LL      (*(volatile __near unsigned char  *)0x4C4)
#define RMDF10_0LL     (*(volatile __near unsigned char  *)0x4C4)
#define RMDF2_0LL      (*(volatile __near unsigned char  *)0x4C4)
#define CFDF0LH        (*(volatile __near unsigned char  *)0x4C5)
#define GAFLM10LH      (*(volatile __near unsigned char  *)0x4C5)
#define RMDF10_0LH     (*(volatile __near unsigned char  *)0x4C5)
#define RMDF2_0LH      (*(volatile __near unsigned char  *)0x4C5)
#define CFDF0H         (*(volatile __near unsigned short *)0x4C6)
#define GAFLM10H       (*(volatile __near unsigned short *)0x4C6)
#define RMDF10_0H      (*(volatile __near unsigned short *)0x4C6)
#define RMDF2_0H       (*(volatile __near unsigned short *)0x4C6)
#define CFDF0HL        (*(volatile __near unsigned char  *)0x4C6)
#define GAFLM10HL      (*(volatile __near unsigned char  *)0x4C6)
#define RMDF10_0HL     (*(volatile __near unsigned char  *)0x4C6)
#define RMDF2_0HL      (*(volatile __near unsigned char  *)0x4C6)
#define CFDF0HH        (*(volatile __near unsigned char  *)0x4C7)
#define GAFLM10HH      (*(volatile __near unsigned char  *)0x4C7)
#define RMDF10_0HH     (*(volatile __near unsigned char  *)0x4C7)
#define RMDF2_0HH      (*(volatile __near unsigned char  *)0x4C7)
#define CFDF1L         (*(volatile __near unsigned short *)0x4C8)
#define GAFLP010L      (*(volatile __near unsigned short *)0x4C8)
#define RMDF10_1L      (*(volatile __near unsigned short *)0x4C8)
#define RMDF2_1L       (*(volatile __near unsigned short *)0x4C8)
#define CFDF1LL        (*(volatile __near unsigned char  *)0x4C8)
#define GAFLP010LL     (*(volatile __near unsigned char  *)0x4C8)
#define RMDF10_1LL     (*(volatile __near unsigned char  *)0x4C8)
#define RMDF2_1LL      (*(volatile __near unsigned char  *)0x4C8)
#define CFDF1LH        (*(volatile __near unsigned char  *)0x4C9)
#define GAFLP010LH     (*(volatile __near unsigned char  *)0x4C9)
#define RMDF10_1LH     (*(volatile __near unsigned char  *)0x4C9)
#define RMDF2_1LH      (*(volatile __near unsigned char  *)0x4C9)
#define CFDF1H         (*(volatile __near unsigned short *)0x4CA)
#define GAFLP010H      (*(volatile __near unsigned short *)0x4CA)
#define RMDF10_1H      (*(volatile __near unsigned short *)0x4CA)
#define RMDF2_1H       (*(volatile __near unsigned short *)0x4CA)
#define CFDF1HL        (*(volatile __near unsigned char  *)0x4CA)
#define GAFLP010HL     (*(volatile __near unsigned char  *)0x4CA)
#define RMDF10_1HL     (*(volatile __near unsigned char  *)0x4CA)
#define RMDF2_1HL      (*(volatile __near unsigned char  *)0x4CA)
#define CFDF1HH        (*(volatile __near unsigned char  *)0x4CB)
#define GAFLP010HH     (*(volatile __near unsigned char  *)0x4CB)
#define RMDF10_1HH     (*(volatile __near unsigned char  *)0x4CB)
#define RMDF2_1HH      (*(volatile __near unsigned char  *)0x4CB)
#define CFDF2L         (*(volatile __near unsigned short *)0x4CC)
#define GAFLP110L      (*(volatile __near unsigned short *)0x4CC)
#define RMDF10_2L      (*(volatile __near unsigned short *)0x4CC)
#define RMDF2_2L       (*(volatile __near unsigned short *)0x4CC)
#define CFDF2LL        (*(volatile __near unsigned char  *)0x4CC)
#define GAFLP110LL     (*(volatile __near unsigned char  *)0x4CC)
#define RMDF10_2LL     (*(volatile __near unsigned char  *)0x4CC)
#define RMDF2_2LL      (*(volatile __near unsigned char  *)0x4CC)
#define CFDF2LH        (*(volatile __near unsigned char  *)0x4CD)
#define GAFLP110LH     (*(volatile __near unsigned char  *)0x4CD)
#define RMDF10_2LH     (*(volatile __near unsigned char  *)0x4CD)
#define RMDF2_2LH      (*(volatile __near unsigned char  *)0x4CD)
#define CFDF2H         (*(volatile __near unsigned short *)0x4CE)
#define RMDF10_2H      (*(volatile __near unsigned short *)0x4CE)
#define RMDF2_2H       (*(volatile __near unsigned short *)0x4CE)
#define CFDF2HL        (*(volatile __near unsigned char  *)0x4CE)
#define RMDF10_2HL     (*(volatile __near unsigned char  *)0x4CE)
#define RMDF2_2HL      (*(volatile __near unsigned char  *)0x4CE)
#define CFDF2HH        (*(volatile __near unsigned char  *)0x4CF)
#define RMDF10_2HH     (*(volatile __near unsigned char  *)0x4CF)
#define RMDF2_2HH      (*(volatile __near unsigned char  *)0x4CF)
#define CFDF3L         (*(volatile __near unsigned short *)0x4D0)
#define GAFLID11L      (*(volatile __near unsigned short *)0x4D0)
#define RMDF10_3L      (*(volatile __near unsigned short *)0x4D0)
#define RMDF2_3L       (*(volatile __near unsigned short *)0x4D0)
#define CFDF3LL        (*(volatile __near unsigned char  *)0x4D0)
#define GAFLID11LL     (*(volatile __near unsigned char  *)0x4D0)
#define RMDF10_3LL     (*(volatile __near unsigned char  *)0x4D0)
#define RMDF2_3LL      (*(volatile __near unsigned char  *)0x4D0)
#define CFDF3LH        (*(volatile __near unsigned char  *)0x4D1)
#define GAFLID11LH     (*(volatile __near unsigned char  *)0x4D1)
#define RMDF10_3LH     (*(volatile __near unsigned char  *)0x4D1)
#define RMDF2_3LH      (*(volatile __near unsigned char  *)0x4D1)
#define CFDF3H         (*(volatile __near unsigned short *)0x4D2)
#define GAFLID11H      (*(volatile __near unsigned short *)0x4D2)
#define RMDF10_3H      (*(volatile __near unsigned short *)0x4D2)
#define RMDF2_3H       (*(volatile __near unsigned short *)0x4D2)
#define CFDF3HL        (*(volatile __near unsigned char  *)0x4D2)
#define GAFLID11HL     (*(volatile __near unsigned char  *)0x4D2)
#define RMDF10_3HL     (*(volatile __near unsigned char  *)0x4D2)
#define RMDF2_3HL      (*(volatile __near unsigned char  *)0x4D2)
#define CFDF3HH        (*(volatile __near unsigned char  *)0x4D3)
#define GAFLID11HH     (*(volatile __near unsigned char  *)0x4D3)
#define RMDF10_3HH     (*(volatile __near unsigned char  *)0x4D3)
#define RMDF2_3HH      (*(volatile __near unsigned char  *)0x4D3)
#define CFDF4L         (*(volatile __near unsigned short *)0x4D4)
#define GAFLM11L       (*(volatile __near unsigned short *)0x4D4)
#define RMDF10_4L      (*(volatile __near unsigned short *)0x4D4)
#define RMDF2_4L       (*(volatile __near unsigned short *)0x4D4)
#define CFDF4LL        (*(volatile __near unsigned char  *)0x4D4)
#define GAFLM11LL      (*(volatile __near unsigned char  *)0x4D4)
#define RMDF10_4LL     (*(volatile __near unsigned char  *)0x4D4)
#define RMDF2_4LL      (*(volatile __near unsigned char  *)0x4D4)
#define CFDF4LH        (*(volatile __near unsigned char  *)0x4D5)
#define GAFLM11LH      (*(volatile __near unsigned char  *)0x4D5)
#define RMDF10_4LH     (*(volatile __near unsigned char  *)0x4D5)
#define RMDF2_4LH      (*(volatile __near unsigned char  *)0x4D5)
#define CFDF4H         (*(volatile __near unsigned short *)0x4D6)
#define GAFLM11H       (*(volatile __near unsigned short *)0x4D6)
#define RMDF10_4H      (*(volatile __near unsigned short *)0x4D6)
#define RMDF2_4H       (*(volatile __near unsigned short *)0x4D6)
#define CFDF4HL        (*(volatile __near unsigned char  *)0x4D6)
#define GAFLM11HL      (*(volatile __near unsigned char  *)0x4D6)
#define RMDF10_4HL     (*(volatile __near unsigned char  *)0x4D6)
#define RMDF2_4HL      (*(volatile __near unsigned char  *)0x4D6)
#define CFDF4HH        (*(volatile __near unsigned char  *)0x4D7)
#define GAFLM11HH      (*(volatile __near unsigned char  *)0x4D7)
#define RMDF10_4HH     (*(volatile __near unsigned char  *)0x4D7)
#define RMDF2_4HH      (*(volatile __near unsigned char  *)0x4D7)
#define CFDF5L         (*(volatile __near unsigned short *)0x4D8)
#define GAFLP011L      (*(volatile __near unsigned short *)0x4D8)
#define RMDF10_5L      (*(volatile __near unsigned short *)0x4D8)
#define RMDF2_5L       (*(volatile __near unsigned short *)0x4D8)
#define CFDF5LL        (*(volatile __near unsigned char  *)0x4D8)
#define GAFLP011LL     (*(volatile __near unsigned char  *)0x4D8)
#define RMDF10_5LL     (*(volatile __near unsigned char  *)0x4D8)
#define RMDF2_5LL      (*(volatile __near unsigned char  *)0x4D8)
#define CFDF5LH        (*(volatile __near unsigned char  *)0x4D9)
#define GAFLP011LH     (*(volatile __near unsigned char  *)0x4D9)
#define RMDF10_5LH     (*(volatile __near unsigned char  *)0x4D9)
#define RMDF2_5LH      (*(volatile __near unsigned char  *)0x4D9)
#define CFDF5H         (*(volatile __near unsigned short *)0x4DA)
#define GAFLP011H      (*(volatile __near unsigned short *)0x4DA)
#define RMDF10_5H      (*(volatile __near unsigned short *)0x4DA)
#define RMDF2_5H       (*(volatile __near unsigned short *)0x4DA)
#define CFDF5HL        (*(volatile __near unsigned char  *)0x4DA)
#define GAFLP011HL     (*(volatile __near unsigned char  *)0x4DA)
#define RMDF10_5HL     (*(volatile __near unsigned char  *)0x4DA)
#define RMDF2_5HL      (*(volatile __near unsigned char  *)0x4DA)
#define CFDF5HH        (*(volatile __near unsigned char  *)0x4DB)
#define GAFLP011HH     (*(volatile __near unsigned char  *)0x4DB)
#define RMDF10_5HH     (*(volatile __near unsigned char  *)0x4DB)
#define RMDF2_5HH      (*(volatile __near unsigned char  *)0x4DB)
#define CFDF6L         (*(volatile __near unsigned short *)0x4DC)
#define GAFLP111L      (*(volatile __near unsigned short *)0x4DC)
#define RMDF10_6L      (*(volatile __near unsigned short *)0x4DC)
#define RMDF2_6L       (*(volatile __near unsigned short *)0x4DC)
#define CFDF6LL        (*(volatile __near unsigned char  *)0x4DC)
#define GAFLP111LL     (*(volatile __near unsigned char  *)0x4DC)
#define RMDF10_6LL     (*(volatile __near unsigned char  *)0x4DC)
#define RMDF2_6LL      (*(volatile __near unsigned char  *)0x4DC)
#define CFDF6LH        (*(volatile __near unsigned char  *)0x4DD)
#define GAFLP111LH     (*(volatile __near unsigned char  *)0x4DD)
#define RMDF10_6LH     (*(volatile __near unsigned char  *)0x4DD)
#define RMDF2_6LH      (*(volatile __near unsigned char  *)0x4DD)
#define CFDF6H         (*(volatile __near unsigned short *)0x4DE)
#define RMDF10_6H      (*(volatile __near unsigned short *)0x4DE)
#define RMDF2_6H       (*(volatile __near unsigned short *)0x4DE)
#define CFDF6HL        (*(volatile __near unsigned char  *)0x4DE)
#define RMDF10_6HL     (*(volatile __near unsigned char  *)0x4DE)
#define RMDF2_6HL      (*(volatile __near unsigned char  *)0x4DE)
#define CFDF6HH        (*(volatile __near unsigned char  *)0x4DF)
#define RMDF10_6HH     (*(volatile __near unsigned char  *)0x4DF)
#define RMDF2_6HH      (*(volatile __near unsigned char  *)0x4DF)
#define CFDF7L         (*(volatile __near unsigned short *)0x4E0)
#define GAFLID12L      (*(volatile __near unsigned short *)0x4E0)
#define RMDF10_7L      (*(volatile __near unsigned short *)0x4E0)
#define RMDF2_7L       (*(volatile __near unsigned short *)0x4E0)
#define CFDF7LL        (*(volatile __near unsigned char  *)0x4E0)
#define GAFLID12LL     (*(volatile __near unsigned char  *)0x4E0)
#define RMDF10_7LL     (*(volatile __near unsigned char  *)0x4E0)
#define RMDF2_7LL      (*(volatile __near unsigned char  *)0x4E0)
#define CFDF7LH        (*(volatile __near unsigned char  *)0x4E1)
#define GAFLID12LH     (*(volatile __near unsigned char  *)0x4E1)
#define RMDF10_7LH     (*(volatile __near unsigned char  *)0x4E1)
#define RMDF2_7LH      (*(volatile __near unsigned char  *)0x4E1)
#define CFDF7H         (*(volatile __near unsigned short *)0x4E2)
#define GAFLID12H      (*(volatile __near unsigned short *)0x4E2)
#define RMDF10_7H      (*(volatile __near unsigned short *)0x4E2)
#define RMDF2_7H       (*(volatile __near unsigned short *)0x4E2)
#define CFDF7HL        (*(volatile __near unsigned char  *)0x4E2)
#define GAFLID12HL     (*(volatile __near unsigned char  *)0x4E2)
#define RMDF10_7HL     (*(volatile __near unsigned char  *)0x4E2)
#define RMDF2_7HL      (*(volatile __near unsigned char  *)0x4E2)
#define CFDF7HH        (*(volatile __near unsigned char  *)0x4E3)
#define GAFLID12HH     (*(volatile __near unsigned char  *)0x4E3)
#define RMDF10_7HH     (*(volatile __near unsigned char  *)0x4E3)
#define RMDF2_7HH      (*(volatile __near unsigned char  *)0x4E3)
#define CFDF8L         (*(volatile __near unsigned short *)0x4E4)
#define GAFLM12L       (*(volatile __near unsigned short *)0x4E4)
#define RMDF10_8L      (*(volatile __near unsigned short *)0x4E4)
#define RMDF2_8L       (*(volatile __near unsigned short *)0x4E4)
#define CFDF8LL        (*(volatile __near unsigned char  *)0x4E4)
#define GAFLM12LL      (*(volatile __near unsigned char  *)0x4E4)
#define RMDF10_8LL     (*(volatile __near unsigned char  *)0x4E4)
#define RMDF2_8LL      (*(volatile __near unsigned char  *)0x4E4)
#define CFDF8LH        (*(volatile __near unsigned char  *)0x4E5)
#define GAFLM12LH      (*(volatile __near unsigned char  *)0x4E5)
#define RMDF10_8LH     (*(volatile __near unsigned char  *)0x4E5)
#define RMDF2_8LH      (*(volatile __near unsigned char  *)0x4E5)
#define CFDF8H         (*(volatile __near unsigned short *)0x4E6)
#define GAFLM12H       (*(volatile __near unsigned short *)0x4E6)
#define RMDF10_8H      (*(volatile __near unsigned short *)0x4E6)
#define RMDF2_8H       (*(volatile __near unsigned short *)0x4E6)
#define CFDF8HL        (*(volatile __near unsigned char  *)0x4E6)
#define GAFLM12HL      (*(volatile __near unsigned char  *)0x4E6)
#define RMDF10_8HL     (*(volatile __near unsigned char  *)0x4E6)
#define RMDF2_8HL      (*(volatile __near unsigned char  *)0x4E6)
#define CFDF8HH        (*(volatile __near unsigned char  *)0x4E7)
#define GAFLM12HH      (*(volatile __near unsigned char  *)0x4E7)
#define RMDF10_8HH     (*(volatile __near unsigned char  *)0x4E7)
#define RMDF2_8HH      (*(volatile __near unsigned char  *)0x4E7)
#define CFDF9L         (*(volatile __near unsigned short *)0x4E8)
#define GAFLP012L      (*(volatile __near unsigned short *)0x4E8)
#define RMDF10_9L      (*(volatile __near unsigned short *)0x4E8)
#define RMDF2_9L       (*(volatile __near unsigned short *)0x4E8)
#define CFDF9LL        (*(volatile __near unsigned char  *)0x4E8)
#define GAFLP012LL     (*(volatile __near unsigned char  *)0x4E8)
#define RMDF10_9LL     (*(volatile __near unsigned char  *)0x4E8)
#define RMDF2_9LL      (*(volatile __near unsigned char  *)0x4E8)
#define CFDF9LH        (*(volatile __near unsigned char  *)0x4E9)
#define GAFLP012LH     (*(volatile __near unsigned char  *)0x4E9)
#define RMDF10_9LH     (*(volatile __near unsigned char  *)0x4E9)
#define RMDF2_9LH      (*(volatile __near unsigned char  *)0x4E9)
#define CFDF9H         (*(volatile __near unsigned short *)0x4EA)
#define GAFLP012H      (*(volatile __near unsigned short *)0x4EA)
#define RMDF10_9H      (*(volatile __near unsigned short *)0x4EA)
#define RMDF2_9H       (*(volatile __near unsigned short *)0x4EA)
#define CFDF9HL        (*(volatile __near unsigned char  *)0x4EA)
#define GAFLP012HL     (*(volatile __near unsigned char  *)0x4EA)
#define RMDF10_9HL     (*(volatile __near unsigned char  *)0x4EA)
#define RMDF2_9HL      (*(volatile __near unsigned char  *)0x4EA)
#define CFDF9HH        (*(volatile __near unsigned char  *)0x4EB)
#define GAFLP012HH     (*(volatile __near unsigned char  *)0x4EB)
#define RMDF10_9HH     (*(volatile __near unsigned char  *)0x4EB)
#define RMDF2_9HH      (*(volatile __near unsigned char  *)0x4EB)
#define CFDF10L        (*(volatile __near unsigned short *)0x4EC)
#define GAFLP112L      (*(volatile __near unsigned short *)0x4EC)
#define RMDF10_10L     (*(volatile __near unsigned short *)0x4EC)
#define RMDF2_10L      (*(volatile __near unsigned short *)0x4EC)
#define CFDF10LL       (*(volatile __near unsigned char  *)0x4EC)
#define GAFLP112LL     (*(volatile __near unsigned char  *)0x4EC)
#define RMDF10_10LL    (*(volatile __near unsigned char  *)0x4EC)
#define RMDF2_10LL     (*(volatile __near unsigned char  *)0x4EC)
#define CFDF10LH       (*(volatile __near unsigned char  *)0x4ED)
#define GAFLP112LH     (*(volatile __near unsigned char  *)0x4ED)
#define RMDF10_10LH    (*(volatile __near unsigned char  *)0x4ED)
#define RMDF2_10LH     (*(volatile __near unsigned char  *)0x4ED)
#define CFDF10H        (*(volatile __near unsigned short *)0x4EE)
#define RMDF10_10H     (*(volatile __near unsigned short *)0x4EE)
#define RMDF2_10H      (*(volatile __near unsigned short *)0x4EE)
#define CFDF10HL       (*(volatile __near unsigned char  *)0x4EE)
#define RMDF10_10HL    (*(volatile __near unsigned char  *)0x4EE)
#define RMDF2_10HL     (*(volatile __near unsigned char  *)0x4EE)
#define CFDF10HH       (*(volatile __near unsigned char  *)0x4EF)
#define RMDF10_10HH    (*(volatile __near unsigned char  *)0x4EF)
#define RMDF2_10HH     (*(volatile __near unsigned char  *)0x4EF)
#define CFDF11L        (*(volatile __near unsigned short *)0x4F0)
#define GAFLID13L      (*(volatile __near unsigned short *)0x4F0)
#define RMDF10_11L     (*(volatile __near unsigned short *)0x4F0)
#define RMDF2_11L      (*(volatile __near unsigned short *)0x4F0)
#define CFDF11LL       (*(volatile __near unsigned char  *)0x4F0)
#define GAFLID13LL     (*(volatile __near unsigned char  *)0x4F0)
#define RMDF10_11LL    (*(volatile __near unsigned char  *)0x4F0)
#define RMDF2_11LL     (*(volatile __near unsigned char  *)0x4F0)
#define CFDF11LH       (*(volatile __near unsigned char  *)0x4F1)
#define GAFLID13LH     (*(volatile __near unsigned char  *)0x4F1)
#define RMDF10_11LH    (*(volatile __near unsigned char  *)0x4F1)
#define RMDF2_11LH     (*(volatile __near unsigned char  *)0x4F1)
#define CFDF11H        (*(volatile __near unsigned short *)0x4F2)
#define GAFLID13H      (*(volatile __near unsigned short *)0x4F2)
#define RMDF10_11H     (*(volatile __near unsigned short *)0x4F2)
#define RMDF2_11H      (*(volatile __near unsigned short *)0x4F2)
#define CFDF11HL       (*(volatile __near unsigned char  *)0x4F2)
#define GAFLID13HL     (*(volatile __near unsigned char  *)0x4F2)
#define RMDF10_11HL    (*(volatile __near unsigned char  *)0x4F2)
#define RMDF2_11HL     (*(volatile __near unsigned char  *)0x4F2)
#define CFDF11HH       (*(volatile __near unsigned char  *)0x4F3)
#define GAFLID13HH     (*(volatile __near unsigned char  *)0x4F3)
#define RMDF10_11HH    (*(volatile __near unsigned char  *)0x4F3)
#define RMDF2_11HH     (*(volatile __near unsigned char  *)0x4F3)
#define CFDF12L        (*(volatile __near unsigned short *)0x4F4)
#define GAFLM13L       (*(volatile __near unsigned short *)0x4F4)
#define RMDF10_12L     (*(volatile __near unsigned short *)0x4F4)
#define RMDF2_12L      (*(volatile __near unsigned short *)0x4F4)
#define CFDF12LL       (*(volatile __near unsigned char  *)0x4F4)
#define GAFLM13LL      (*(volatile __near unsigned char  *)0x4F4)
#define RMDF10_12LL    (*(volatile __near unsigned char  *)0x4F4)
#define RMDF2_12LL     (*(volatile __near unsigned char  *)0x4F4)
#define CFDF12LH       (*(volatile __near unsigned char  *)0x4F5)
#define GAFLM13LH      (*(volatile __near unsigned char  *)0x4F5)
#define RMDF10_12LH    (*(volatile __near unsigned char  *)0x4F5)
#define RMDF2_12LH     (*(volatile __near unsigned char  *)0x4F5)
#define CFDF12H        (*(volatile __near unsigned short *)0x4F6)
#define GAFLM13H       (*(volatile __near unsigned short *)0x4F6)
#define RMDF10_12H     (*(volatile __near unsigned short *)0x4F6)
#define RMDF2_12H      (*(volatile __near unsigned short *)0x4F6)
#define CFDF12HL       (*(volatile __near unsigned char  *)0x4F6)
#define GAFLM13HL      (*(volatile __near unsigned char  *)0x4F6)
#define RMDF10_12HL    (*(volatile __near unsigned char  *)0x4F6)
#define RMDF2_12HL     (*(volatile __near unsigned char  *)0x4F6)
#define CFDF12HH       (*(volatile __near unsigned char  *)0x4F7)
#define GAFLM13HH      (*(volatile __near unsigned char  *)0x4F7)
#define RMDF10_12HH    (*(volatile __near unsigned char  *)0x4F7)
#define RMDF2_12HH     (*(volatile __near unsigned char  *)0x4F7)
#define CFDF13L        (*(volatile __near unsigned short *)0x4F8)
#define GAFLP013L      (*(volatile __near unsigned short *)0x4F8)
#define RMDF10_13L     (*(volatile __near unsigned short *)0x4F8)
#define RMDF2_13L      (*(volatile __near unsigned short *)0x4F8)
#define CFDF13LL       (*(volatile __near unsigned char  *)0x4F8)
#define GAFLP013LL     (*(volatile __near unsigned char  *)0x4F8)
#define RMDF10_13LL    (*(volatile __near unsigned char  *)0x4F8)
#define RMDF2_13LL     (*(volatile __near unsigned char  *)0x4F8)
#define CFDF13LH       (*(volatile __near unsigned char  *)0x4F9)
#define GAFLP013LH     (*(volatile __near unsigned char  *)0x4F9)
#define RMDF10_13LH    (*(volatile __near unsigned char  *)0x4F9)
#define RMDF2_13LH     (*(volatile __near unsigned char  *)0x4F9)
#define CFDF13H        (*(volatile __near unsigned short *)0x4FA)
#define GAFLP013H      (*(volatile __near unsigned short *)0x4FA)
#define RMDF10_13H     (*(volatile __near unsigned short *)0x4FA)
#define RMDF2_13H      (*(volatile __near unsigned short *)0x4FA)
#define CFDF13HL       (*(volatile __near unsigned char  *)0x4FA)
#define GAFLP013HL     (*(volatile __near unsigned char  *)0x4FA)
#define RMDF10_13HL    (*(volatile __near unsigned char  *)0x4FA)
#define RMDF2_13HL     (*(volatile __near unsigned char  *)0x4FA)
#define CFDF13HH       (*(volatile __near unsigned char  *)0x4FB)
#define GAFLP013HH     (*(volatile __near unsigned char  *)0x4FB)
#define RMDF10_13HH    (*(volatile __near unsigned char  *)0x4FB)
#define RMDF2_13HH     (*(volatile __near unsigned char  *)0x4FB)
#define CFDF14L        (*(volatile __near unsigned short *)0x4FC)
#define GAFLP113L      (*(volatile __near unsigned short *)0x4FC)
#define RMDF10_14L     (*(volatile __near unsigned short *)0x4FC)
#define RMDF2_14L      (*(volatile __near unsigned short *)0x4FC)
#define CFDF14LL       (*(volatile __near unsigned char  *)0x4FC)
#define GAFLP113LL     (*(volatile __near unsigned char  *)0x4FC)
#define RMDF10_14LL    (*(volatile __near unsigned char  *)0x4FC)
#define RMDF2_14LL     (*(volatile __near unsigned char  *)0x4FC)
#define CFDF14LH       (*(volatile __near unsigned char  *)0x4FD)
#define GAFLP113LH     (*(volatile __near unsigned char  *)0x4FD)
#define RMDF10_14LH    (*(volatile __near unsigned char  *)0x4FD)
#define RMDF2_14LH     (*(volatile __near unsigned char  *)0x4FD)
#define CFDF14H        (*(volatile __near unsigned short *)0x4FE)
#define RMDF10_14H     (*(volatile __near unsigned short *)0x4FE)
#define RMDF2_14H      (*(volatile __near unsigned short *)0x4FE)
#define CFDF14HL       (*(volatile __near unsigned char  *)0x4FE)
#define RMDF10_14HL    (*(volatile __near unsigned char  *)0x4FE)
#define RMDF2_14HL     (*(volatile __near unsigned char  *)0x4FE)
#define CFDF14HH       (*(volatile __near unsigned char  *)0x4FF)
#define RMDF10_14HH    (*(volatile __near unsigned char  *)0x4FF)
#define RMDF2_14HH     (*(volatile __near unsigned char  *)0x4FF)
#define CFDF15L        (*(volatile __near unsigned short *)0x500)
#define GAFLID14L      (*(volatile __near unsigned short *)0x500)
#define RMDF10_15L     (*(volatile __near unsigned short *)0x500)
#define RMDF2_15L      (*(volatile __near unsigned short *)0x500)
#define CFDF15LL       (*(volatile __near unsigned char  *)0x500)
#define GAFLID14LL     (*(volatile __near unsigned char  *)0x500)
#define RMDF10_15LL    (*(volatile __near unsigned char  *)0x500)
#define RMDF2_15LL     (*(volatile __near unsigned char  *)0x500)
#define CFDF15LH       (*(volatile __near unsigned char  *)0x501)
#define GAFLID14LH     (*(volatile __near unsigned char  *)0x501)
#define RMDF10_15LH    (*(volatile __near unsigned char  *)0x501)
#define RMDF2_15LH     (*(volatile __near unsigned char  *)0x501)
#define CFDF15H        (*(volatile __near unsigned short *)0x502)
#define GAFLID14H      (*(volatile __near unsigned short *)0x502)
#define RMDF10_15H     (*(volatile __near unsigned short *)0x502)
#define RMDF2_15H      (*(volatile __near unsigned short *)0x502)
#define CFDF15HL       (*(volatile __near unsigned char  *)0x502)
#define GAFLID14HL     (*(volatile __near unsigned char  *)0x502)
#define RMDF10_15HL    (*(volatile __near unsigned char  *)0x502)
#define RMDF2_15HL     (*(volatile __near unsigned char  *)0x502)
#define CFDF15HH       (*(volatile __near unsigned char  *)0x503)
#define GAFLID14HH     (*(volatile __near unsigned char  *)0x503)
#define RMDF10_15HH    (*(volatile __near unsigned char  *)0x503)
#define RMDF2_15HH     (*(volatile __near unsigned char  *)0x503)
#define GAFLM14L       (*(volatile __near unsigned short *)0x504)
#define RMID11L        (*(volatile __near unsigned short *)0x504)
#define RMID3L         (*(volatile __near unsigned short *)0x504)
#define TMID0L         (*(volatile __near unsigned short *)0x504)
#define GAFLM14LL      (*(volatile __near unsigned char  *)0x504)
#define RMID11LL       (*(volatile __near unsigned char  *)0x504)
#define RMID3LL        (*(volatile __near unsigned char  *)0x504)
#define TMID0LL        (*(volatile __near unsigned char  *)0x504)
#define GAFLM14LH      (*(volatile __near unsigned char  *)0x505)
#define RMID11LH       (*(volatile __near unsigned char  *)0x505)
#define RMID3LH        (*(volatile __near unsigned char  *)0x505)
#define TMID0LH        (*(volatile __near unsigned char  *)0x505)
#define GAFLM14H       (*(volatile __near unsigned short *)0x506)
#define RMID11H        (*(volatile __near unsigned short *)0x506)
#define RMID3H         (*(volatile __near unsigned short *)0x506)
#define TMID0H         (*(volatile __near unsigned short *)0x506)
#define GAFLM14HL      (*(volatile __near unsigned char  *)0x506)
#define RMID11HL       (*(volatile __near unsigned char  *)0x506)
#define RMID3HL        (*(volatile __near unsigned char  *)0x506)
#define TMID0HL        (*(volatile __near unsigned char  *)0x506)
#define GAFLM14HH      (*(volatile __near unsigned char  *)0x507)
#define RMID11HH       (*(volatile __near unsigned char  *)0x507)
#define RMID3HH        (*(volatile __near unsigned char  *)0x507)
#define TMID0HH        (*(volatile __near unsigned char  *)0x507)
#define GAFLP014L      (*(volatile __near unsigned short *)0x508)
#define RMPTR11L       (*(volatile __near unsigned short *)0x508)
#define RMPTR3L        (*(volatile __near unsigned short *)0x508)
#define GAFLP014LL     (*(volatile __near unsigned char  *)0x508)
#define RMPTR11LL      (*(volatile __near unsigned char  *)0x508)
#define RMPTR3LL       (*(volatile __near unsigned char  *)0x508)
#define GAFLP014LH     (*(volatile __near unsigned char  *)0x509)
#define RMPTR11LH      (*(volatile __near unsigned char  *)0x509)
#define RMPTR3LH       (*(volatile __near unsigned char  *)0x509)
#define GAFLP014H      (*(volatile __near unsigned short *)0x50A)
#define RMPTR11H       (*(volatile __near unsigned short *)0x50A)
#define RMPTR3H        (*(volatile __near unsigned short *)0x50A)
#define TMPTR0H        (*(volatile __near unsigned short *)0x50A)
#define GAFLP014HL     (*(volatile __near unsigned char  *)0x50A)
#define GAFLP014HH     (*(volatile __near unsigned char  *)0x50B)
#define RMPTR11HH      (*(volatile __near unsigned char  *)0x50B)
#define RMPTR3HH       (*(volatile __near unsigned char  *)0x50B)
#define TMPTR0HH       (*(volatile __near unsigned char  *)0x50B)
#define GAFLP114L      (*(volatile __near unsigned short *)0x50C)
#define RMFDSTS11L     (*(volatile __near unsigned short *)0x50C)
#define RMFDSTS3L      (*(volatile __near unsigned short *)0x50C)
#define TMFDCTR0L      (*(volatile __near unsigned short *)0x50C)
#define GAFLP114LL     (*(volatile __near unsigned char  *)0x50C)
#define RMFDSTS11LL    (*(volatile __near unsigned char  *)0x50C)
#define RMFDSTS3LL     (*(volatile __near unsigned char  *)0x50C)
#define TMFDCTR0LL     (*(volatile __near unsigned char  *)0x50C)
#define GAFLP114LH     (*(volatile __near unsigned char  *)0x50D)
#define RMFDSTS11LH    (*(volatile __near unsigned char  *)0x50D)
#define RMFDSTS3LH     (*(volatile __near unsigned char  *)0x50D)
#define TMFDCTR0LH     (*(volatile __near unsigned char  *)0x50D)
#define RMFDSTS11H     (*(volatile __near unsigned short *)0x50E)
#define RMFDSTS3H      (*(volatile __near unsigned short *)0x50E)
#define TMFDCTR0H      (*(volatile __near unsigned short *)0x50E)
#define RMFDSTS11HL    (*(volatile __near unsigned char  *)0x50E)
#define RMFDSTS3HL     (*(volatile __near unsigned char  *)0x50E)
#define TMFDCTR0HL     (*(volatile __near unsigned char  *)0x50E)
#define RMFDSTS11HH    (*(volatile __near unsigned char  *)0x50F)
#define RMFDSTS3HH     (*(volatile __near unsigned char  *)0x50F)
#define TMFDCTR0HH     (*(volatile __near unsigned char  *)0x50F)
#define GAFLID15L      (*(volatile __near unsigned short *)0x510)
#define RMDF11_0L      (*(volatile __near unsigned short *)0x510)
#define RMDF3_0L       (*(volatile __near unsigned short *)0x510)
#define TMDF0_0L       (*(volatile __near unsigned short *)0x510)
#define GAFLID15LL     (*(volatile __near unsigned char  *)0x510)
#define RMDF11_0LL     (*(volatile __near unsigned char  *)0x510)
#define RMDF3_0LL      (*(volatile __near unsigned char  *)0x510)
#define TMDF0_0LL      (*(volatile __near unsigned char  *)0x510)
#define GAFLID15LH     (*(volatile __near unsigned char  *)0x511)
#define RMDF11_0LH     (*(volatile __near unsigned char  *)0x511)
#define RMDF3_0LH      (*(volatile __near unsigned char  *)0x511)
#define TMDF0_0LH      (*(volatile __near unsigned char  *)0x511)
#define GAFLID15H      (*(volatile __near unsigned short *)0x512)
#define RMDF11_0H      (*(volatile __near unsigned short *)0x512)
#define RMDF3_0H       (*(volatile __near unsigned short *)0x512)
#define TMDF0_0H       (*(volatile __near unsigned short *)0x512)
#define GAFLID15HL     (*(volatile __near unsigned char  *)0x512)
#define RMDF11_0HL     (*(volatile __near unsigned char  *)0x512)
#define RMDF3_0HL      (*(volatile __near unsigned char  *)0x512)
#define TMDF0_0HL      (*(volatile __near unsigned char  *)0x512)
#define GAFLID15HH     (*(volatile __near unsigned char  *)0x513)
#define RMDF11_0HH     (*(volatile __near unsigned char  *)0x513)
#define RMDF3_0HH      (*(volatile __near unsigned char  *)0x513)
#define TMDF0_0HH      (*(volatile __near unsigned char  *)0x513)
#define GAFLM15L       (*(volatile __near unsigned short *)0x514)
#define RMDF11_1L      (*(volatile __near unsigned short *)0x514)
#define RMDF3_1L       (*(volatile __near unsigned short *)0x514)
#define TMDF0_1L       (*(volatile __near unsigned short *)0x514)
#define GAFLM15LL      (*(volatile __near unsigned char  *)0x514)
#define RMDF11_1LL     (*(volatile __near unsigned char  *)0x514)
#define RMDF3_1LL      (*(volatile __near unsigned char  *)0x514)
#define TMDF0_1LL      (*(volatile __near unsigned char  *)0x514)
#define GAFLM15LH      (*(volatile __near unsigned char  *)0x515)
#define RMDF11_1LH     (*(volatile __near unsigned char  *)0x515)
#define RMDF3_1LH      (*(volatile __near unsigned char  *)0x515)
#define TMDF0_1LH      (*(volatile __near unsigned char  *)0x515)
#define GAFLM15H       (*(volatile __near unsigned short *)0x516)
#define RMDF11_1H      (*(volatile __near unsigned short *)0x516)
#define RMDF3_1H       (*(volatile __near unsigned short *)0x516)
#define TMDF0_1H       (*(volatile __near unsigned short *)0x516)
#define GAFLM15HL      (*(volatile __near unsigned char  *)0x516)
#define RMDF11_1HL     (*(volatile __near unsigned char  *)0x516)
#define RMDF3_1HL      (*(volatile __near unsigned char  *)0x516)
#define TMDF0_1HL      (*(volatile __near unsigned char  *)0x516)
#define GAFLM15HH      (*(volatile __near unsigned char  *)0x517)
#define RMDF11_1HH     (*(volatile __near unsigned char  *)0x517)
#define RMDF3_1HH      (*(volatile __near unsigned char  *)0x517)
#define TMDF0_1HH      (*(volatile __near unsigned char  *)0x517)
#define GAFLP015L      (*(volatile __near unsigned short *)0x518)
#define RMDF11_2L      (*(volatile __near unsigned short *)0x518)
#define RMDF3_2L       (*(volatile __near unsigned short *)0x518)
#define TMDF0_2L       (*(volatile __near unsigned short *)0x518)
#define GAFLP015LL     (*(volatile __near unsigned char  *)0x518)
#define RMDF11_2LL     (*(volatile __near unsigned char  *)0x518)
#define RMDF3_2LL      (*(volatile __near unsigned char  *)0x518)
#define TMDF0_2LL      (*(volatile __near unsigned char  *)0x518)
#define GAFLP015LH     (*(volatile __near unsigned char  *)0x519)
#define RMDF11_2LH     (*(volatile __near unsigned char  *)0x519)
#define RMDF3_2LH      (*(volatile __near unsigned char  *)0x519)
#define TMDF0_2LH      (*(volatile __near unsigned char  *)0x519)
#define GAFLP015H      (*(volatile __near unsigned short *)0x51A)
#define RMDF11_2H      (*(volatile __near unsigned short *)0x51A)
#define RMDF3_2H       (*(volatile __near unsigned short *)0x51A)
#define TMDF0_2H       (*(volatile __near unsigned short *)0x51A)
#define GAFLP015HL     (*(volatile __near unsigned char  *)0x51A)
#define RMDF11_2HL     (*(volatile __near unsigned char  *)0x51A)
#define RMDF3_2HL      (*(volatile __near unsigned char  *)0x51A)
#define TMDF0_2HL      (*(volatile __near unsigned char  *)0x51A)
#define GAFLP015HH     (*(volatile __near unsigned char  *)0x51B)
#define RMDF11_2HH     (*(volatile __near unsigned char  *)0x51B)
#define RMDF3_2HH      (*(volatile __near unsigned char  *)0x51B)
#define TMDF0_2HH      (*(volatile __near unsigned char  *)0x51B)
#define GAFLP115L      (*(volatile __near unsigned short *)0x51C)
#define RMDF11_3L      (*(volatile __near unsigned short *)0x51C)
#define RMDF3_3L       (*(volatile __near unsigned short *)0x51C)
#define TMDF0_3L       (*(volatile __near unsigned short *)0x51C)
#define GAFLP115LL     (*(volatile __near unsigned char  *)0x51C)
#define RMDF11_3LL     (*(volatile __near unsigned char  *)0x51C)
#define RMDF3_3LL      (*(volatile __near unsigned char  *)0x51C)
#define TMDF0_3LL      (*(volatile __near unsigned char  *)0x51C)
#define GAFLP115LH     (*(volatile __near unsigned char  *)0x51D)
#define RMDF11_3LH     (*(volatile __near unsigned char  *)0x51D)
#define RMDF3_3LH      (*(volatile __near unsigned char  *)0x51D)
#define TMDF0_3LH      (*(volatile __near unsigned char  *)0x51D)
#define RMDF11_3H      (*(volatile __near unsigned short *)0x51E)
#define RMDF3_3H       (*(volatile __near unsigned short *)0x51E)
#define TMDF0_3H       (*(volatile __near unsigned short *)0x51E)
#define RMDF11_3HL     (*(volatile __near unsigned char  *)0x51E)
#define RMDF3_3HL      (*(volatile __near unsigned char  *)0x51E)
#define TMDF0_3HL      (*(volatile __near unsigned char  *)0x51E)
#define RMDF11_3HH     (*(volatile __near unsigned char  *)0x51F)
#define RMDF3_3HH      (*(volatile __near unsigned char  *)0x51F)
#define TMDF0_3HH      (*(volatile __near unsigned char  *)0x51F)
#define GPFLID0L       (*(volatile __near unsigned short *)0x520)
#define RMDF11_4L      (*(volatile __near unsigned short *)0x520)
#define RMDF3_4L       (*(volatile __near unsigned short *)0x520)
#define TMDF0_4L       (*(volatile __near unsigned short *)0x520)
#define GPFLID0LL      (*(volatile __near unsigned char  *)0x520)
#define RMDF11_4LL     (*(volatile __near unsigned char  *)0x520)
#define RMDF3_4LL      (*(volatile __near unsigned char  *)0x520)
#define TMDF0_4LL      (*(volatile __near unsigned char  *)0x520)
#define GPFLID0LH      (*(volatile __near unsigned char  *)0x521)
#define RMDF11_4LH     (*(volatile __near unsigned char  *)0x521)
#define RMDF3_4LH      (*(volatile __near unsigned char  *)0x521)
#define TMDF0_4LH      (*(volatile __near unsigned char  *)0x521)
#define GPFLID0H       (*(volatile __near unsigned short *)0x522)
#define RMDF11_4H      (*(volatile __near unsigned short *)0x522)
#define RMDF3_4H       (*(volatile __near unsigned short *)0x522)
#define TMDF0_4H       (*(volatile __near unsigned short *)0x522)
#define GPFLID0HL      (*(volatile __near unsigned char  *)0x522)
#define RMDF11_4HL     (*(volatile __near unsigned char  *)0x522)
#define RMDF3_4HL      (*(volatile __near unsigned char  *)0x522)
#define TMDF0_4HL      (*(volatile __near unsigned char  *)0x522)
#define GPFLID0HH      (*(volatile __near unsigned char  *)0x523)
#define RMDF11_4HH     (*(volatile __near unsigned char  *)0x523)
#define RMDF3_4HH      (*(volatile __near unsigned char  *)0x523)
#define TMDF0_4HH      (*(volatile __near unsigned char  *)0x523)
#define GPFLM0L        (*(volatile __near unsigned short *)0x524)
#define RMDF11_5L      (*(volatile __near unsigned short *)0x524)
#define RMDF3_5L       (*(volatile __near unsigned short *)0x524)
#define TMDF0_5L       (*(volatile __near unsigned short *)0x524)
#define GPFLM0LL       (*(volatile __near unsigned char  *)0x524)
#define RMDF11_5LL     (*(volatile __near unsigned char  *)0x524)
#define RMDF3_5LL      (*(volatile __near unsigned char  *)0x524)
#define TMDF0_5LL      (*(volatile __near unsigned char  *)0x524)
#define GPFLM0LH       (*(volatile __near unsigned char  *)0x525)
#define RMDF11_5LH     (*(volatile __near unsigned char  *)0x525)
#define RMDF3_5LH      (*(volatile __near unsigned char  *)0x525)
#define TMDF0_5LH      (*(volatile __near unsigned char  *)0x525)
#define GPFLM0H        (*(volatile __near unsigned short *)0x526)
#define RMDF11_5H      (*(volatile __near unsigned short *)0x526)
#define RMDF3_5H       (*(volatile __near unsigned short *)0x526)
#define TMDF0_5H       (*(volatile __near unsigned short *)0x526)
#define GPFLM0HL       (*(volatile __near unsigned char  *)0x526)
#define RMDF11_5HL     (*(volatile __near unsigned char  *)0x526)
#define RMDF3_5HL      (*(volatile __near unsigned char  *)0x526)
#define TMDF0_5HL      (*(volatile __near unsigned char  *)0x526)
#define GPFLM0HH       (*(volatile __near unsigned char  *)0x527)
#define RMDF11_5HH     (*(volatile __near unsigned char  *)0x527)
#define RMDF3_5HH      (*(volatile __near unsigned char  *)0x527)
#define TMDF0_5HH      (*(volatile __near unsigned char  *)0x527)
#define GPFLP00L       (*(volatile __near unsigned short *)0x528)
#define RMDF11_6L      (*(volatile __near unsigned short *)0x528)
#define RMDF3_6L       (*(volatile __near unsigned short *)0x528)
#define TMDF0_6L       (*(volatile __near unsigned short *)0x528)
#define GPFLP00LL      (*(volatile __near unsigned char  *)0x528)
#define RMDF11_6LL     (*(volatile __near unsigned char  *)0x528)
#define RMDF3_6LL      (*(volatile __near unsigned char  *)0x528)
#define TMDF0_6LL      (*(volatile __near unsigned char  *)0x528)
#define GPFLP00LH      (*(volatile __near unsigned char  *)0x529)
#define RMDF11_6LH     (*(volatile __near unsigned char  *)0x529)
#define RMDF3_6LH      (*(volatile __near unsigned char  *)0x529)
#define TMDF0_6LH      (*(volatile __near unsigned char  *)0x529)
#define GPFLP00H       (*(volatile __near unsigned short *)0x52A)
#define RMDF11_6H      (*(volatile __near unsigned short *)0x52A)
#define RMDF3_6H       (*(volatile __near unsigned short *)0x52A)
#define TMDF0_6H       (*(volatile __near unsigned short *)0x52A)
#define GPFLP00HL      (*(volatile __near unsigned char  *)0x52A)
#define RMDF11_6HL     (*(volatile __near unsigned char  *)0x52A)
#define RMDF3_6HL      (*(volatile __near unsigned char  *)0x52A)
#define TMDF0_6HL      (*(volatile __near unsigned char  *)0x52A)
#define GPFLP00HH      (*(volatile __near unsigned char  *)0x52B)
#define RMDF11_6HH     (*(volatile __near unsigned char  *)0x52B)
#define RMDF3_6HH      (*(volatile __near unsigned char  *)0x52B)
#define TMDF0_6HH      (*(volatile __near unsigned char  *)0x52B)
#define GPFLP10L       (*(volatile __near unsigned short *)0x52C)
#define RMDF11_7L      (*(volatile __near unsigned short *)0x52C)
#define RMDF3_7L       (*(volatile __near unsigned short *)0x52C)
#define TMDF0_7L       (*(volatile __near unsigned short *)0x52C)
#define GPFLP10LL      (*(volatile __near unsigned char  *)0x52C)
#define RMDF11_7LL     (*(volatile __near unsigned char  *)0x52C)
#define RMDF3_7LL      (*(volatile __near unsigned char  *)0x52C)
#define TMDF0_7LL      (*(volatile __near unsigned char  *)0x52C)
#define GPFLP10LH      (*(volatile __near unsigned char  *)0x52D)
#define RMDF11_7LH     (*(volatile __near unsigned char  *)0x52D)
#define RMDF3_7LH      (*(volatile __near unsigned char  *)0x52D)
#define TMDF0_7LH      (*(volatile __near unsigned char  *)0x52D)
#define RMDF11_7H      (*(volatile __near unsigned short *)0x52E)
#define RMDF3_7H       (*(volatile __near unsigned short *)0x52E)
#define TMDF0_7H       (*(volatile __near unsigned short *)0x52E)
#define RMDF11_7HL     (*(volatile __near unsigned char  *)0x52E)
#define RMDF3_7HL      (*(volatile __near unsigned char  *)0x52E)
#define TMDF0_7HL      (*(volatile __near unsigned char  *)0x52E)
#define RMDF11_7HH     (*(volatile __near unsigned char  *)0x52F)
#define RMDF3_7HH      (*(volatile __near unsigned char  *)0x52F)
#define TMDF0_7HH      (*(volatile __near unsigned char  *)0x52F)
#define GPFLPT0L       (*(volatile __near unsigned short *)0x530)
#define RMDF11_8L      (*(volatile __near unsigned short *)0x530)
#define RMDF3_8L       (*(volatile __near unsigned short *)0x530)
#define TMDF0_8L       (*(volatile __near unsigned short *)0x530)
#define GPFLPT0LL      (*(volatile __near unsigned char  *)0x530)
#define RMDF11_8LL     (*(volatile __near unsigned char  *)0x530)
#define RMDF3_8LL      (*(volatile __near unsigned char  *)0x530)
#define TMDF0_8LL      (*(volatile __near unsigned char  *)0x530)
#define GPFLPT0LH      (*(volatile __near unsigned char  *)0x531)
#define RMDF11_8LH     (*(volatile __near unsigned char  *)0x531)
#define RMDF3_8LH      (*(volatile __near unsigned char  *)0x531)
#define TMDF0_8LH      (*(volatile __near unsigned char  *)0x531)
#define GPFLPT0H       (*(volatile __near unsigned short *)0x532)
#define RMDF11_8H      (*(volatile __near unsigned short *)0x532)
#define RMDF3_8H       (*(volatile __near unsigned short *)0x532)
#define TMDF0_8H       (*(volatile __near unsigned short *)0x532)
#define GPFLPT0HL      (*(volatile __near unsigned char  *)0x532)
#define RMDF11_8HL     (*(volatile __near unsigned char  *)0x532)
#define RMDF3_8HL      (*(volatile __near unsigned char  *)0x532)
#define TMDF0_8HL      (*(volatile __near unsigned char  *)0x532)
#define GPFLPT0HH      (*(volatile __near unsigned char  *)0x533)
#define RMDF11_8HH     (*(volatile __near unsigned char  *)0x533)
#define RMDF3_8HH      (*(volatile __near unsigned char  *)0x533)
#define TMDF0_8HH      (*(volatile __near unsigned char  *)0x533)
#define GPFLPD00L      (*(volatile __near unsigned short *)0x534)
#define RMDF11_9L      (*(volatile __near unsigned short *)0x534)
#define RMDF3_9L       (*(volatile __near unsigned short *)0x534)
#define TMDF0_9L       (*(volatile __near unsigned short *)0x534)
#define GPFLPD00LL     (*(volatile __near unsigned char  *)0x534)
#define RMDF11_9LL     (*(volatile __near unsigned char  *)0x534)
#define RMDF3_9LL      (*(volatile __near unsigned char  *)0x534)
#define TMDF0_9LL      (*(volatile __near unsigned char  *)0x534)
#define GPFLPD00LH     (*(volatile __near unsigned char  *)0x535)
#define RMDF11_9LH     (*(volatile __near unsigned char  *)0x535)
#define RMDF3_9LH      (*(volatile __near unsigned char  *)0x535)
#define TMDF0_9LH      (*(volatile __near unsigned char  *)0x535)
#define GPFLPD00H      (*(volatile __near unsigned short *)0x536)
#define RMDF11_9H      (*(volatile __near unsigned short *)0x536)
#define RMDF3_9H       (*(volatile __near unsigned short *)0x536)
#define TMDF0_9H       (*(volatile __near unsigned short *)0x536)
#define GPFLPD00HL     (*(volatile __near unsigned char  *)0x536)
#define RMDF11_9HL     (*(volatile __near unsigned char  *)0x536)
#define RMDF3_9HL      (*(volatile __near unsigned char  *)0x536)
#define TMDF0_9HL      (*(volatile __near unsigned char  *)0x536)
#define GPFLPD00HH     (*(volatile __near unsigned char  *)0x537)
#define RMDF11_9HH     (*(volatile __near unsigned char  *)0x537)
#define RMDF3_9HH      (*(volatile __near unsigned char  *)0x537)
#define TMDF0_9HH      (*(volatile __near unsigned char  *)0x537)
#define GPFLPM00L      (*(volatile __near unsigned short *)0x538)
#define RMDF11_10L     (*(volatile __near unsigned short *)0x538)
#define RMDF3_10L      (*(volatile __near unsigned short *)0x538)
#define TMDF0_10L      (*(volatile __near unsigned short *)0x538)
#define GPFLPM00LL     (*(volatile __near unsigned char  *)0x538)
#define RMDF11_10LL    (*(volatile __near unsigned char  *)0x538)
#define RMDF3_10LL     (*(volatile __near unsigned char  *)0x538)
#define TMDF0_10LL     (*(volatile __near unsigned char  *)0x538)
#define GPFLPM00LH     (*(volatile __near unsigned char  *)0x539)
#define RMDF11_10LH    (*(volatile __near unsigned char  *)0x539)
#define RMDF3_10LH     (*(volatile __near unsigned char  *)0x539)
#define TMDF0_10LH     (*(volatile __near unsigned char  *)0x539)
#define GPFLPM00H      (*(volatile __near unsigned short *)0x53A)
#define RMDF11_10H     (*(volatile __near unsigned short *)0x53A)
#define RMDF3_10H      (*(volatile __near unsigned short *)0x53A)
#define TMDF0_10H      (*(volatile __near unsigned short *)0x53A)
#define GPFLPM00HL     (*(volatile __near unsigned char  *)0x53A)
#define RMDF11_10HL    (*(volatile __near unsigned char  *)0x53A)
#define RMDF3_10HL     (*(volatile __near unsigned char  *)0x53A)
#define TMDF0_10HL     (*(volatile __near unsigned char  *)0x53A)
#define GPFLPM00HH     (*(volatile __near unsigned char  *)0x53B)
#define RMDF11_10HH    (*(volatile __near unsigned char  *)0x53B)
#define RMDF3_10HH     (*(volatile __near unsigned char  *)0x53B)
#define TMDF0_10HH     (*(volatile __near unsigned char  *)0x53B)
#define GPFLPD10L      (*(volatile __near unsigned short *)0x53C)
#define RMDF11_11L     (*(volatile __near unsigned short *)0x53C)
#define RMDF3_11L      (*(volatile __near unsigned short *)0x53C)
#define TMDF0_11L      (*(volatile __near unsigned short *)0x53C)
#define GPFLPD10LL     (*(volatile __near unsigned char  *)0x53C)
#define RMDF11_11LL    (*(volatile __near unsigned char  *)0x53C)
#define RMDF3_11LL     (*(volatile __near unsigned char  *)0x53C)
#define TMDF0_11LL     (*(volatile __near unsigned char  *)0x53C)
#define GPFLPD10LH     (*(volatile __near unsigned char  *)0x53D)
#define RMDF11_11LH    (*(volatile __near unsigned char  *)0x53D)
#define RMDF3_11LH     (*(volatile __near unsigned char  *)0x53D)
#define TMDF0_11LH     (*(volatile __near unsigned char  *)0x53D)
#define GPFLPD10H      (*(volatile __near unsigned short *)0x53E)
#define RMDF11_11H     (*(volatile __near unsigned short *)0x53E)
#define RMDF3_11H      (*(volatile __near unsigned short *)0x53E)
#define TMDF0_11H      (*(volatile __near unsigned short *)0x53E)
#define GPFLPD10HL     (*(volatile __near unsigned char  *)0x53E)
#define RMDF11_11HL    (*(volatile __near unsigned char  *)0x53E)
#define RMDF3_11HL     (*(volatile __near unsigned char  *)0x53E)
#define TMDF0_11HL     (*(volatile __near unsigned char  *)0x53E)
#define GPFLPD10HH     (*(volatile __near unsigned char  *)0x53F)
#define RMDF11_11HH    (*(volatile __near unsigned char  *)0x53F)
#define RMDF3_11HH     (*(volatile __near unsigned char  *)0x53F)
#define TMDF0_11HH     (*(volatile __near unsigned char  *)0x53F)
#define GPFLPM10L      (*(volatile __near unsigned short *)0x540)
#define RMDF11_12L     (*(volatile __near unsigned short *)0x540)
#define RMDF3_12L      (*(volatile __near unsigned short *)0x540)
#define TMDF0_12L      (*(volatile __near unsigned short *)0x540)
#define GPFLPM10LL     (*(volatile __near unsigned char  *)0x540)
#define RMDF11_12LL    (*(volatile __near unsigned char  *)0x540)
#define RMDF3_12LL     (*(volatile __near unsigned char  *)0x540)
#define TMDF0_12LL     (*(volatile __near unsigned char  *)0x540)
#define GPFLPM10LH     (*(volatile __near unsigned char  *)0x541)
#define RMDF11_12LH    (*(volatile __near unsigned char  *)0x541)
#define RMDF3_12LH     (*(volatile __near unsigned char  *)0x541)
#define TMDF0_12LH     (*(volatile __near unsigned char  *)0x541)
#define GPFLPM10H      (*(volatile __near unsigned short *)0x542)
#define RMDF11_12H     (*(volatile __near unsigned short *)0x542)
#define RMDF3_12H      (*(volatile __near unsigned short *)0x542)
#define TMDF0_12H      (*(volatile __near unsigned short *)0x542)
#define GPFLPM10HL     (*(volatile __near unsigned char  *)0x542)
#define RMDF11_12HL    (*(volatile __near unsigned char  *)0x542)
#define RMDF3_12HL     (*(volatile __near unsigned char  *)0x542)
#define TMDF0_12HL     (*(volatile __near unsigned char  *)0x542)
#define GPFLPM10HH     (*(volatile __near unsigned char  *)0x543)
#define RMDF11_12HH    (*(volatile __near unsigned char  *)0x543)
#define RMDF3_12HH     (*(volatile __near unsigned char  *)0x543)
#define TMDF0_12HH     (*(volatile __near unsigned char  *)0x543)
#define GPFLID1L       (*(volatile __near unsigned short *)0x544)
#define RMDF11_13L     (*(volatile __near unsigned short *)0x544)
#define RMDF3_13L      (*(volatile __near unsigned short *)0x544)
#define TMDF0_13L      (*(volatile __near unsigned short *)0x544)
#define GPFLID1LL      (*(volatile __near unsigned char  *)0x544)
#define RMDF11_13LL    (*(volatile __near unsigned char  *)0x544)
#define RMDF3_13LL     (*(volatile __near unsigned char  *)0x544)
#define TMDF0_13LL     (*(volatile __near unsigned char  *)0x544)
#define GPFLID1LH      (*(volatile __near unsigned char  *)0x545)
#define RMDF11_13LH    (*(volatile __near unsigned char  *)0x545)
#define RMDF3_13LH     (*(volatile __near unsigned char  *)0x545)
#define TMDF0_13LH     (*(volatile __near unsigned char  *)0x545)
#define GPFLID1H       (*(volatile __near unsigned short *)0x546)
#define RMDF11_13H     (*(volatile __near unsigned short *)0x546)
#define RMDF3_13H      (*(volatile __near unsigned short *)0x546)
#define TMDF0_13H      (*(volatile __near unsigned short *)0x546)
#define GPFLID1HL      (*(volatile __near unsigned char  *)0x546)
#define RMDF11_13HL    (*(volatile __near unsigned char  *)0x546)
#define RMDF3_13HL     (*(volatile __near unsigned char  *)0x546)
#define TMDF0_13HL     (*(volatile __near unsigned char  *)0x546)
#define GPFLID1HH      (*(volatile __near unsigned char  *)0x547)
#define RMDF11_13HH    (*(volatile __near unsigned char  *)0x547)
#define RMDF3_13HH     (*(volatile __near unsigned char  *)0x547)
#define TMDF0_13HH     (*(volatile __near unsigned char  *)0x547)
#define GPFLM1L        (*(volatile __near unsigned short *)0x548)
#define RMDF11_14L     (*(volatile __near unsigned short *)0x548)
#define RMDF3_14L      (*(volatile __near unsigned short *)0x548)
#define TMDF0_14L      (*(volatile __near unsigned short *)0x548)
#define GPFLM1LL       (*(volatile __near unsigned char  *)0x548)
#define RMDF11_14LL    (*(volatile __near unsigned char  *)0x548)
#define RMDF3_14LL     (*(volatile __near unsigned char  *)0x548)
#define TMDF0_14LL     (*(volatile __near unsigned char  *)0x548)
#define GPFLM1LH       (*(volatile __near unsigned char  *)0x549)
#define RMDF11_14LH    (*(volatile __near unsigned char  *)0x549)
#define RMDF3_14LH     (*(volatile __near unsigned char  *)0x549)
#define TMDF0_14LH     (*(volatile __near unsigned char  *)0x549)
#define GPFLM1H        (*(volatile __near unsigned short *)0x54A)
#define RMDF11_14H     (*(volatile __near unsigned short *)0x54A)
#define RMDF3_14H      (*(volatile __near unsigned short *)0x54A)
#define TMDF0_14H      (*(volatile __near unsigned short *)0x54A)
#define GPFLM1HL       (*(volatile __near unsigned char  *)0x54A)
#define RMDF11_14HL    (*(volatile __near unsigned char  *)0x54A)
#define RMDF3_14HL     (*(volatile __near unsigned char  *)0x54A)
#define TMDF0_14HL     (*(volatile __near unsigned char  *)0x54A)
#define GPFLM1HH       (*(volatile __near unsigned char  *)0x54B)
#define RMDF11_14HH    (*(volatile __near unsigned char  *)0x54B)
#define RMDF3_14HH     (*(volatile __near unsigned char  *)0x54B)
#define TMDF0_14HH     (*(volatile __near unsigned char  *)0x54B)
#define GPFLP01L       (*(volatile __near unsigned short *)0x54C)
#define RMDF11_15L     (*(volatile __near unsigned short *)0x54C)
#define RMDF3_15L      (*(volatile __near unsigned short *)0x54C)
#define TMDF0_15L      (*(volatile __near unsigned short *)0x54C)
#define GPFLP01LL      (*(volatile __near unsigned char  *)0x54C)
#define RMDF11_15LL    (*(volatile __near unsigned char  *)0x54C)
#define RMDF3_15LL     (*(volatile __near unsigned char  *)0x54C)
#define TMDF0_15LL     (*(volatile __near unsigned char  *)0x54C)
#define GPFLP01LH      (*(volatile __near unsigned char  *)0x54D)
#define RMDF11_15LH    (*(volatile __near unsigned char  *)0x54D)
#define RMDF3_15LH     (*(volatile __near unsigned char  *)0x54D)
#define TMDF0_15LH     (*(volatile __near unsigned char  *)0x54D)
#define GPFLP01H       (*(volatile __near unsigned short *)0x54E)
#define RMDF11_15H     (*(volatile __near unsigned short *)0x54E)
#define RMDF3_15H      (*(volatile __near unsigned short *)0x54E)
#define TMDF0_15H      (*(volatile __near unsigned short *)0x54E)
#define GPFLP01HL      (*(volatile __near unsigned char  *)0x54E)
#define RMDF11_15HL    (*(volatile __near unsigned char  *)0x54E)
#define RMDF3_15HL     (*(volatile __near unsigned char  *)0x54E)
#define TMDF0_15HL     (*(volatile __near unsigned char  *)0x54E)
#define GPFLP01HH      (*(volatile __near unsigned char  *)0x54F)
#define RMDF11_15HH    (*(volatile __near unsigned char  *)0x54F)
#define RMDF3_15HH     (*(volatile __near unsigned char  *)0x54F)
#define TMDF0_15HH     (*(volatile __near unsigned char  *)0x54F)
#define GPFLP11L       (*(volatile __near unsigned short *)0x550)
#define RMID12L        (*(volatile __near unsigned short *)0x550)
#define RMID4L         (*(volatile __near unsigned short *)0x550)
#define TMID1L         (*(volatile __near unsigned short *)0x550)
#define GPFLP11LL      (*(volatile __near unsigned char  *)0x550)
#define RMID12LL       (*(volatile __near unsigned char  *)0x550)
#define RMID4LL        (*(volatile __near unsigned char  *)0x550)
#define TMID1LL        (*(volatile __near unsigned char  *)0x550)
#define GPFLP11LH      (*(volatile __near unsigned char  *)0x551)
#define RMID12LH       (*(volatile __near unsigned char  *)0x551)
#define RMID4LH        (*(volatile __near unsigned char  *)0x551)
#define TMID1LH        (*(volatile __near unsigned char  *)0x551)
#define RMID12H        (*(volatile __near unsigned short *)0x552)
#define RMID4H         (*(volatile __near unsigned short *)0x552)
#define TMID1H         (*(volatile __near unsigned short *)0x552)
#define RMID12HL       (*(volatile __near unsigned char  *)0x552)
#define RMID4HL        (*(volatile __near unsigned char  *)0x552)
#define TMID1HL        (*(volatile __near unsigned char  *)0x552)
#define RMID12HH       (*(volatile __near unsigned char  *)0x553)
#define RMID4HH        (*(volatile __near unsigned char  *)0x553)
#define TMID1HH        (*(volatile __near unsigned char  *)0x553)
#define GPFLPT1L       (*(volatile __near unsigned short *)0x554)
#define RMPTR12L       (*(volatile __near unsigned short *)0x554)
#define RMPTR4L        (*(volatile __near unsigned short *)0x554)
#define GPFLPT1LL      (*(volatile __near unsigned char  *)0x554)
#define RMPTR12LL      (*(volatile __near unsigned char  *)0x554)
#define RMPTR4LL       (*(volatile __near unsigned char  *)0x554)
#define GPFLPT1LH      (*(volatile __near unsigned char  *)0x555)
#define RMPTR12LH      (*(volatile __near unsigned char  *)0x555)
#define RMPTR4LH       (*(volatile __near unsigned char  *)0x555)
#define GPFLPT1H       (*(volatile __near unsigned short *)0x556)
#define RMPTR12H       (*(volatile __near unsigned short *)0x556)
#define RMPTR4H        (*(volatile __near unsigned short *)0x556)
#define TMPTR1H        (*(volatile __near unsigned short *)0x556)
#define GPFLPT1HL      (*(volatile __near unsigned char  *)0x556)
#define GPFLPT1HH      (*(volatile __near unsigned char  *)0x557)
#define RMPTR12HH      (*(volatile __near unsigned char  *)0x557)
#define RMPTR4HH       (*(volatile __near unsigned char  *)0x557)
#define TMPTR1HH       (*(volatile __near unsigned char  *)0x557)
#define GPFLPD01L      (*(volatile __near unsigned short *)0x558)
#define RMFDSTS12L     (*(volatile __near unsigned short *)0x558)
#define RMFDSTS4L      (*(volatile __near unsigned short *)0x558)
#define TMFDCTR1L      (*(volatile __near unsigned short *)0x558)
#define GPFLPD01LL     (*(volatile __near unsigned char  *)0x558)
#define RMFDSTS12LL    (*(volatile __near unsigned char  *)0x558)
#define RMFDSTS4LL     (*(volatile __near unsigned char  *)0x558)
#define TMFDCTR1LL     (*(volatile __near unsigned char  *)0x558)
#define GPFLPD01LH     (*(volatile __near unsigned char  *)0x559)
#define RMFDSTS12LH    (*(volatile __near unsigned char  *)0x559)
#define RMFDSTS4LH     (*(volatile __near unsigned char  *)0x559)
#define TMFDCTR1LH     (*(volatile __near unsigned char  *)0x559)
#define GPFLPD01H      (*(volatile __near unsigned short *)0x55A)
#define RMFDSTS12H     (*(volatile __near unsigned short *)0x55A)
#define RMFDSTS4H      (*(volatile __near unsigned short *)0x55A)
#define TMFDCTR1H      (*(volatile __near unsigned short *)0x55A)
#define GPFLPD01HL     (*(volatile __near unsigned char  *)0x55A)
#define RMFDSTS12HL    (*(volatile __near unsigned char  *)0x55A)
#define RMFDSTS4HL     (*(volatile __near unsigned char  *)0x55A)
#define TMFDCTR1HL     (*(volatile __near unsigned char  *)0x55A)
#define GPFLPD01HH     (*(volatile __near unsigned char  *)0x55B)
#define RMFDSTS12HH    (*(volatile __near unsigned char  *)0x55B)
#define RMFDSTS4HH     (*(volatile __near unsigned char  *)0x55B)
#define TMFDCTR1HH     (*(volatile __near unsigned char  *)0x55B)
#define GPFLPM01L      (*(volatile __near unsigned short *)0x55C)
#define RMDF12_0L      (*(volatile __near unsigned short *)0x55C)
#define RMDF4_0L       (*(volatile __near unsigned short *)0x55C)
#define TMDF1_0L       (*(volatile __near unsigned short *)0x55C)
#define GPFLPM01LL     (*(volatile __near unsigned char  *)0x55C)
#define RMDF12_0LL     (*(volatile __near unsigned char  *)0x55C)
#define RMDF4_0LL      (*(volatile __near unsigned char  *)0x55C)
#define TMDF1_0LL      (*(volatile __near unsigned char  *)0x55C)
#define GPFLPM01LH     (*(volatile __near unsigned char  *)0x55D)
#define RMDF12_0LH     (*(volatile __near unsigned char  *)0x55D)
#define RMDF4_0LH      (*(volatile __near unsigned char  *)0x55D)
#define TMDF1_0LH      (*(volatile __near unsigned char  *)0x55D)
#define GPFLPM01H      (*(volatile __near unsigned short *)0x55E)
#define RMDF12_0H      (*(volatile __near unsigned short *)0x55E)
#define RMDF4_0H       (*(volatile __near unsigned short *)0x55E)
#define TMDF1_0H       (*(volatile __near unsigned short *)0x55E)
#define GPFLPM01HL     (*(volatile __near unsigned char  *)0x55E)
#define RMDF12_0HL     (*(volatile __near unsigned char  *)0x55E)
#define RMDF4_0HL      (*(volatile __near unsigned char  *)0x55E)
#define TMDF1_0HL      (*(volatile __near unsigned char  *)0x55E)
#define GPFLPM01HH     (*(volatile __near unsigned char  *)0x55F)
#define RMDF12_0HH     (*(volatile __near unsigned char  *)0x55F)
#define RMDF4_0HH      (*(volatile __near unsigned char  *)0x55F)
#define TMDF1_0HH      (*(volatile __near unsigned char  *)0x55F)
#define GPFLPD11L      (*(volatile __near unsigned short *)0x560)
#define RMDF12_1L      (*(volatile __near unsigned short *)0x560)
#define RMDF4_1L       (*(volatile __near unsigned short *)0x560)
#define TMDF1_1L       (*(volatile __near unsigned short *)0x560)
#define GPFLPD11LL     (*(volatile __near unsigned char  *)0x560)
#define RMDF12_1LL     (*(volatile __near unsigned char  *)0x560)
#define RMDF4_1LL      (*(volatile __near unsigned char  *)0x560)
#define TMDF1_1LL      (*(volatile __near unsigned char  *)0x560)
#define GPFLPD11LH     (*(volatile __near unsigned char  *)0x561)
#define RMDF12_1LH     (*(volatile __near unsigned char  *)0x561)
#define RMDF4_1LH      (*(volatile __near unsigned char  *)0x561)
#define TMDF1_1LH      (*(volatile __near unsigned char  *)0x561)
#define GPFLPD11H      (*(volatile __near unsigned short *)0x562)
#define RMDF12_1H      (*(volatile __near unsigned short *)0x562)
#define RMDF4_1H       (*(volatile __near unsigned short *)0x562)
#define TMDF1_1H       (*(volatile __near unsigned short *)0x562)
#define GPFLPD11HL     (*(volatile __near unsigned char  *)0x562)
#define RMDF12_1HL     (*(volatile __near unsigned char  *)0x562)
#define RMDF4_1HL      (*(volatile __near unsigned char  *)0x562)
#define TMDF1_1HL      (*(volatile __near unsigned char  *)0x562)
#define GPFLPD11HH     (*(volatile __near unsigned char  *)0x563)
#define RMDF12_1HH     (*(volatile __near unsigned char  *)0x563)
#define RMDF4_1HH      (*(volatile __near unsigned char  *)0x563)
#define TMDF1_1HH      (*(volatile __near unsigned char  *)0x563)
#define GPFLPM11L      (*(volatile __near unsigned short *)0x564)
#define RMDF12_2L      (*(volatile __near unsigned short *)0x564)
#define RMDF4_2L       (*(volatile __near unsigned short *)0x564)
#define TMDF1_2L       (*(volatile __near unsigned short *)0x564)
#define GPFLPM11LL     (*(volatile __near unsigned char  *)0x564)
#define RMDF12_2LL     (*(volatile __near unsigned char  *)0x564)
#define RMDF4_2LL      (*(volatile __near unsigned char  *)0x564)
#define TMDF1_2LL      (*(volatile __near unsigned char  *)0x564)
#define GPFLPM11LH     (*(volatile __near unsigned char  *)0x565)
#define RMDF12_2LH     (*(volatile __near unsigned char  *)0x565)
#define RMDF4_2LH      (*(volatile __near unsigned char  *)0x565)
#define TMDF1_2LH      (*(volatile __near unsigned char  *)0x565)
#define GPFLPM11H      (*(volatile __near unsigned short *)0x566)
#define RMDF12_2H      (*(volatile __near unsigned short *)0x566)
#define RMDF4_2H       (*(volatile __near unsigned short *)0x566)
#define TMDF1_2H       (*(volatile __near unsigned short *)0x566)
#define GPFLPM11HL     (*(volatile __near unsigned char  *)0x566)
#define RMDF12_2HL     (*(volatile __near unsigned char  *)0x566)
#define RMDF4_2HL      (*(volatile __near unsigned char  *)0x566)
#define TMDF1_2HL      (*(volatile __near unsigned char  *)0x566)
#define GPFLPM11HH     (*(volatile __near unsigned char  *)0x567)
#define RMDF12_2HH     (*(volatile __near unsigned char  *)0x567)
#define RMDF4_2HH      (*(volatile __near unsigned char  *)0x567)
#define TMDF1_2HH      (*(volatile __near unsigned char  *)0x567)
#define RMDF12_3L      (*(volatile __near unsigned short *)0x568)
#define RMDF4_3L       (*(volatile __near unsigned short *)0x568)
#define TMDF1_3L       (*(volatile __near unsigned short *)0x568)
#define RMDF12_3LL     (*(volatile __near unsigned char  *)0x568)
#define RMDF4_3LL      (*(volatile __near unsigned char  *)0x568)
#define TMDF1_3LL      (*(volatile __near unsigned char  *)0x568)
#define RMDF12_3LH     (*(volatile __near unsigned char  *)0x569)
#define RMDF4_3LH      (*(volatile __near unsigned char  *)0x569)
#define TMDF1_3LH      (*(volatile __near unsigned char  *)0x569)
#define RMDF12_3H      (*(volatile __near unsigned short *)0x56A)
#define RMDF4_3H       (*(volatile __near unsigned short *)0x56A)
#define TMDF1_3H       (*(volatile __near unsigned short *)0x56A)
#define RMDF12_3HL     (*(volatile __near unsigned char  *)0x56A)
#define RMDF4_3HL      (*(volatile __near unsigned char  *)0x56A)
#define TMDF1_3HL      (*(volatile __near unsigned char  *)0x56A)
#define RMDF12_3HH     (*(volatile __near unsigned char  *)0x56B)
#define RMDF4_3HH      (*(volatile __near unsigned char  *)0x56B)
#define TMDF1_3HH      (*(volatile __near unsigned char  *)0x56B)
#define RMDF12_4L      (*(volatile __near unsigned short *)0x56C)
#define RMDF4_4L       (*(volatile __near unsigned short *)0x56C)
#define TMDF1_4L       (*(volatile __near unsigned short *)0x56C)
#define RMDF12_4LL     (*(volatile __near unsigned char  *)0x56C)
#define RMDF4_4LL      (*(volatile __near unsigned char  *)0x56C)
#define TMDF1_4LL      (*(volatile __near unsigned char  *)0x56C)
#define RMDF12_4LH     (*(volatile __near unsigned char  *)0x56D)
#define RMDF4_4LH      (*(volatile __near unsigned char  *)0x56D)
#define TMDF1_4LH      (*(volatile __near unsigned char  *)0x56D)
#define RMDF12_4H      (*(volatile __near unsigned short *)0x56E)
#define RMDF4_4H       (*(volatile __near unsigned short *)0x56E)
#define TMDF1_4H       (*(volatile __near unsigned short *)0x56E)
#define RMDF12_4HL     (*(volatile __near unsigned char  *)0x56E)
#define RMDF4_4HL      (*(volatile __near unsigned char  *)0x56E)
#define TMDF1_4HL      (*(volatile __near unsigned char  *)0x56E)
#define RMDF12_4HH     (*(volatile __near unsigned char  *)0x56F)
#define RMDF4_4HH      (*(volatile __near unsigned char  *)0x56F)
#define TMDF1_4HH      (*(volatile __near unsigned char  *)0x56F)
#define RMDF12_5L      (*(volatile __near unsigned short *)0x570)
#define RMDF4_5L       (*(volatile __near unsigned short *)0x570)
#define TMDF1_5L       (*(volatile __near unsigned short *)0x570)
#define RMDF12_5LL     (*(volatile __near unsigned char  *)0x570)
#define RMDF4_5LL      (*(volatile __near unsigned char  *)0x570)
#define TMDF1_5LL      (*(volatile __near unsigned char  *)0x570)
#define RMDF12_5LH     (*(volatile __near unsigned char  *)0x571)
#define RMDF4_5LH      (*(volatile __near unsigned char  *)0x571)
#define TMDF1_5LH      (*(volatile __near unsigned char  *)0x571)
#define RMDF12_5H      (*(volatile __near unsigned short *)0x572)
#define RMDF4_5H       (*(volatile __near unsigned short *)0x572)
#define TMDF1_5H       (*(volatile __near unsigned short *)0x572)
#define RMDF12_5HL     (*(volatile __near unsigned char  *)0x572)
#define RMDF4_5HL      (*(volatile __near unsigned char  *)0x572)
#define TMDF1_5HL      (*(volatile __near unsigned char  *)0x572)
#define RMDF12_5HH     (*(volatile __near unsigned char  *)0x573)
#define RMDF4_5HH      (*(volatile __near unsigned char  *)0x573)
#define TMDF1_5HH      (*(volatile __near unsigned char  *)0x573)
#define RMDF12_6L      (*(volatile __near unsigned short *)0x574)
#define RMDF4_6L       (*(volatile __near unsigned short *)0x574)
#define TMDF1_6L       (*(volatile __near unsigned short *)0x574)
#define RMDF12_6LL     (*(volatile __near unsigned char  *)0x574)
#define RMDF4_6LL      (*(volatile __near unsigned char  *)0x574)
#define TMDF1_6LL      (*(volatile __near unsigned char  *)0x574)
#define RMDF12_6LH     (*(volatile __near unsigned char  *)0x575)
#define RMDF4_6LH      (*(volatile __near unsigned char  *)0x575)
#define TMDF1_6LH      (*(volatile __near unsigned char  *)0x575)
#define RMDF12_6H      (*(volatile __near unsigned short *)0x576)
#define RMDF4_6H       (*(volatile __near unsigned short *)0x576)
#define TMDF1_6H       (*(volatile __near unsigned short *)0x576)
#define RMDF12_6HL     (*(volatile __near unsigned char  *)0x576)
#define RMDF4_6HL      (*(volatile __near unsigned char  *)0x576)
#define TMDF1_6HL      (*(volatile __near unsigned char  *)0x576)
#define RMDF12_6HH     (*(volatile __near unsigned char  *)0x577)
#define RMDF4_6HH      (*(volatile __near unsigned char  *)0x577)
#define TMDF1_6HH      (*(volatile __near unsigned char  *)0x577)
#define RMDF12_7L      (*(volatile __near unsigned short *)0x578)
#define RMDF4_7L       (*(volatile __near unsigned short *)0x578)
#define TMDF1_7L       (*(volatile __near unsigned short *)0x578)
#define RMDF12_7LL     (*(volatile __near unsigned char  *)0x578)
#define RMDF4_7LL      (*(volatile __near unsigned char  *)0x578)
#define TMDF1_7LL      (*(volatile __near unsigned char  *)0x578)
#define RMDF12_7LH     (*(volatile __near unsigned char  *)0x579)
#define RMDF4_7LH      (*(volatile __near unsigned char  *)0x579)
#define TMDF1_7LH      (*(volatile __near unsigned char  *)0x579)
#define RMDF12_7H      (*(volatile __near unsigned short *)0x57A)
#define RMDF4_7H       (*(volatile __near unsigned short *)0x57A)
#define TMDF1_7H       (*(volatile __near unsigned short *)0x57A)
#define RMDF12_7HL     (*(volatile __near unsigned char  *)0x57A)
#define RMDF4_7HL      (*(volatile __near unsigned char  *)0x57A)
#define TMDF1_7HL      (*(volatile __near unsigned char  *)0x57A)
#define RMDF12_7HH     (*(volatile __near unsigned char  *)0x57B)
#define RMDF4_7HH      (*(volatile __near unsigned char  *)0x57B)
#define TMDF1_7HH      (*(volatile __near unsigned char  *)0x57B)
#define RMDF12_8L      (*(volatile __near unsigned short *)0x57C)
#define RMDF4_8L       (*(volatile __near unsigned short *)0x57C)
#define TMDF1_8L       (*(volatile __near unsigned short *)0x57C)
#define RMDF12_8LL     (*(volatile __near unsigned char  *)0x57C)
#define RMDF4_8LL      (*(volatile __near unsigned char  *)0x57C)
#define TMDF1_8LL      (*(volatile __near unsigned char  *)0x57C)
#define RMDF12_8LH     (*(volatile __near unsigned char  *)0x57D)
#define RMDF4_8LH      (*(volatile __near unsigned char  *)0x57D)
#define TMDF1_8LH      (*(volatile __near unsigned char  *)0x57D)
#define RMDF12_8H      (*(volatile __near unsigned short *)0x57E)
#define RMDF4_8H       (*(volatile __near unsigned short *)0x57E)
#define TMDF1_8H       (*(volatile __near unsigned short *)0x57E)
#define RMDF12_8HL     (*(volatile __near unsigned char  *)0x57E)
#define RMDF4_8HL      (*(volatile __near unsigned char  *)0x57E)
#define TMDF1_8HL      (*(volatile __near unsigned char  *)0x57E)
#define RMDF12_8HH     (*(volatile __near unsigned char  *)0x57F)
#define RMDF4_8HH      (*(volatile __near unsigned char  *)0x57F)
#define TMDF1_8HH      (*(volatile __near unsigned char  *)0x57F)
#define RMDF12_9L      (*(volatile __near unsigned short *)0x580)
#define RMDF4_9L       (*(volatile __near unsigned short *)0x580)
#define RPGACC0L       (*(volatile __near unsigned short *)0x580)
#define TMDF1_9L       (*(volatile __near unsigned short *)0x580)
#define RMDF12_9LL     (*(volatile __near unsigned char  *)0x580)
#define RMDF4_9LL      (*(volatile __near unsigned char  *)0x580)
#define RPGACC0LL      (*(volatile __near unsigned char  *)0x580)
#define TMDF1_9LL      (*(volatile __near unsigned char  *)0x580)
#define RMDF12_9LH     (*(volatile __near unsigned char  *)0x581)
#define RMDF4_9LH      (*(volatile __near unsigned char  *)0x581)
#define RPGACC0LH      (*(volatile __near unsigned char  *)0x581)
#define TMDF1_9LH      (*(volatile __near unsigned char  *)0x581)
#define RMDF12_9H      (*(volatile __near unsigned short *)0x582)
#define RMDF4_9H       (*(volatile __near unsigned short *)0x582)
#define RPGACC0H       (*(volatile __near unsigned short *)0x582)
#define TMDF1_9H       (*(volatile __near unsigned short *)0x582)
#define RMDF12_9HL     (*(volatile __near unsigned char  *)0x582)
#define RMDF4_9HL      (*(volatile __near unsigned char  *)0x582)
#define RPGACC0HL      (*(volatile __near unsigned char  *)0x582)
#define TMDF1_9HL      (*(volatile __near unsigned char  *)0x582)
#define RMDF12_9HH     (*(volatile __near unsigned char  *)0x583)
#define RMDF4_9HH      (*(volatile __near unsigned char  *)0x583)
#define RPGACC0HH      (*(volatile __near unsigned char  *)0x583)
#define TMDF1_9HH      (*(volatile __near unsigned char  *)0x583)
#define RMDF12_10L     (*(volatile __near unsigned short *)0x584)
#define RMDF4_10L      (*(volatile __near unsigned short *)0x584)
#define RPGACC1L       (*(volatile __near unsigned short *)0x584)
#define TMDF1_10L      (*(volatile __near unsigned short *)0x584)
#define RMDF12_10LL    (*(volatile __near unsigned char  *)0x584)
#define RMDF4_10LL     (*(volatile __near unsigned char  *)0x584)
#define RPGACC1LL      (*(volatile __near unsigned char  *)0x584)
#define TMDF1_10LL     (*(volatile __near unsigned char  *)0x584)
#define RMDF12_10LH    (*(volatile __near unsigned char  *)0x585)
#define RMDF4_10LH     (*(volatile __near unsigned char  *)0x585)
#define RPGACC1LH      (*(volatile __near unsigned char  *)0x585)
#define TMDF1_10LH     (*(volatile __near unsigned char  *)0x585)
#define RMDF12_10H     (*(volatile __near unsigned short *)0x586)
#define RMDF4_10H      (*(volatile __near unsigned short *)0x586)
#define RPGACC1H       (*(volatile __near unsigned short *)0x586)
#define TMDF1_10H      (*(volatile __near unsigned short *)0x586)
#define RMDF12_10HL    (*(volatile __near unsigned char  *)0x586)
#define RMDF4_10HL     (*(volatile __near unsigned char  *)0x586)
#define RPGACC1HL      (*(volatile __near unsigned char  *)0x586)
#define TMDF1_10HL     (*(volatile __near unsigned char  *)0x586)
#define RMDF12_10HH    (*(volatile __near unsigned char  *)0x587)
#define RMDF4_10HH     (*(volatile __near unsigned char  *)0x587)
#define RPGACC1HH      (*(volatile __near unsigned char  *)0x587)
#define TMDF1_10HH     (*(volatile __near unsigned char  *)0x587)
#define RMDF12_11L     (*(volatile __near unsigned short *)0x588)
#define RMDF4_11L      (*(volatile __near unsigned short *)0x588)
#define RPGACC2L       (*(volatile __near unsigned short *)0x588)
#define TMDF1_11L      (*(volatile __near unsigned short *)0x588)
#define RMDF12_11LL    (*(volatile __near unsigned char  *)0x588)
#define RMDF4_11LL     (*(volatile __near unsigned char  *)0x588)
#define RPGACC2LL      (*(volatile __near unsigned char  *)0x588)
#define TMDF1_11LL     (*(volatile __near unsigned char  *)0x588)
#define RMDF12_11LH    (*(volatile __near unsigned char  *)0x589)
#define RMDF4_11LH     (*(volatile __near unsigned char  *)0x589)
#define RPGACC2LH      (*(volatile __near unsigned char  *)0x589)
#define TMDF1_11LH     (*(volatile __near unsigned char  *)0x589)
#define RMDF12_11H     (*(volatile __near unsigned short *)0x58A)
#define RMDF4_11H      (*(volatile __near unsigned short *)0x58A)
#define RPGACC2H       (*(volatile __near unsigned short *)0x58A)
#define TMDF1_11H      (*(volatile __near unsigned short *)0x58A)
#define RMDF12_11HL    (*(volatile __near unsigned char  *)0x58A)
#define RMDF4_11HL     (*(volatile __near unsigned char  *)0x58A)
#define RPGACC2HL      (*(volatile __near unsigned char  *)0x58A)
#define TMDF1_11HL     (*(volatile __near unsigned char  *)0x58A)
#define RMDF12_11HH    (*(volatile __near unsigned char  *)0x58B)
#define RMDF4_11HH     (*(volatile __near unsigned char  *)0x58B)
#define RPGACC2HH      (*(volatile __near unsigned char  *)0x58B)
#define TMDF1_11HH     (*(volatile __near unsigned char  *)0x58B)
#define RMDF12_12L     (*(volatile __near unsigned short *)0x58C)
#define RMDF4_12L      (*(volatile __near unsigned short *)0x58C)
#define RPGACC3L       (*(volatile __near unsigned short *)0x58C)
#define TMDF1_12L      (*(volatile __near unsigned short *)0x58C)
#define RMDF12_12LL    (*(volatile __near unsigned char  *)0x58C)
#define RMDF4_12LL     (*(volatile __near unsigned char  *)0x58C)
#define RPGACC3LL      (*(volatile __near unsigned char  *)0x58C)
#define TMDF1_12LL     (*(volatile __near unsigned char  *)0x58C)
#define RMDF12_12LH    (*(volatile __near unsigned char  *)0x58D)
#define RMDF4_12LH     (*(volatile __near unsigned char  *)0x58D)
#define RPGACC3LH      (*(volatile __near unsigned char  *)0x58D)
#define TMDF1_12LH     (*(volatile __near unsigned char  *)0x58D)
#define RMDF12_12H     (*(volatile __near unsigned short *)0x58E)
#define RMDF4_12H      (*(volatile __near unsigned short *)0x58E)
#define RPGACC3H       (*(volatile __near unsigned short *)0x58E)
#define TMDF1_12H      (*(volatile __near unsigned short *)0x58E)
#define RMDF12_12HL    (*(volatile __near unsigned char  *)0x58E)
#define RMDF4_12HL     (*(volatile __near unsigned char  *)0x58E)
#define RPGACC3HL      (*(volatile __near unsigned char  *)0x58E)
#define TMDF1_12HL     (*(volatile __near unsigned char  *)0x58E)
#define RMDF12_12HH    (*(volatile __near unsigned char  *)0x58F)
#define RMDF4_12HH     (*(volatile __near unsigned char  *)0x58F)
#define RPGACC3HH      (*(volatile __near unsigned char  *)0x58F)
#define TMDF1_12HH     (*(volatile __near unsigned char  *)0x58F)
#define RMDF12_13L     (*(volatile __near unsigned short *)0x590)
#define RMDF4_13L      (*(volatile __near unsigned short *)0x590)
#define RPGACC4L       (*(volatile __near unsigned short *)0x590)
#define TMDF1_13L      (*(volatile __near unsigned short *)0x590)
#define RMDF12_13LL    (*(volatile __near unsigned char  *)0x590)
#define RMDF4_13LL     (*(volatile __near unsigned char  *)0x590)
#define RPGACC4LL      (*(volatile __near unsigned char  *)0x590)
#define TMDF1_13LL     (*(volatile __near unsigned char  *)0x590)
#define RMDF12_13LH    (*(volatile __near unsigned char  *)0x591)
#define RMDF4_13LH     (*(volatile __near unsigned char  *)0x591)
#define RPGACC4LH      (*(volatile __near unsigned char  *)0x591)
#define TMDF1_13LH     (*(volatile __near unsigned char  *)0x591)
#define RMDF12_13H     (*(volatile __near unsigned short *)0x592)
#define RMDF4_13H      (*(volatile __near unsigned short *)0x592)
#define RPGACC4H       (*(volatile __near unsigned short *)0x592)
#define TMDF1_13H      (*(volatile __near unsigned short *)0x592)
#define RMDF12_13HL    (*(volatile __near unsigned char  *)0x592)
#define RMDF4_13HL     (*(volatile __near unsigned char  *)0x592)
#define RPGACC4HL      (*(volatile __near unsigned char  *)0x592)
#define TMDF1_13HL     (*(volatile __near unsigned char  *)0x592)
#define RMDF12_13HH    (*(volatile __near unsigned char  *)0x593)
#define RMDF4_13HH     (*(volatile __near unsigned char  *)0x593)
#define RPGACC4HH      (*(volatile __near unsigned char  *)0x593)
#define TMDF1_13HH     (*(volatile __near unsigned char  *)0x593)
#define RMDF12_14L     (*(volatile __near unsigned short *)0x594)
#define RMDF4_14L      (*(volatile __near unsigned short *)0x594)
#define RPGACC5L       (*(volatile __near unsigned short *)0x594)
#define TMDF1_14L      (*(volatile __near unsigned short *)0x594)
#define RMDF12_14LL    (*(volatile __near unsigned char  *)0x594)
#define RMDF4_14LL     (*(volatile __near unsigned char  *)0x594)
#define RPGACC5LL      (*(volatile __near unsigned char  *)0x594)
#define TMDF1_14LL     (*(volatile __near unsigned char  *)0x594)
#define RMDF12_14LH    (*(volatile __near unsigned char  *)0x595)
#define RMDF4_14LH     (*(volatile __near unsigned char  *)0x595)
#define RPGACC5LH      (*(volatile __near unsigned char  *)0x595)
#define TMDF1_14LH     (*(volatile __near unsigned char  *)0x595)
#define RMDF12_14H     (*(volatile __near unsigned short *)0x596)
#define RMDF4_14H      (*(volatile __near unsigned short *)0x596)
#define RPGACC5H       (*(volatile __near unsigned short *)0x596)
#define TMDF1_14H      (*(volatile __near unsigned short *)0x596)
#define RMDF12_14HL    (*(volatile __near unsigned char  *)0x596)
#define RMDF4_14HL     (*(volatile __near unsigned char  *)0x596)
#define RPGACC5HL      (*(volatile __near unsigned char  *)0x596)
#define TMDF1_14HL     (*(volatile __near unsigned char  *)0x596)
#define RMDF12_14HH    (*(volatile __near unsigned char  *)0x597)
#define RMDF4_14HH     (*(volatile __near unsigned char  *)0x597)
#define RPGACC5HH      (*(volatile __near unsigned char  *)0x597)
#define TMDF1_14HH     (*(volatile __near unsigned char  *)0x597)
#define RMDF12_15L     (*(volatile __near unsigned short *)0x598)
#define RMDF4_15L      (*(volatile __near unsigned short *)0x598)
#define RPGACC6L       (*(volatile __near unsigned short *)0x598)
#define TMDF1_15L      (*(volatile __near unsigned short *)0x598)
#define RMDF12_15LL    (*(volatile __near unsigned char  *)0x598)
#define RMDF4_15LL     (*(volatile __near unsigned char  *)0x598)
#define RPGACC6LL      (*(volatile __near unsigned char  *)0x598)
#define TMDF1_15LL     (*(volatile __near unsigned char  *)0x598)
#define RMDF12_15LH    (*(volatile __near unsigned char  *)0x599)
#define RMDF4_15LH     (*(volatile __near unsigned char  *)0x599)
#define RPGACC6LH      (*(volatile __near unsigned char  *)0x599)
#define TMDF1_15LH     (*(volatile __near unsigned char  *)0x599)
#define RMDF12_15H     (*(volatile __near unsigned short *)0x59A)
#define RMDF4_15H      (*(volatile __near unsigned short *)0x59A)
#define RPGACC6H       (*(volatile __near unsigned short *)0x59A)
#define TMDF1_15H      (*(volatile __near unsigned short *)0x59A)
#define RMDF12_15HL    (*(volatile __near unsigned char  *)0x59A)
#define RMDF4_15HL     (*(volatile __near unsigned char  *)0x59A)
#define RPGACC6HL      (*(volatile __near unsigned char  *)0x59A)
#define TMDF1_15HL     (*(volatile __near unsigned char  *)0x59A)
#define RMDF12_15HH    (*(volatile __near unsigned char  *)0x59B)
#define RMDF4_15HH     (*(volatile __near unsigned char  *)0x59B)
#define RPGACC6HH      (*(volatile __near unsigned char  *)0x59B)
#define TMDF1_15HH     (*(volatile __near unsigned char  *)0x59B)
#define RMID13L        (*(volatile __near unsigned short *)0x59C)
#define RMID5L         (*(volatile __near unsigned short *)0x59C)
#define RPGACC7L       (*(volatile __near unsigned short *)0x59C)
#define TMID2L         (*(volatile __near unsigned short *)0x59C)
#define RMID13LL       (*(volatile __near unsigned char  *)0x59C)
#define RMID5LL        (*(volatile __near unsigned char  *)0x59C)
#define RPGACC7LL      (*(volatile __near unsigned char  *)0x59C)
#define TMID2LL        (*(volatile __near unsigned char  *)0x59C)
#define RMID13LH       (*(volatile __near unsigned char  *)0x59D)
#define RMID5LH        (*(volatile __near unsigned char  *)0x59D)
#define RPGACC7LH      (*(volatile __near unsigned char  *)0x59D)
#define TMID2LH        (*(volatile __near unsigned char  *)0x59D)
#define RMID13H        (*(volatile __near unsigned short *)0x59E)
#define RMID5H         (*(volatile __near unsigned short *)0x59E)
#define RPGACC7H       (*(volatile __near unsigned short *)0x59E)
#define TMID2H         (*(volatile __near unsigned short *)0x59E)
#define RMID13HL       (*(volatile __near unsigned char  *)0x59E)
#define RMID5HL        (*(volatile __near unsigned char  *)0x59E)
#define RPGACC7HL      (*(volatile __near unsigned char  *)0x59E)
#define TMID2HL        (*(volatile __near unsigned char  *)0x59E)
#define RMID13HH       (*(volatile __near unsigned char  *)0x59F)
#define RMID5HH        (*(volatile __near unsigned char  *)0x59F)
#define RPGACC7HH      (*(volatile __near unsigned char  *)0x59F)
#define TMID2HH        (*(volatile __near unsigned char  *)0x59F)
#define RMPTR13L       (*(volatile __near unsigned short *)0x5A0)
#define RMPTR5L        (*(volatile __near unsigned short *)0x5A0)
#define RPGACC8L       (*(volatile __near unsigned short *)0x5A0)
#define RMPTR13LL      (*(volatile __near unsigned char  *)0x5A0)
#define RMPTR5LL       (*(volatile __near unsigned char  *)0x5A0)
#define RPGACC8LL      (*(volatile __near unsigned char  *)0x5A0)
#define RMPTR13LH      (*(volatile __near unsigned char  *)0x5A1)
#define RMPTR5LH       (*(volatile __near unsigned char  *)0x5A1)
#define RPGACC8LH      (*(volatile __near unsigned char  *)0x5A1)
#define RMPTR13H       (*(volatile __near unsigned short *)0x5A2)
#define RMPTR5H        (*(volatile __near unsigned short *)0x5A2)
#define RPGACC8H       (*(volatile __near unsigned short *)0x5A2)
#define TMPTR2H        (*(volatile __near unsigned short *)0x5A2)
#define RPGACC8HL      (*(volatile __near unsigned char  *)0x5A2)
#define RMPTR13HH      (*(volatile __near unsigned char  *)0x5A3)
#define RMPTR5HH       (*(volatile __near unsigned char  *)0x5A3)
#define RPGACC8HH      (*(volatile __near unsigned char  *)0x5A3)
#define TMPTR2HH       (*(volatile __near unsigned char  *)0x5A3)
#define RMFDSTS13L     (*(volatile __near unsigned short *)0x5A4)
#define RMFDSTS5L      (*(volatile __near unsigned short *)0x5A4)
#define RPGACC9L       (*(volatile __near unsigned short *)0x5A4)
#define TMFDCTR2L      (*(volatile __near unsigned short *)0x5A4)
#define RMFDSTS13LL    (*(volatile __near unsigned char  *)0x5A4)
#define RMFDSTS5LL     (*(volatile __near unsigned char  *)0x5A4)
#define RPGACC9LL      (*(volatile __near unsigned char  *)0x5A4)
#define TMFDCTR2LL     (*(volatile __near unsigned char  *)0x5A4)
#define RMFDSTS13LH    (*(volatile __near unsigned char  *)0x5A5)
#define RMFDSTS5LH     (*(volatile __near unsigned char  *)0x5A5)
#define RPGACC9LH      (*(volatile __near unsigned char  *)0x5A5)
#define TMFDCTR2LH     (*(volatile __near unsigned char  *)0x5A5)
#define RMFDSTS13H     (*(volatile __near unsigned short *)0x5A6)
#define RMFDSTS5H      (*(volatile __near unsigned short *)0x5A6)
#define RPGACC9H       (*(volatile __near unsigned short *)0x5A6)
#define TMFDCTR2H      (*(volatile __near unsigned short *)0x5A6)
#define RMFDSTS13HL    (*(volatile __near unsigned char  *)0x5A6)
#define RMFDSTS5HL     (*(volatile __near unsigned char  *)0x5A6)
#define RPGACC9HL      (*(volatile __near unsigned char  *)0x5A6)
#define TMFDCTR2HL     (*(volatile __near unsigned char  *)0x5A6)
#define RMFDSTS13HH    (*(volatile __near unsigned char  *)0x5A7)
#define RMFDSTS5HH     (*(volatile __near unsigned char  *)0x5A7)
#define RPGACC9HH      (*(volatile __near unsigned char  *)0x5A7)
#define TMFDCTR2HH     (*(volatile __near unsigned char  *)0x5A7)
#define RMDF13_0L      (*(volatile __near unsigned short *)0x5A8)
#define RMDF5_0L       (*(volatile __near unsigned short *)0x5A8)
#define RPGACC10L      (*(volatile __near unsigned short *)0x5A8)
#define TMDF2_0L       (*(volatile __near unsigned short *)0x5A8)
#define RMDF13_0LL     (*(volatile __near unsigned char  *)0x5A8)
#define RMDF5_0LL      (*(volatile __near unsigned char  *)0x5A8)
#define RPGACC10LL     (*(volatile __near unsigned char  *)0x5A8)
#define TMDF2_0LL      (*(volatile __near unsigned char  *)0x5A8)
#define RMDF13_0LH     (*(volatile __near unsigned char  *)0x5A9)
#define RMDF5_0LH      (*(volatile __near unsigned char  *)0x5A9)
#define RPGACC10LH     (*(volatile __near unsigned char  *)0x5A9)
#define TMDF2_0LH      (*(volatile __near unsigned char  *)0x5A9)
#define RMDF13_0H      (*(volatile __near unsigned short *)0x5AA)
#define RMDF5_0H       (*(volatile __near unsigned short *)0x5AA)
#define RPGACC10H      (*(volatile __near unsigned short *)0x5AA)
#define TMDF2_0H       (*(volatile __near unsigned short *)0x5AA)
#define RMDF13_0HL     (*(volatile __near unsigned char  *)0x5AA)
#define RMDF5_0HL      (*(volatile __near unsigned char  *)0x5AA)
#define RPGACC10HL     (*(volatile __near unsigned char  *)0x5AA)
#define TMDF2_0HL      (*(volatile __near unsigned char  *)0x5AA)
#define RMDF13_0HH     (*(volatile __near unsigned char  *)0x5AB)
#define RMDF5_0HH      (*(volatile __near unsigned char  *)0x5AB)
#define RPGACC10HH     (*(volatile __near unsigned char  *)0x5AB)
#define TMDF2_0HH      (*(volatile __near unsigned char  *)0x5AB)
#define RMDF13_1L      (*(volatile __near unsigned short *)0x5AC)
#define RMDF5_1L       (*(volatile __near unsigned short *)0x5AC)
#define RPGACC11L      (*(volatile __near unsigned short *)0x5AC)
#define TMDF2_1L       (*(volatile __near unsigned short *)0x5AC)
#define RMDF13_1LL     (*(volatile __near unsigned char  *)0x5AC)
#define RMDF5_1LL      (*(volatile __near unsigned char  *)0x5AC)
#define RPGACC11LL     (*(volatile __near unsigned char  *)0x5AC)
#define TMDF2_1LL      (*(volatile __near unsigned char  *)0x5AC)
#define RMDF13_1LH     (*(volatile __near unsigned char  *)0x5AD)
#define RMDF5_1LH      (*(volatile __near unsigned char  *)0x5AD)
#define RPGACC11LH     (*(volatile __near unsigned char  *)0x5AD)
#define TMDF2_1LH      (*(volatile __near unsigned char  *)0x5AD)
#define RMDF13_1H      (*(volatile __near unsigned short *)0x5AE)
#define RMDF5_1H       (*(volatile __near unsigned short *)0x5AE)
#define RPGACC11H      (*(volatile __near unsigned short *)0x5AE)
#define TMDF2_1H       (*(volatile __near unsigned short *)0x5AE)
#define RMDF13_1HL     (*(volatile __near unsigned char  *)0x5AE)
#define RMDF5_1HL      (*(volatile __near unsigned char  *)0x5AE)
#define RPGACC11HL     (*(volatile __near unsigned char  *)0x5AE)
#define TMDF2_1HL      (*(volatile __near unsigned char  *)0x5AE)
#define RMDF13_1HH     (*(volatile __near unsigned char  *)0x5AF)
#define RMDF5_1HH      (*(volatile __near unsigned char  *)0x5AF)
#define RPGACC11HH     (*(volatile __near unsigned char  *)0x5AF)
#define TMDF2_1HH      (*(volatile __near unsigned char  *)0x5AF)
#define RMDF13_2L      (*(volatile __near unsigned short *)0x5B0)
#define RMDF5_2L       (*(volatile __near unsigned short *)0x5B0)
#define RPGACC12L      (*(volatile __near unsigned short *)0x5B0)
#define TMDF2_2L       (*(volatile __near unsigned short *)0x5B0)
#define RMDF13_2LL     (*(volatile __near unsigned char  *)0x5B0)
#define RMDF5_2LL      (*(volatile __near unsigned char  *)0x5B0)
#define RPGACC12LL     (*(volatile __near unsigned char  *)0x5B0)
#define TMDF2_2LL      (*(volatile __near unsigned char  *)0x5B0)
#define RMDF13_2LH     (*(volatile __near unsigned char  *)0x5B1)
#define RMDF5_2LH      (*(volatile __near unsigned char  *)0x5B1)
#define RPGACC12LH     (*(volatile __near unsigned char  *)0x5B1)
#define TMDF2_2LH      (*(volatile __near unsigned char  *)0x5B1)
#define RMDF13_2H      (*(volatile __near unsigned short *)0x5B2)
#define RMDF5_2H       (*(volatile __near unsigned short *)0x5B2)
#define RPGACC12H      (*(volatile __near unsigned short *)0x5B2)
#define TMDF2_2H       (*(volatile __near unsigned short *)0x5B2)
#define RMDF13_2HL     (*(volatile __near unsigned char  *)0x5B2)
#define RMDF5_2HL      (*(volatile __near unsigned char  *)0x5B2)
#define RPGACC12HL     (*(volatile __near unsigned char  *)0x5B2)
#define TMDF2_2HL      (*(volatile __near unsigned char  *)0x5B2)
#define RMDF13_2HH     (*(volatile __near unsigned char  *)0x5B3)
#define RMDF5_2HH      (*(volatile __near unsigned char  *)0x5B3)
#define RPGACC12HH     (*(volatile __near unsigned char  *)0x5B3)
#define TMDF2_2HH      (*(volatile __near unsigned char  *)0x5B3)
#define RMDF13_3L      (*(volatile __near unsigned short *)0x5B4)
#define RMDF5_3L       (*(volatile __near unsigned short *)0x5B4)
#define RPGACC13L      (*(volatile __near unsigned short *)0x5B4)
#define TMDF2_3L       (*(volatile __near unsigned short *)0x5B4)
#define RMDF13_3LL     (*(volatile __near unsigned char  *)0x5B4)
#define RMDF5_3LL      (*(volatile __near unsigned char  *)0x5B4)
#define RPGACC13LL     (*(volatile __near unsigned char  *)0x5B4)
#define TMDF2_3LL      (*(volatile __near unsigned char  *)0x5B4)
#define RMDF13_3LH     (*(volatile __near unsigned char  *)0x5B5)
#define RMDF5_3LH      (*(volatile __near unsigned char  *)0x5B5)
#define RPGACC13LH     (*(volatile __near unsigned char  *)0x5B5)
#define TMDF2_3LH      (*(volatile __near unsigned char  *)0x5B5)
#define RMDF13_3H      (*(volatile __near unsigned short *)0x5B6)
#define RMDF5_3H       (*(volatile __near unsigned short *)0x5B6)
#define RPGACC13H      (*(volatile __near unsigned short *)0x5B6)
#define TMDF2_3H       (*(volatile __near unsigned short *)0x5B6)
#define RMDF13_3HL     (*(volatile __near unsigned char  *)0x5B6)
#define RMDF5_3HL      (*(volatile __near unsigned char  *)0x5B6)
#define RPGACC13HL     (*(volatile __near unsigned char  *)0x5B6)
#define TMDF2_3HL      (*(volatile __near unsigned char  *)0x5B6)
#define RMDF13_3HH     (*(volatile __near unsigned char  *)0x5B7)
#define RMDF5_3HH      (*(volatile __near unsigned char  *)0x5B7)
#define RPGACC13HH     (*(volatile __near unsigned char  *)0x5B7)
#define TMDF2_3HH      (*(volatile __near unsigned char  *)0x5B7)
#define RMDF13_4L      (*(volatile __near unsigned short *)0x5B8)
#define RMDF5_4L       (*(volatile __near unsigned short *)0x5B8)
#define RPGACC14L      (*(volatile __near unsigned short *)0x5B8)
#define TMDF2_4L       (*(volatile __near unsigned short *)0x5B8)
#define RMDF13_4LL     (*(volatile __near unsigned char  *)0x5B8)
#define RMDF5_4LL      (*(volatile __near unsigned char  *)0x5B8)
#define RPGACC14LL     (*(volatile __near unsigned char  *)0x5B8)
#define TMDF2_4LL      (*(volatile __near unsigned char  *)0x5B8)
#define RMDF13_4LH     (*(volatile __near unsigned char  *)0x5B9)
#define RMDF5_4LH      (*(volatile __near unsigned char  *)0x5B9)
#define RPGACC14LH     (*(volatile __near unsigned char  *)0x5B9)
#define TMDF2_4LH      (*(volatile __near unsigned char  *)0x5B9)
#define RMDF13_4H      (*(volatile __near unsigned short *)0x5BA)
#define RMDF5_4H       (*(volatile __near unsigned short *)0x5BA)
#define RPGACC14H      (*(volatile __near unsigned short *)0x5BA)
#define TMDF2_4H       (*(volatile __near unsigned short *)0x5BA)
#define RMDF13_4HL     (*(volatile __near unsigned char  *)0x5BA)
#define RMDF5_4HL      (*(volatile __near unsigned char  *)0x5BA)
#define RPGACC14HL     (*(volatile __near unsigned char  *)0x5BA)
#define TMDF2_4HL      (*(volatile __near unsigned char  *)0x5BA)
#define RMDF13_4HH     (*(volatile __near unsigned char  *)0x5BB)
#define RMDF5_4HH      (*(volatile __near unsigned char  *)0x5BB)
#define RPGACC14HH     (*(volatile __near unsigned char  *)0x5BB)
#define TMDF2_4HH      (*(volatile __near unsigned char  *)0x5BB)
#define RMDF13_5L      (*(volatile __near unsigned short *)0x5BC)
#define RMDF5_5L       (*(volatile __near unsigned short *)0x5BC)
#define RPGACC15L      (*(volatile __near unsigned short *)0x5BC)
#define TMDF2_5L       (*(volatile __near unsigned short *)0x5BC)
#define RMDF13_5LL     (*(volatile __near unsigned char  *)0x5BC)
#define RMDF5_5LL      (*(volatile __near unsigned char  *)0x5BC)
#define RPGACC15LL     (*(volatile __near unsigned char  *)0x5BC)
#define TMDF2_5LL      (*(volatile __near unsigned char  *)0x5BC)
#define RMDF13_5LH     (*(volatile __near unsigned char  *)0x5BD)
#define RMDF5_5LH      (*(volatile __near unsigned char  *)0x5BD)
#define RPGACC15LH     (*(volatile __near unsigned char  *)0x5BD)
#define TMDF2_5LH      (*(volatile __near unsigned char  *)0x5BD)
#define RMDF13_5H      (*(volatile __near unsigned short *)0x5BE)
#define RMDF5_5H       (*(volatile __near unsigned short *)0x5BE)
#define RPGACC15H      (*(volatile __near unsigned short *)0x5BE)
#define TMDF2_5H       (*(volatile __near unsigned short *)0x5BE)
#define RMDF13_5HL     (*(volatile __near unsigned char  *)0x5BE)
#define RMDF5_5HL      (*(volatile __near unsigned char  *)0x5BE)
#define RPGACC15HL     (*(volatile __near unsigned char  *)0x5BE)
#define TMDF2_5HL      (*(volatile __near unsigned char  *)0x5BE)
#define RMDF13_5HH     (*(volatile __near unsigned char  *)0x5BF)
#define RMDF5_5HH      (*(volatile __near unsigned char  *)0x5BF)
#define RPGACC15HH     (*(volatile __near unsigned char  *)0x5BF)
#define TMDF2_5HH      (*(volatile __near unsigned char  *)0x5BF)
#define RMDF13_6L      (*(volatile __near unsigned short *)0x5C0)
#define RMDF5_6L       (*(volatile __near unsigned short *)0x5C0)
#define RPGACC16L      (*(volatile __near unsigned short *)0x5C0)
#define TMDF2_6L       (*(volatile __near unsigned short *)0x5C0)
#define RMDF13_6LL     (*(volatile __near unsigned char  *)0x5C0)
#define RMDF5_6LL      (*(volatile __near unsigned char  *)0x5C0)
#define RPGACC16LL     (*(volatile __near unsigned char  *)0x5C0)
#define TMDF2_6LL      (*(volatile __near unsigned char  *)0x5C0)
#define RMDF13_6LH     (*(volatile __near unsigned char  *)0x5C1)
#define RMDF5_6LH      (*(volatile __near unsigned char  *)0x5C1)
#define RPGACC16LH     (*(volatile __near unsigned char  *)0x5C1)
#define TMDF2_6LH      (*(volatile __near unsigned char  *)0x5C1)
#define RMDF13_6H      (*(volatile __near unsigned short *)0x5C2)
#define RMDF5_6H       (*(volatile __near unsigned short *)0x5C2)
#define RPGACC16H      (*(volatile __near unsigned short *)0x5C2)
#define TMDF2_6H       (*(volatile __near unsigned short *)0x5C2)
#define RMDF13_6HL     (*(volatile __near unsigned char  *)0x5C2)
#define RMDF5_6HL      (*(volatile __near unsigned char  *)0x5C2)
#define RPGACC16HL     (*(volatile __near unsigned char  *)0x5C2)
#define TMDF2_6HL      (*(volatile __near unsigned char  *)0x5C2)
#define RMDF13_6HH     (*(volatile __near unsigned char  *)0x5C3)
#define RMDF5_6HH      (*(volatile __near unsigned char  *)0x5C3)
#define RPGACC16HH     (*(volatile __near unsigned char  *)0x5C3)
#define TMDF2_6HH      (*(volatile __near unsigned char  *)0x5C3)
#define RMDF13_7L      (*(volatile __near unsigned short *)0x5C4)
#define RMDF5_7L       (*(volatile __near unsigned short *)0x5C4)
#define RPGACC17L      (*(volatile __near unsigned short *)0x5C4)
#define TMDF2_7L       (*(volatile __near unsigned short *)0x5C4)
#define RMDF13_7LL     (*(volatile __near unsigned char  *)0x5C4)
#define RMDF5_7LL      (*(volatile __near unsigned char  *)0x5C4)
#define RPGACC17LL     (*(volatile __near unsigned char  *)0x5C4)
#define TMDF2_7LL      (*(volatile __near unsigned char  *)0x5C4)
#define RMDF13_7LH     (*(volatile __near unsigned char  *)0x5C5)
#define RMDF5_7LH      (*(volatile __near unsigned char  *)0x5C5)
#define RPGACC17LH     (*(volatile __near unsigned char  *)0x5C5)
#define TMDF2_7LH      (*(volatile __near unsigned char  *)0x5C5)
#define RMDF13_7H      (*(volatile __near unsigned short *)0x5C6)
#define RMDF5_7H       (*(volatile __near unsigned short *)0x5C6)
#define RPGACC17H      (*(volatile __near unsigned short *)0x5C6)
#define TMDF2_7H       (*(volatile __near unsigned short *)0x5C6)
#define RMDF13_7HL     (*(volatile __near unsigned char  *)0x5C6)
#define RMDF5_7HL      (*(volatile __near unsigned char  *)0x5C6)
#define RPGACC17HL     (*(volatile __near unsigned char  *)0x5C6)
#define TMDF2_7HL      (*(volatile __near unsigned char  *)0x5C6)
#define RMDF13_7HH     (*(volatile __near unsigned char  *)0x5C7)
#define RMDF5_7HH      (*(volatile __near unsigned char  *)0x5C7)
#define RPGACC17HH     (*(volatile __near unsigned char  *)0x5C7)
#define TMDF2_7HH      (*(volatile __near unsigned char  *)0x5C7)
#define RMDF13_8L      (*(volatile __near unsigned short *)0x5C8)
#define RMDF5_8L       (*(volatile __near unsigned short *)0x5C8)
#define RPGACC18L      (*(volatile __near unsigned short *)0x5C8)
#define TMDF2_8L       (*(volatile __near unsigned short *)0x5C8)
#define RMDF13_8LL     (*(volatile __near unsigned char  *)0x5C8)
#define RMDF5_8LL      (*(volatile __near unsigned char  *)0x5C8)
#define RPGACC18LL     (*(volatile __near unsigned char  *)0x5C8)
#define TMDF2_8LL      (*(volatile __near unsigned char  *)0x5C8)
#define RMDF13_8LH     (*(volatile __near unsigned char  *)0x5C9)
#define RMDF5_8LH      (*(volatile __near unsigned char  *)0x5C9)
#define RPGACC18LH     (*(volatile __near unsigned char  *)0x5C9)
#define TMDF2_8LH      (*(volatile __near unsigned char  *)0x5C9)
#define RMDF13_8H      (*(volatile __near unsigned short *)0x5CA)
#define RMDF5_8H       (*(volatile __near unsigned short *)0x5CA)
#define RPGACC18H      (*(volatile __near unsigned short *)0x5CA)
#define TMDF2_8H       (*(volatile __near unsigned short *)0x5CA)
#define RMDF13_8HL     (*(volatile __near unsigned char  *)0x5CA)
#define RMDF5_8HL      (*(volatile __near unsigned char  *)0x5CA)
#define RPGACC18HL     (*(volatile __near unsigned char  *)0x5CA)
#define TMDF2_8HL      (*(volatile __near unsigned char  *)0x5CA)
#define RMDF13_8HH     (*(volatile __near unsigned char  *)0x5CB)
#define RMDF5_8HH      (*(volatile __near unsigned char  *)0x5CB)
#define RPGACC18HH     (*(volatile __near unsigned char  *)0x5CB)
#define TMDF2_8HH      (*(volatile __near unsigned char  *)0x5CB)
#define RMDF13_9L      (*(volatile __near unsigned short *)0x5CC)
#define RMDF5_9L       (*(volatile __near unsigned short *)0x5CC)
#define RPGACC19L      (*(volatile __near unsigned short *)0x5CC)
#define TMDF2_9L       (*(volatile __near unsigned short *)0x5CC)
#define RMDF13_9LL     (*(volatile __near unsigned char  *)0x5CC)
#define RMDF5_9LL      (*(volatile __near unsigned char  *)0x5CC)
#define RPGACC19LL     (*(volatile __near unsigned char  *)0x5CC)
#define TMDF2_9LL      (*(volatile __near unsigned char  *)0x5CC)
#define RMDF13_9LH     (*(volatile __near unsigned char  *)0x5CD)
#define RMDF5_9LH      (*(volatile __near unsigned char  *)0x5CD)
#define RPGACC19LH     (*(volatile __near unsigned char  *)0x5CD)
#define TMDF2_9LH      (*(volatile __near unsigned char  *)0x5CD)
#define RMDF13_9H      (*(volatile __near unsigned short *)0x5CE)
#define RMDF5_9H       (*(volatile __near unsigned short *)0x5CE)
#define RPGACC19H      (*(volatile __near unsigned short *)0x5CE)
#define TMDF2_9H       (*(volatile __near unsigned short *)0x5CE)
#define RMDF13_9HL     (*(volatile __near unsigned char  *)0x5CE)
#define RMDF5_9HL      (*(volatile __near unsigned char  *)0x5CE)
#define RPGACC19HL     (*(volatile __near unsigned char  *)0x5CE)
#define TMDF2_9HL      (*(volatile __near unsigned char  *)0x5CE)
#define RMDF13_9HH     (*(volatile __near unsigned char  *)0x5CF)
#define RMDF5_9HH      (*(volatile __near unsigned char  *)0x5CF)
#define RPGACC19HH     (*(volatile __near unsigned char  *)0x5CF)
#define TMDF2_9HH      (*(volatile __near unsigned char  *)0x5CF)
#define RMDF13_10L     (*(volatile __near unsigned short *)0x5D0)
#define RMDF5_10L      (*(volatile __near unsigned short *)0x5D0)
#define RPGACC20L      (*(volatile __near unsigned short *)0x5D0)
#define TMDF2_10L      (*(volatile __near unsigned short *)0x5D0)
#define RMDF13_10LL    (*(volatile __near unsigned char  *)0x5D0)
#define RMDF5_10LL     (*(volatile __near unsigned char  *)0x5D0)
#define RPGACC20LL     (*(volatile __near unsigned char  *)0x5D0)
#define TMDF2_10LL     (*(volatile __near unsigned char  *)0x5D0)
#define RMDF13_10LH    (*(volatile __near unsigned char  *)0x5D1)
#define RMDF5_10LH     (*(volatile __near unsigned char  *)0x5D1)
#define RPGACC20LH     (*(volatile __near unsigned char  *)0x5D1)
#define TMDF2_10LH     (*(volatile __near unsigned char  *)0x5D1)
#define RMDF13_10H     (*(volatile __near unsigned short *)0x5D2)
#define RMDF5_10H      (*(volatile __near unsigned short *)0x5D2)
#define RPGACC20H      (*(volatile __near unsigned short *)0x5D2)
#define TMDF2_10H      (*(volatile __near unsigned short *)0x5D2)
#define RMDF13_10HL    (*(volatile __near unsigned char  *)0x5D2)
#define RMDF5_10HL     (*(volatile __near unsigned char  *)0x5D2)
#define RPGACC20HL     (*(volatile __near unsigned char  *)0x5D2)
#define TMDF2_10HL     (*(volatile __near unsigned char  *)0x5D2)
#define RMDF13_10HH    (*(volatile __near unsigned char  *)0x5D3)
#define RMDF5_10HH     (*(volatile __near unsigned char  *)0x5D3)
#define RPGACC20HH     (*(volatile __near unsigned char  *)0x5D3)
#define TMDF2_10HH     (*(volatile __near unsigned char  *)0x5D3)
#define RMDF13_11L     (*(volatile __near unsigned short *)0x5D4)
#define RMDF5_11L      (*(volatile __near unsigned short *)0x5D4)
#define RPGACC21L      (*(volatile __near unsigned short *)0x5D4)
#define TMDF2_11L      (*(volatile __near unsigned short *)0x5D4)
#define RMDF13_11LL    (*(volatile __near unsigned char  *)0x5D4)
#define RMDF5_11LL     (*(volatile __near unsigned char  *)0x5D4)
#define RPGACC21LL     (*(volatile __near unsigned char  *)0x5D4)
#define TMDF2_11LL     (*(volatile __near unsigned char  *)0x5D4)
#define RMDF13_11LH    (*(volatile __near unsigned char  *)0x5D5)
#define RMDF5_11LH     (*(volatile __near unsigned char  *)0x5D5)
#define RPGACC21LH     (*(volatile __near unsigned char  *)0x5D5)
#define TMDF2_11LH     (*(volatile __near unsigned char  *)0x5D5)
#define RMDF13_11H     (*(volatile __near unsigned short *)0x5D6)
#define RMDF5_11H      (*(volatile __near unsigned short *)0x5D6)
#define RPGACC21H      (*(volatile __near unsigned short *)0x5D6)
#define TMDF2_11H      (*(volatile __near unsigned short *)0x5D6)
#define RMDF13_11HL    (*(volatile __near unsigned char  *)0x5D6)
#define RMDF5_11HL     (*(volatile __near unsigned char  *)0x5D6)
#define RPGACC21HL     (*(volatile __near unsigned char  *)0x5D6)
#define TMDF2_11HL     (*(volatile __near unsigned char  *)0x5D6)
#define RMDF13_11HH    (*(volatile __near unsigned char  *)0x5D7)
#define RMDF5_11HH     (*(volatile __near unsigned char  *)0x5D7)
#define RPGACC21HH     (*(volatile __near unsigned char  *)0x5D7)
#define TMDF2_11HH     (*(volatile __near unsigned char  *)0x5D7)
#define RMDF13_12L     (*(volatile __near unsigned short *)0x5D8)
#define RMDF5_12L      (*(volatile __near unsigned short *)0x5D8)
#define RPGACC22L      (*(volatile __near unsigned short *)0x5D8)
#define TMDF2_12L      (*(volatile __near unsigned short *)0x5D8)
#define RMDF13_12LL    (*(volatile __near unsigned char  *)0x5D8)
#define RMDF5_12LL     (*(volatile __near unsigned char  *)0x5D8)
#define RPGACC22LL     (*(volatile __near unsigned char  *)0x5D8)
#define TMDF2_12LL     (*(volatile __near unsigned char  *)0x5D8)
#define RMDF13_12LH    (*(volatile __near unsigned char  *)0x5D9)
#define RMDF5_12LH     (*(volatile __near unsigned char  *)0x5D9)
#define RPGACC22LH     (*(volatile __near unsigned char  *)0x5D9)
#define TMDF2_12LH     (*(volatile __near unsigned char  *)0x5D9)
#define RMDF13_12H     (*(volatile __near unsigned short *)0x5DA)
#define RMDF5_12H      (*(volatile __near unsigned short *)0x5DA)
#define RPGACC22H      (*(volatile __near unsigned short *)0x5DA)
#define TMDF2_12H      (*(volatile __near unsigned short *)0x5DA)
#define RMDF13_12HL    (*(volatile __near unsigned char  *)0x5DA)
#define RMDF5_12HL     (*(volatile __near unsigned char  *)0x5DA)
#define RPGACC22HL     (*(volatile __near unsigned char  *)0x5DA)
#define TMDF2_12HL     (*(volatile __near unsigned char  *)0x5DA)
#define RMDF13_12HH    (*(volatile __near unsigned char  *)0x5DB)
#define RMDF5_12HH     (*(volatile __near unsigned char  *)0x5DB)
#define RPGACC22HH     (*(volatile __near unsigned char  *)0x5DB)
#define TMDF2_12HH     (*(volatile __near unsigned char  *)0x5DB)
#define RMDF13_13L     (*(volatile __near unsigned short *)0x5DC)
#define RMDF5_13L      (*(volatile __near unsigned short *)0x5DC)
#define RPGACC23L      (*(volatile __near unsigned short *)0x5DC)
#define TMDF2_13L      (*(volatile __near unsigned short *)0x5DC)
#define RMDF13_13LL    (*(volatile __near unsigned char  *)0x5DC)
#define RMDF5_13LL     (*(volatile __near unsigned char  *)0x5DC)
#define RPGACC23LL     (*(volatile __near unsigned char  *)0x5DC)
#define TMDF2_13LL     (*(volatile __near unsigned char  *)0x5DC)
#define RMDF13_13LH    (*(volatile __near unsigned char  *)0x5DD)
#define RMDF5_13LH     (*(volatile __near unsigned char  *)0x5DD)
#define RPGACC23LH     (*(volatile __near unsigned char  *)0x5DD)
#define TMDF2_13LH     (*(volatile __near unsigned char  *)0x5DD)
#define RMDF13_13H     (*(volatile __near unsigned short *)0x5DE)
#define RMDF5_13H      (*(volatile __near unsigned short *)0x5DE)
#define RPGACC23H      (*(volatile __near unsigned short *)0x5DE)
#define TMDF2_13H      (*(volatile __near unsigned short *)0x5DE)
#define RMDF13_13HL    (*(volatile __near unsigned char  *)0x5DE)
#define RMDF5_13HL     (*(volatile __near unsigned char  *)0x5DE)
#define RPGACC23HL     (*(volatile __near unsigned char  *)0x5DE)
#define TMDF2_13HL     (*(volatile __near unsigned char  *)0x5DE)
#define RMDF13_13HH    (*(volatile __near unsigned char  *)0x5DF)
#define RMDF5_13HH     (*(volatile __near unsigned char  *)0x5DF)
#define RPGACC23HH     (*(volatile __near unsigned char  *)0x5DF)
#define TMDF2_13HH     (*(volatile __near unsigned char  *)0x5DF)
#define RMDF13_14L     (*(volatile __near unsigned short *)0x5E0)
#define RMDF5_14L      (*(volatile __near unsigned short *)0x5E0)
#define RPGACC24L      (*(volatile __near unsigned short *)0x5E0)
#define TMDF2_14L      (*(volatile __near unsigned short *)0x5E0)
#define RMDF13_14LL    (*(volatile __near unsigned char  *)0x5E0)
#define RMDF5_14LL     (*(volatile __near unsigned char  *)0x5E0)
#define RPGACC24LL     (*(volatile __near unsigned char  *)0x5E0)
#define TMDF2_14LL     (*(volatile __near unsigned char  *)0x5E0)
#define RMDF13_14LH    (*(volatile __near unsigned char  *)0x5E1)
#define RMDF5_14LH     (*(volatile __near unsigned char  *)0x5E1)
#define RPGACC24LH     (*(volatile __near unsigned char  *)0x5E1)
#define TMDF2_14LH     (*(volatile __near unsigned char  *)0x5E1)
#define RMDF13_14H     (*(volatile __near unsigned short *)0x5E2)
#define RMDF5_14H      (*(volatile __near unsigned short *)0x5E2)
#define RPGACC24H      (*(volatile __near unsigned short *)0x5E2)
#define TMDF2_14H      (*(volatile __near unsigned short *)0x5E2)
#define RMDF13_14HL    (*(volatile __near unsigned char  *)0x5E2)
#define RMDF5_14HL     (*(volatile __near unsigned char  *)0x5E2)
#define RPGACC24HL     (*(volatile __near unsigned char  *)0x5E2)
#define TMDF2_14HL     (*(volatile __near unsigned char  *)0x5E2)
#define RMDF13_14HH    (*(volatile __near unsigned char  *)0x5E3)
#define RMDF5_14HH     (*(volatile __near unsigned char  *)0x5E3)
#define RPGACC24HH     (*(volatile __near unsigned char  *)0x5E3)
#define TMDF2_14HH     (*(volatile __near unsigned char  *)0x5E3)
#define RMDF13_15L     (*(volatile __near unsigned short *)0x5E4)
#define RMDF5_15L      (*(volatile __near unsigned short *)0x5E4)
#define RPGACC25L      (*(volatile __near unsigned short *)0x5E4)
#define TMDF2_15L      (*(volatile __near unsigned short *)0x5E4)
#define RMDF13_15LL    (*(volatile __near unsigned char  *)0x5E4)
#define RMDF5_15LL     (*(volatile __near unsigned char  *)0x5E4)
#define RPGACC25LL     (*(volatile __near unsigned char  *)0x5E4)
#define TMDF2_15LL     (*(volatile __near unsigned char  *)0x5E4)
#define RMDF13_15LH    (*(volatile __near unsigned char  *)0x5E5)
#define RMDF5_15LH     (*(volatile __near unsigned char  *)0x5E5)
#define RPGACC25LH     (*(volatile __near unsigned char  *)0x5E5)
#define TMDF2_15LH     (*(volatile __near unsigned char  *)0x5E5)
#define RMDF13_15H     (*(volatile __near unsigned short *)0x5E6)
#define RMDF5_15H      (*(volatile __near unsigned short *)0x5E6)
#define RPGACC25H      (*(volatile __near unsigned short *)0x5E6)
#define TMDF2_15H      (*(volatile __near unsigned short *)0x5E6)
#define RMDF13_15HL    (*(volatile __near unsigned char  *)0x5E6)
#define RMDF5_15HL     (*(volatile __near unsigned char  *)0x5E6)
#define RPGACC25HL     (*(volatile __near unsigned char  *)0x5E6)
#define TMDF2_15HL     (*(volatile __near unsigned char  *)0x5E6)
#define RMDF13_15HH    (*(volatile __near unsigned char  *)0x5E7)
#define RMDF5_15HH     (*(volatile __near unsigned char  *)0x5E7)
#define RPGACC25HH     (*(volatile __near unsigned char  *)0x5E7)
#define TMDF2_15HH     (*(volatile __near unsigned char  *)0x5E7)
#define RMID14L        (*(volatile __near unsigned short *)0x5E8)
#define RMID6L         (*(volatile __near unsigned short *)0x5E8)
#define RPGACC26L      (*(volatile __near unsigned short *)0x5E8)
#define TMID3L         (*(volatile __near unsigned short *)0x5E8)
#define RMID14LL       (*(volatile __near unsigned char  *)0x5E8)
#define RMID6LL        (*(volatile __near unsigned char  *)0x5E8)
#define RPGACC26LL     (*(volatile __near unsigned char  *)0x5E8)
#define TMID3LL        (*(volatile __near unsigned char  *)0x5E8)
#define RMID14LH       (*(volatile __near unsigned char  *)0x5E9)
#define RMID6LH        (*(volatile __near unsigned char  *)0x5E9)
#define RPGACC26LH     (*(volatile __near unsigned char  *)0x5E9)
#define TMID3LH        (*(volatile __near unsigned char  *)0x5E9)
#define RMID14H        (*(volatile __near unsigned short *)0x5EA)
#define RMID6H         (*(volatile __near unsigned short *)0x5EA)
#define RPGACC26H      (*(volatile __near unsigned short *)0x5EA)
#define TMID3H         (*(volatile __near unsigned short *)0x5EA)
#define RMID14HL       (*(volatile __near unsigned char  *)0x5EA)
#define RMID6HL        (*(volatile __near unsigned char  *)0x5EA)
#define RPGACC26HL     (*(volatile __near unsigned char  *)0x5EA)
#define TMID3HL        (*(volatile __near unsigned char  *)0x5EA)
#define RMID14HH       (*(volatile __near unsigned char  *)0x5EB)
#define RMID6HH        (*(volatile __near unsigned char  *)0x5EB)
#define RPGACC26HH     (*(volatile __near unsigned char  *)0x5EB)
#define TMID3HH        (*(volatile __near unsigned char  *)0x5EB)
#define RMPTR14L       (*(volatile __near unsigned short *)0x5EC)
#define RMPTR6L        (*(volatile __near unsigned short *)0x5EC)
#define RPGACC27L      (*(volatile __near unsigned short *)0x5EC)
#define RMPTR14LL      (*(volatile __near unsigned char  *)0x5EC)
#define RMPTR6LL       (*(volatile __near unsigned char  *)0x5EC)
#define RPGACC27LL     (*(volatile __near unsigned char  *)0x5EC)
#define RMPTR14LH      (*(volatile __near unsigned char  *)0x5ED)
#define RMPTR6LH       (*(volatile __near unsigned char  *)0x5ED)
#define RPGACC27LH     (*(volatile __near unsigned char  *)0x5ED)
#define RMPTR14H       (*(volatile __near unsigned short *)0x5EE)
#define RMPTR6H        (*(volatile __near unsigned short *)0x5EE)
#define RPGACC27H      (*(volatile __near unsigned short *)0x5EE)
#define TMPTR3H        (*(volatile __near unsigned short *)0x5EE)
#define RPGACC27HL     (*(volatile __near unsigned char  *)0x5EE)
#define RMPTR14HH      (*(volatile __near unsigned char  *)0x5EF)
#define RMPTR6HH       (*(volatile __near unsigned char  *)0x5EF)
#define RPGACC27HH     (*(volatile __near unsigned char  *)0x5EF)
#define TMPTR3HH       (*(volatile __near unsigned char  *)0x5EF)
#define RMFDSTS14L     (*(volatile __near unsigned short *)0x5F0)
#define RMFDSTS6L      (*(volatile __near unsigned short *)0x5F0)
#define RPGACC28L      (*(volatile __near unsigned short *)0x5F0)
#define TMFDCTR3L      (*(volatile __near unsigned short *)0x5F0)
#define RMFDSTS14LL    (*(volatile __near unsigned char  *)0x5F0)
#define RMFDSTS6LL     (*(volatile __near unsigned char  *)0x5F0)
#define RPGACC28LL     (*(volatile __near unsigned char  *)0x5F0)
#define TMFDCTR3LL     (*(volatile __near unsigned char  *)0x5F0)
#define RMFDSTS14LH    (*(volatile __near unsigned char  *)0x5F1)
#define RMFDSTS6LH     (*(volatile __near unsigned char  *)0x5F1)
#define RPGACC28LH     (*(volatile __near unsigned char  *)0x5F1)
#define TMFDCTR3LH     (*(volatile __near unsigned char  *)0x5F1)
#define RMFDSTS14H     (*(volatile __near unsigned short *)0x5F2)
#define RMFDSTS6H      (*(volatile __near unsigned short *)0x5F2)
#define RPGACC28H      (*(volatile __near unsigned short *)0x5F2)
#define TMFDCTR3H      (*(volatile __near unsigned short *)0x5F2)
#define RMFDSTS14HL    (*(volatile __near unsigned char  *)0x5F2)
#define RMFDSTS6HL     (*(volatile __near unsigned char  *)0x5F2)
#define RPGACC28HL     (*(volatile __near unsigned char  *)0x5F2)
#define TMFDCTR3HL     (*(volatile __near unsigned char  *)0x5F2)
#define RMFDSTS14HH    (*(volatile __near unsigned char  *)0x5F3)
#define RMFDSTS6HH     (*(volatile __near unsigned char  *)0x5F3)
#define RPGACC28HH     (*(volatile __near unsigned char  *)0x5F3)
#define TMFDCTR3HH     (*(volatile __near unsigned char  *)0x5F3)
#define RMDF14_0L      (*(volatile __near unsigned short *)0x5F4)
#define RMDF6_0L       (*(volatile __near unsigned short *)0x5F4)
#define RPGACC29L      (*(volatile __near unsigned short *)0x5F4)
#define TMDF3_0L       (*(volatile __near unsigned short *)0x5F4)
#define RMDF14_0LL     (*(volatile __near unsigned char  *)0x5F4)
#define RMDF6_0LL      (*(volatile __near unsigned char  *)0x5F4)
#define RPGACC29LL     (*(volatile __near unsigned char  *)0x5F4)
#define TMDF3_0LL      (*(volatile __near unsigned char  *)0x5F4)
#define RMDF14_0LH     (*(volatile __near unsigned char  *)0x5F5)
#define RMDF6_0LH      (*(volatile __near unsigned char  *)0x5F5)
#define RPGACC29LH     (*(volatile __near unsigned char  *)0x5F5)
#define TMDF3_0LH      (*(volatile __near unsigned char  *)0x5F5)
#define RMDF14_0H      (*(volatile __near unsigned short *)0x5F6)
#define RMDF6_0H       (*(volatile __near unsigned short *)0x5F6)
#define RPGACC29H      (*(volatile __near unsigned short *)0x5F6)
#define TMDF3_0H       (*(volatile __near unsigned short *)0x5F6)
#define RMDF14_0HL     (*(volatile __near unsigned char  *)0x5F6)
#define RMDF6_0HL      (*(volatile __near unsigned char  *)0x5F6)
#define RPGACC29HL     (*(volatile __near unsigned char  *)0x5F6)
#define TMDF3_0HL      (*(volatile __near unsigned char  *)0x5F6)
#define RMDF14_0HH     (*(volatile __near unsigned char  *)0x5F7)
#define RMDF6_0HH      (*(volatile __near unsigned char  *)0x5F7)
#define RPGACC29HH     (*(volatile __near unsigned char  *)0x5F7)
#define TMDF3_0HH      (*(volatile __near unsigned char  *)0x5F7)
#define RMDF14_1L      (*(volatile __near unsigned short *)0x5F8)
#define RMDF6_1L       (*(volatile __near unsigned short *)0x5F8)
#define RPGACC30L      (*(volatile __near unsigned short *)0x5F8)
#define TMDF3_1L       (*(volatile __near unsigned short *)0x5F8)
#define RMDF14_1LL     (*(volatile __near unsigned char  *)0x5F8)
#define RMDF6_1LL      (*(volatile __near unsigned char  *)0x5F8)
#define RPGACC30LL     (*(volatile __near unsigned char  *)0x5F8)
#define TMDF3_1LL      (*(volatile __near unsigned char  *)0x5F8)
#define RMDF14_1LH     (*(volatile __near unsigned char  *)0x5F9)
#define RMDF6_1LH      (*(volatile __near unsigned char  *)0x5F9)
#define RPGACC30LH     (*(volatile __near unsigned char  *)0x5F9)
#define TMDF3_1LH      (*(volatile __near unsigned char  *)0x5F9)
#define RMDF14_1H      (*(volatile __near unsigned short *)0x5FA)
#define RMDF6_1H       (*(volatile __near unsigned short *)0x5FA)
#define RPGACC30H      (*(volatile __near unsigned short *)0x5FA)
#define TMDF3_1H       (*(volatile __near unsigned short *)0x5FA)
#define RMDF14_1HL     (*(volatile __near unsigned char  *)0x5FA)
#define RMDF6_1HL      (*(volatile __near unsigned char  *)0x5FA)
#define RPGACC30HL     (*(volatile __near unsigned char  *)0x5FA)
#define TMDF3_1HL      (*(volatile __near unsigned char  *)0x5FA)
#define RMDF14_1HH     (*(volatile __near unsigned char  *)0x5FB)
#define RMDF6_1HH      (*(volatile __near unsigned char  *)0x5FB)
#define RPGACC30HH     (*(volatile __near unsigned char  *)0x5FB)
#define TMDF3_1HH      (*(volatile __near unsigned char  *)0x5FB)
#define RMDF14_2L      (*(volatile __near unsigned short *)0x5FC)
#define RMDF6_2L       (*(volatile __near unsigned short *)0x5FC)
#define RPGACC31L      (*(volatile __near unsigned short *)0x5FC)
#define TMDF3_2L       (*(volatile __near unsigned short *)0x5FC)
#define RMDF14_2LL     (*(volatile __near unsigned char  *)0x5FC)
#define RMDF6_2LL      (*(volatile __near unsigned char  *)0x5FC)
#define RPGACC31LL     (*(volatile __near unsigned char  *)0x5FC)
#define TMDF3_2LL      (*(volatile __near unsigned char  *)0x5FC)
#define RMDF14_2LH     (*(volatile __near unsigned char  *)0x5FD)
#define RMDF6_2LH      (*(volatile __near unsigned char  *)0x5FD)
#define RPGACC31LH     (*(volatile __near unsigned char  *)0x5FD)
#define TMDF3_2LH      (*(volatile __near unsigned char  *)0x5FD)
#define RMDF14_2H      (*(volatile __near unsigned short *)0x5FE)
#define RMDF6_2H       (*(volatile __near unsigned short *)0x5FE)
#define RPGACC31H      (*(volatile __near unsigned short *)0x5FE)
#define TMDF3_2H       (*(volatile __near unsigned short *)0x5FE)
#define RMDF14_2HL     (*(volatile __near unsigned char  *)0x5FE)
#define RMDF6_2HL      (*(volatile __near unsigned char  *)0x5FE)
#define RPGACC31HL     (*(volatile __near unsigned char  *)0x5FE)
#define TMDF3_2HL      (*(volatile __near unsigned char  *)0x5FE)
#define RMDF14_2HH     (*(volatile __near unsigned char  *)0x5FF)
#define RMDF6_2HH      (*(volatile __near unsigned char  *)0x5FF)
#define RPGACC31HH     (*(volatile __near unsigned char  *)0x5FF)
#define TMDF3_2HH      (*(volatile __near unsigned char  *)0x5FF)
#define RMDF14_3L      (*(volatile __near unsigned short *)0x600)
#define RMDF6_3L       (*(volatile __near unsigned short *)0x600)
#define RPGACC32L      (*(volatile __near unsigned short *)0x600)
#define TMDF3_3L       (*(volatile __near unsigned short *)0x600)
#define RMDF14_3LL     (*(volatile __near unsigned char  *)0x600)
#define RMDF6_3LL      (*(volatile __near unsigned char  *)0x600)
#define RPGACC32LL     (*(volatile __near unsigned char  *)0x600)
#define TMDF3_3LL      (*(volatile __near unsigned char  *)0x600)
#define RMDF14_3LH     (*(volatile __near unsigned char  *)0x601)
#define RMDF6_3LH      (*(volatile __near unsigned char  *)0x601)
#define RPGACC32LH     (*(volatile __near unsigned char  *)0x601)
#define TMDF3_3LH      (*(volatile __near unsigned char  *)0x601)
#define RMDF14_3H      (*(volatile __near unsigned short *)0x602)
#define RMDF6_3H       (*(volatile __near unsigned short *)0x602)
#define RPGACC32H      (*(volatile __near unsigned short *)0x602)
#define TMDF3_3H       (*(volatile __near unsigned short *)0x602)
#define RMDF14_3HL     (*(volatile __near unsigned char  *)0x602)
#define RMDF6_3HL      (*(volatile __near unsigned char  *)0x602)
#define RPGACC32HL     (*(volatile __near unsigned char  *)0x602)
#define TMDF3_3HL      (*(volatile __near unsigned char  *)0x602)
#define RMDF14_3HH     (*(volatile __near unsigned char  *)0x603)
#define RMDF6_3HH      (*(volatile __near unsigned char  *)0x603)
#define RPGACC32HH     (*(volatile __near unsigned char  *)0x603)
#define TMDF3_3HH      (*(volatile __near unsigned char  *)0x603)
#define RMDF14_4L      (*(volatile __near unsigned short *)0x604)
#define RMDF6_4L       (*(volatile __near unsigned short *)0x604)
#define RPGACC33L      (*(volatile __near unsigned short *)0x604)
#define TMDF3_4L       (*(volatile __near unsigned short *)0x604)
#define RMDF14_4LL     (*(volatile __near unsigned char  *)0x604)
#define RMDF6_4LL      (*(volatile __near unsigned char  *)0x604)
#define RPGACC33LL     (*(volatile __near unsigned char  *)0x604)
#define TMDF3_4LL      (*(volatile __near unsigned char  *)0x604)
#define RMDF14_4LH     (*(volatile __near unsigned char  *)0x605)
#define RMDF6_4LH      (*(volatile __near unsigned char  *)0x605)
#define RPGACC33LH     (*(volatile __near unsigned char  *)0x605)
#define TMDF3_4LH      (*(volatile __near unsigned char  *)0x605)
#define RMDF14_4H      (*(volatile __near unsigned short *)0x606)
#define RMDF6_4H       (*(volatile __near unsigned short *)0x606)
#define RPGACC33H      (*(volatile __near unsigned short *)0x606)
#define TMDF3_4H       (*(volatile __near unsigned short *)0x606)
#define RMDF14_4HL     (*(volatile __near unsigned char  *)0x606)
#define RMDF6_4HL      (*(volatile __near unsigned char  *)0x606)
#define RPGACC33HL     (*(volatile __near unsigned char  *)0x606)
#define TMDF3_4HL      (*(volatile __near unsigned char  *)0x606)
#define RMDF14_4HH     (*(volatile __near unsigned char  *)0x607)
#define RMDF6_4HH      (*(volatile __near unsigned char  *)0x607)
#define RPGACC33HH     (*(volatile __near unsigned char  *)0x607)
#define TMDF3_4HH      (*(volatile __near unsigned char  *)0x607)
#define RMDF14_5L      (*(volatile __near unsigned short *)0x608)
#define RMDF6_5L       (*(volatile __near unsigned short *)0x608)
#define RPGACC34L      (*(volatile __near unsigned short *)0x608)
#define TMDF3_5L       (*(volatile __near unsigned short *)0x608)
#define RMDF14_5LL     (*(volatile __near unsigned char  *)0x608)
#define RMDF6_5LL      (*(volatile __near unsigned char  *)0x608)
#define RPGACC34LL     (*(volatile __near unsigned char  *)0x608)
#define TMDF3_5LL      (*(volatile __near unsigned char  *)0x608)
#define RMDF14_5LH     (*(volatile __near unsigned char  *)0x609)
#define RMDF6_5LH      (*(volatile __near unsigned char  *)0x609)
#define RPGACC34LH     (*(volatile __near unsigned char  *)0x609)
#define TMDF3_5LH      (*(volatile __near unsigned char  *)0x609)
#define RMDF14_5H      (*(volatile __near unsigned short *)0x60A)
#define RMDF6_5H       (*(volatile __near unsigned short *)0x60A)
#define RPGACC34H      (*(volatile __near unsigned short *)0x60A)
#define TMDF3_5H       (*(volatile __near unsigned short *)0x60A)
#define RMDF14_5HL     (*(volatile __near unsigned char  *)0x60A)
#define RMDF6_5HL      (*(volatile __near unsigned char  *)0x60A)
#define RPGACC34HL     (*(volatile __near unsigned char  *)0x60A)
#define TMDF3_5HL      (*(volatile __near unsigned char  *)0x60A)
#define RMDF14_5HH     (*(volatile __near unsigned char  *)0x60B)
#define RMDF6_5HH      (*(volatile __near unsigned char  *)0x60B)
#define RPGACC34HH     (*(volatile __near unsigned char  *)0x60B)
#define TMDF3_5HH      (*(volatile __near unsigned char  *)0x60B)
#define RMDF14_6L      (*(volatile __near unsigned short *)0x60C)
#define RMDF6_6L       (*(volatile __near unsigned short *)0x60C)
#define RPGACC35L      (*(volatile __near unsigned short *)0x60C)
#define TMDF3_6L       (*(volatile __near unsigned short *)0x60C)
#define RMDF14_6LL     (*(volatile __near unsigned char  *)0x60C)
#define RMDF6_6LL      (*(volatile __near unsigned char  *)0x60C)
#define RPGACC35LL     (*(volatile __near unsigned char  *)0x60C)
#define TMDF3_6LL      (*(volatile __near unsigned char  *)0x60C)
#define RMDF14_6LH     (*(volatile __near unsigned char  *)0x60D)
#define RMDF6_6LH      (*(volatile __near unsigned char  *)0x60D)
#define RPGACC35LH     (*(volatile __near unsigned char  *)0x60D)
#define TMDF3_6LH      (*(volatile __near unsigned char  *)0x60D)
#define RMDF14_6H      (*(volatile __near unsigned short *)0x60E)
#define RMDF6_6H       (*(volatile __near unsigned short *)0x60E)
#define RPGACC35H      (*(volatile __near unsigned short *)0x60E)
#define TMDF3_6H       (*(volatile __near unsigned short *)0x60E)
#define RMDF14_6HL     (*(volatile __near unsigned char  *)0x60E)
#define RMDF6_6HL      (*(volatile __near unsigned char  *)0x60E)
#define RPGACC35HL     (*(volatile __near unsigned char  *)0x60E)
#define TMDF3_6HL      (*(volatile __near unsigned char  *)0x60E)
#define RMDF14_6HH     (*(volatile __near unsigned char  *)0x60F)
#define RMDF6_6HH      (*(volatile __near unsigned char  *)0x60F)
#define RPGACC35HH     (*(volatile __near unsigned char  *)0x60F)
#define TMDF3_6HH      (*(volatile __near unsigned char  *)0x60F)
#define RMDF14_7L      (*(volatile __near unsigned short *)0x610)
#define RMDF6_7L       (*(volatile __near unsigned short *)0x610)
#define RPGACC36L      (*(volatile __near unsigned short *)0x610)
#define TMDF3_7L       (*(volatile __near unsigned short *)0x610)
#define RMDF14_7LL     (*(volatile __near unsigned char  *)0x610)
#define RMDF6_7LL      (*(volatile __near unsigned char  *)0x610)
#define RPGACC36LL     (*(volatile __near unsigned char  *)0x610)
#define TMDF3_7LL      (*(volatile __near unsigned char  *)0x610)
#define RMDF14_7LH     (*(volatile __near unsigned char  *)0x611)
#define RMDF6_7LH      (*(volatile __near unsigned char  *)0x611)
#define RPGACC36LH     (*(volatile __near unsigned char  *)0x611)
#define TMDF3_7LH      (*(volatile __near unsigned char  *)0x611)
#define RMDF14_7H      (*(volatile __near unsigned short *)0x612)
#define RMDF6_7H       (*(volatile __near unsigned short *)0x612)
#define RPGACC36H      (*(volatile __near unsigned short *)0x612)
#define TMDF3_7H       (*(volatile __near unsigned short *)0x612)
#define RMDF14_7HL     (*(volatile __near unsigned char  *)0x612)
#define RMDF6_7HL      (*(volatile __near unsigned char  *)0x612)
#define RPGACC36HL     (*(volatile __near unsigned char  *)0x612)
#define TMDF3_7HL      (*(volatile __near unsigned char  *)0x612)
#define RMDF14_7HH     (*(volatile __near unsigned char  *)0x613)
#define RMDF6_7HH      (*(volatile __near unsigned char  *)0x613)
#define RPGACC36HH     (*(volatile __near unsigned char  *)0x613)
#define TMDF3_7HH      (*(volatile __near unsigned char  *)0x613)
#define RMDF14_8L      (*(volatile __near unsigned short *)0x614)
#define RMDF6_8L       (*(volatile __near unsigned short *)0x614)
#define RPGACC37L      (*(volatile __near unsigned short *)0x614)
#define TMDF3_8L       (*(volatile __near unsigned short *)0x614)
#define RMDF14_8LL     (*(volatile __near unsigned char  *)0x614)
#define RMDF6_8LL      (*(volatile __near unsigned char  *)0x614)
#define RPGACC37LL     (*(volatile __near unsigned char  *)0x614)
#define TMDF3_8LL      (*(volatile __near unsigned char  *)0x614)
#define RMDF14_8LH     (*(volatile __near unsigned char  *)0x615)
#define RMDF6_8LH      (*(volatile __near unsigned char  *)0x615)
#define RPGACC37LH     (*(volatile __near unsigned char  *)0x615)
#define TMDF3_8LH      (*(volatile __near unsigned char  *)0x615)
#define RMDF14_8H      (*(volatile __near unsigned short *)0x616)
#define RMDF6_8H       (*(volatile __near unsigned short *)0x616)
#define RPGACC37H      (*(volatile __near unsigned short *)0x616)
#define TMDF3_8H       (*(volatile __near unsigned short *)0x616)
#define RMDF14_8HL     (*(volatile __near unsigned char  *)0x616)
#define RMDF6_8HL      (*(volatile __near unsigned char  *)0x616)
#define RPGACC37HL     (*(volatile __near unsigned char  *)0x616)
#define TMDF3_8HL      (*(volatile __near unsigned char  *)0x616)
#define RMDF14_8HH     (*(volatile __near unsigned char  *)0x617)
#define RMDF6_8HH      (*(volatile __near unsigned char  *)0x617)
#define RPGACC37HH     (*(volatile __near unsigned char  *)0x617)
#define TMDF3_8HH      (*(volatile __near unsigned char  *)0x617)
#define RMDF14_9L      (*(volatile __near unsigned short *)0x618)
#define RMDF6_9L       (*(volatile __near unsigned short *)0x618)
#define RPGACC38L      (*(volatile __near unsigned short *)0x618)
#define TMDF3_9L       (*(volatile __near unsigned short *)0x618)
#define RMDF14_9LL     (*(volatile __near unsigned char  *)0x618)
#define RMDF6_9LL      (*(volatile __near unsigned char  *)0x618)
#define RPGACC38LL     (*(volatile __near unsigned char  *)0x618)
#define TMDF3_9LL      (*(volatile __near unsigned char  *)0x618)
#define RMDF14_9LH     (*(volatile __near unsigned char  *)0x619)
#define RMDF6_9LH      (*(volatile __near unsigned char  *)0x619)
#define RPGACC38LH     (*(volatile __near unsigned char  *)0x619)
#define TMDF3_9LH      (*(volatile __near unsigned char  *)0x619)
#define RMDF14_9H      (*(volatile __near unsigned short *)0x61A)
#define RMDF6_9H       (*(volatile __near unsigned short *)0x61A)
#define RPGACC38H      (*(volatile __near unsigned short *)0x61A)
#define TMDF3_9H       (*(volatile __near unsigned short *)0x61A)
#define RMDF14_9HL     (*(volatile __near unsigned char  *)0x61A)
#define RMDF6_9HL      (*(volatile __near unsigned char  *)0x61A)
#define RPGACC38HL     (*(volatile __near unsigned char  *)0x61A)
#define TMDF3_9HL      (*(volatile __near unsigned char  *)0x61A)
#define RMDF14_9HH     (*(volatile __near unsigned char  *)0x61B)
#define RMDF6_9HH      (*(volatile __near unsigned char  *)0x61B)
#define RPGACC38HH     (*(volatile __near unsigned char  *)0x61B)
#define TMDF3_9HH      (*(volatile __near unsigned char  *)0x61B)
#define RMDF14_10L     (*(volatile __near unsigned short *)0x61C)
#define RMDF6_10L      (*(volatile __near unsigned short *)0x61C)
#define RPGACC39L      (*(volatile __near unsigned short *)0x61C)
#define TMDF3_10L      (*(volatile __near unsigned short *)0x61C)
#define RMDF14_10LL    (*(volatile __near unsigned char  *)0x61C)
#define RMDF6_10LL     (*(volatile __near unsigned char  *)0x61C)
#define RPGACC39LL     (*(volatile __near unsigned char  *)0x61C)
#define TMDF3_10LL     (*(volatile __near unsigned char  *)0x61C)
#define RMDF14_10LH    (*(volatile __near unsigned char  *)0x61D)
#define RMDF6_10LH     (*(volatile __near unsigned char  *)0x61D)
#define RPGACC39LH     (*(volatile __near unsigned char  *)0x61D)
#define TMDF3_10LH     (*(volatile __near unsigned char  *)0x61D)
#define RMDF14_10H     (*(volatile __near unsigned short *)0x61E)
#define RMDF6_10H      (*(volatile __near unsigned short *)0x61E)
#define RPGACC39H      (*(volatile __near unsigned short *)0x61E)
#define TMDF3_10H      (*(volatile __near unsigned short *)0x61E)
#define RMDF14_10HL    (*(volatile __near unsigned char  *)0x61E)
#define RMDF6_10HL     (*(volatile __near unsigned char  *)0x61E)
#define RPGACC39HL     (*(volatile __near unsigned char  *)0x61E)
#define TMDF3_10HL     (*(volatile __near unsigned char  *)0x61E)
#define RMDF14_10HH    (*(volatile __near unsigned char  *)0x61F)
#define RMDF6_10HH     (*(volatile __near unsigned char  *)0x61F)
#define RPGACC39HH     (*(volatile __near unsigned char  *)0x61F)
#define TMDF3_10HH     (*(volatile __near unsigned char  *)0x61F)
#define RMDF14_11L     (*(volatile __near unsigned short *)0x620)
#define RMDF6_11L      (*(volatile __near unsigned short *)0x620)
#define RPGACC40L      (*(volatile __near unsigned short *)0x620)
#define TMDF3_11L      (*(volatile __near unsigned short *)0x620)
#define RMDF14_11LL    (*(volatile __near unsigned char  *)0x620)
#define RMDF6_11LL     (*(volatile __near unsigned char  *)0x620)
#define RPGACC40LL     (*(volatile __near unsigned char  *)0x620)
#define TMDF3_11LL     (*(volatile __near unsigned char  *)0x620)
#define RMDF14_11LH    (*(volatile __near unsigned char  *)0x621)
#define RMDF6_11LH     (*(volatile __near unsigned char  *)0x621)
#define RPGACC40LH     (*(volatile __near unsigned char  *)0x621)
#define TMDF3_11LH     (*(volatile __near unsigned char  *)0x621)
#define RMDF14_11H     (*(volatile __near unsigned short *)0x622)
#define RMDF6_11H      (*(volatile __near unsigned short *)0x622)
#define RPGACC40H      (*(volatile __near unsigned short *)0x622)
#define TMDF3_11H      (*(volatile __near unsigned short *)0x622)
#define RMDF14_11HL    (*(volatile __near unsigned char  *)0x622)
#define RMDF6_11HL     (*(volatile __near unsigned char  *)0x622)
#define RPGACC40HL     (*(volatile __near unsigned char  *)0x622)
#define TMDF3_11HL     (*(volatile __near unsigned char  *)0x622)
#define RMDF14_11HH    (*(volatile __near unsigned char  *)0x623)
#define RMDF6_11HH     (*(volatile __near unsigned char  *)0x623)
#define RPGACC40HH     (*(volatile __near unsigned char  *)0x623)
#define TMDF3_11HH     (*(volatile __near unsigned char  *)0x623)
#define RMDF14_12L     (*(volatile __near unsigned short *)0x624)
#define RMDF6_12L      (*(volatile __near unsigned short *)0x624)
#define RPGACC41L      (*(volatile __near unsigned short *)0x624)
#define TMDF3_12L      (*(volatile __near unsigned short *)0x624)
#define RMDF14_12LL    (*(volatile __near unsigned char  *)0x624)
#define RMDF6_12LL     (*(volatile __near unsigned char  *)0x624)
#define RPGACC41LL     (*(volatile __near unsigned char  *)0x624)
#define TMDF3_12LL     (*(volatile __near unsigned char  *)0x624)
#define RMDF14_12LH    (*(volatile __near unsigned char  *)0x625)
#define RMDF6_12LH     (*(volatile __near unsigned char  *)0x625)
#define RPGACC41LH     (*(volatile __near unsigned char  *)0x625)
#define TMDF3_12LH     (*(volatile __near unsigned char  *)0x625)
#define RMDF14_12H     (*(volatile __near unsigned short *)0x626)
#define RMDF6_12H      (*(volatile __near unsigned short *)0x626)
#define RPGACC41H      (*(volatile __near unsigned short *)0x626)
#define TMDF3_12H      (*(volatile __near unsigned short *)0x626)
#define RMDF14_12HL    (*(volatile __near unsigned char  *)0x626)
#define RMDF6_12HL     (*(volatile __near unsigned char  *)0x626)
#define RPGACC41HL     (*(volatile __near unsigned char  *)0x626)
#define TMDF3_12HL     (*(volatile __near unsigned char  *)0x626)
#define RMDF14_12HH    (*(volatile __near unsigned char  *)0x627)
#define RMDF6_12HH     (*(volatile __near unsigned char  *)0x627)
#define RPGACC41HH     (*(volatile __near unsigned char  *)0x627)
#define TMDF3_12HH     (*(volatile __near unsigned char  *)0x627)
#define RMDF14_13L     (*(volatile __near unsigned short *)0x628)
#define RMDF6_13L      (*(volatile __near unsigned short *)0x628)
#define RPGACC42L      (*(volatile __near unsigned short *)0x628)
#define TMDF3_13L      (*(volatile __near unsigned short *)0x628)
#define RMDF14_13LL    (*(volatile __near unsigned char  *)0x628)
#define RMDF6_13LL     (*(volatile __near unsigned char  *)0x628)
#define RPGACC42LL     (*(volatile __near unsigned char  *)0x628)
#define TMDF3_13LL     (*(volatile __near unsigned char  *)0x628)
#define RMDF14_13LH    (*(volatile __near unsigned char  *)0x629)
#define RMDF6_13LH     (*(volatile __near unsigned char  *)0x629)
#define RPGACC42LH     (*(volatile __near unsigned char  *)0x629)
#define TMDF3_13LH     (*(volatile __near unsigned char  *)0x629)
#define RMDF14_13H     (*(volatile __near unsigned short *)0x62A)
#define RMDF6_13H      (*(volatile __near unsigned short *)0x62A)
#define RPGACC42H      (*(volatile __near unsigned short *)0x62A)
#define TMDF3_13H      (*(volatile __near unsigned short *)0x62A)
#define RMDF14_13HL    (*(volatile __near unsigned char  *)0x62A)
#define RMDF6_13HL     (*(volatile __near unsigned char  *)0x62A)
#define RPGACC42HL     (*(volatile __near unsigned char  *)0x62A)
#define TMDF3_13HL     (*(volatile __near unsigned char  *)0x62A)
#define RMDF14_13HH    (*(volatile __near unsigned char  *)0x62B)
#define RMDF6_13HH     (*(volatile __near unsigned char  *)0x62B)
#define RPGACC42HH     (*(volatile __near unsigned char  *)0x62B)
#define TMDF3_13HH     (*(volatile __near unsigned char  *)0x62B)
#define RMDF14_14L     (*(volatile __near unsigned short *)0x62C)
#define RMDF6_14L      (*(volatile __near unsigned short *)0x62C)
#define RPGACC43L      (*(volatile __near unsigned short *)0x62C)
#define TMDF3_14L      (*(volatile __near unsigned short *)0x62C)
#define RMDF14_14LL    (*(volatile __near unsigned char  *)0x62C)
#define RMDF6_14LL     (*(volatile __near unsigned char  *)0x62C)
#define RPGACC43LL     (*(volatile __near unsigned char  *)0x62C)
#define TMDF3_14LL     (*(volatile __near unsigned char  *)0x62C)
#define RMDF14_14LH    (*(volatile __near unsigned char  *)0x62D)
#define RMDF6_14LH     (*(volatile __near unsigned char  *)0x62D)
#define RPGACC43LH     (*(volatile __near unsigned char  *)0x62D)
#define TMDF3_14LH     (*(volatile __near unsigned char  *)0x62D)
#define RMDF14_14H     (*(volatile __near unsigned short *)0x62E)
#define RMDF6_14H      (*(volatile __near unsigned short *)0x62E)
#define RPGACC43H      (*(volatile __near unsigned short *)0x62E)
#define TMDF3_14H      (*(volatile __near unsigned short *)0x62E)
#define RMDF14_14HL    (*(volatile __near unsigned char  *)0x62E)
#define RMDF6_14HL     (*(volatile __near unsigned char  *)0x62E)
#define RPGACC43HL     (*(volatile __near unsigned char  *)0x62E)
#define TMDF3_14HL     (*(volatile __near unsigned char  *)0x62E)
#define RMDF14_14HH    (*(volatile __near unsigned char  *)0x62F)
#define RMDF6_14HH     (*(volatile __near unsigned char  *)0x62F)
#define RPGACC43HH     (*(volatile __near unsigned char  *)0x62F)
#define TMDF3_14HH     (*(volatile __near unsigned char  *)0x62F)
#define RMDF14_15L     (*(volatile __near unsigned short *)0x630)
#define RMDF6_15L      (*(volatile __near unsigned short *)0x630)
#define RPGACC44L      (*(volatile __near unsigned short *)0x630)
#define TMDF3_15L      (*(volatile __near unsigned short *)0x630)
#define RMDF14_15LL    (*(volatile __near unsigned char  *)0x630)
#define RMDF6_15LL     (*(volatile __near unsigned char  *)0x630)
#define RPGACC44LL     (*(volatile __near unsigned char  *)0x630)
#define TMDF3_15LL     (*(volatile __near unsigned char  *)0x630)
#define RMDF14_15LH    (*(volatile __near unsigned char  *)0x631)
#define RMDF6_15LH     (*(volatile __near unsigned char  *)0x631)
#define RPGACC44LH     (*(volatile __near unsigned char  *)0x631)
#define TMDF3_15LH     (*(volatile __near unsigned char  *)0x631)
#define RMDF14_15H     (*(volatile __near unsigned short *)0x632)
#define RMDF6_15H      (*(volatile __near unsigned short *)0x632)
#define RPGACC44H      (*(volatile __near unsigned short *)0x632)
#define TMDF3_15H      (*(volatile __near unsigned short *)0x632)
#define RMDF14_15HL    (*(volatile __near unsigned char  *)0x632)
#define RMDF6_15HL     (*(volatile __near unsigned char  *)0x632)
#define RPGACC44HL     (*(volatile __near unsigned char  *)0x632)
#define TMDF3_15HL     (*(volatile __near unsigned char  *)0x632)
#define RMDF14_15HH    (*(volatile __near unsigned char  *)0x633)
#define RMDF6_15HH     (*(volatile __near unsigned char  *)0x633)
#define RPGACC44HH     (*(volatile __near unsigned char  *)0x633)
#define TMDF3_15HH     (*(volatile __near unsigned char  *)0x633)
#define RMID15L        (*(volatile __near unsigned short *)0x634)
#define RMID7L         (*(volatile __near unsigned short *)0x634)
#define RPGACC45L      (*(volatile __near unsigned short *)0x634)
#define RMID15LL       (*(volatile __near unsigned char  *)0x634)
#define RMID7LL        (*(volatile __near unsigned char  *)0x634)
#define RPGACC45LL     (*(volatile __near unsigned char  *)0x634)
#define RMID15LH       (*(volatile __near unsigned char  *)0x635)
#define RMID7LH        (*(volatile __near unsigned char  *)0x635)
#define RPGACC45LH     (*(volatile __near unsigned char  *)0x635)
#define RMID15H        (*(volatile __near unsigned short *)0x636)
#define RMID7H         (*(volatile __near unsigned short *)0x636)
#define RPGACC45H      (*(volatile __near unsigned short *)0x636)
#define RMID15HL       (*(volatile __near unsigned char  *)0x636)
#define RMID7HL        (*(volatile __near unsigned char  *)0x636)
#define RPGACC45HL     (*(volatile __near unsigned char  *)0x636)
#define RMID15HH       (*(volatile __near unsigned char  *)0x637)
#define RMID7HH        (*(volatile __near unsigned char  *)0x637)
#define RPGACC45HH     (*(volatile __near unsigned char  *)0x637)
#define RMPTR15L       (*(volatile __near unsigned short *)0x638)
#define RMPTR7L        (*(volatile __near unsigned short *)0x638)
#define RPGACC46L      (*(volatile __near unsigned short *)0x638)
#define RMPTR15LL      (*(volatile __near unsigned char  *)0x638)
#define RMPTR7LL       (*(volatile __near unsigned char  *)0x638)
#define RPGACC46LL     (*(volatile __near unsigned char  *)0x638)
#define RMPTR15LH      (*(volatile __near unsigned char  *)0x639)
#define RMPTR7LH       (*(volatile __near unsigned char  *)0x639)
#define RPGACC46LH     (*(volatile __near unsigned char  *)0x639)
#define RMPTR15H       (*(volatile __near unsigned short *)0x63A)
#define RMPTR7H        (*(volatile __near unsigned short *)0x63A)
#define RPGACC46H      (*(volatile __near unsigned short *)0x63A)
#define RPGACC46HL     (*(volatile __near unsigned char  *)0x63A)
#define RMPTR15HH      (*(volatile __near unsigned char  *)0x63B)
#define RMPTR7HH       (*(volatile __near unsigned char  *)0x63B)
#define RPGACC46HH     (*(volatile __near unsigned char  *)0x63B)
#define RMFDSTS15L     (*(volatile __near unsigned short *)0x63C)
#define RMFDSTS7L      (*(volatile __near unsigned short *)0x63C)
#define RPGACC47L      (*(volatile __near unsigned short *)0x63C)
#define RMFDSTS15LL    (*(volatile __near unsigned char  *)0x63C)
#define RMFDSTS7LL     (*(volatile __near unsigned char  *)0x63C)
#define RPGACC47LL     (*(volatile __near unsigned char  *)0x63C)
#define RMFDSTS15LH    (*(volatile __near unsigned char  *)0x63D)
#define RMFDSTS7LH     (*(volatile __near unsigned char  *)0x63D)
#define RPGACC47LH     (*(volatile __near unsigned char  *)0x63D)
#define RMFDSTS15H     (*(volatile __near unsigned short *)0x63E)
#define RMFDSTS7H      (*(volatile __near unsigned short *)0x63E)
#define RPGACC47H      (*(volatile __near unsigned short *)0x63E)
#define RMFDSTS15HL    (*(volatile __near unsigned char  *)0x63E)
#define RMFDSTS7HL     (*(volatile __near unsigned char  *)0x63E)
#define RPGACC47HL     (*(volatile __near unsigned char  *)0x63E)
#define RMFDSTS15HH    (*(volatile __near unsigned char  *)0x63F)
#define RMFDSTS7HH     (*(volatile __near unsigned char  *)0x63F)
#define RPGACC47HH     (*(volatile __near unsigned char  *)0x63F)
#define RMDF15_0L      (*(volatile __near unsigned short *)0x640)
#define RMDF7_0L       (*(volatile __near unsigned short *)0x640)
#define RPGACC48L      (*(volatile __near unsigned short *)0x640)
#define THLACC0L       (*(volatile __near unsigned short *)0x640)
#define RMDF15_0LL     (*(volatile __near unsigned char  *)0x640)
#define RMDF7_0LL      (*(volatile __near unsigned char  *)0x640)
#define RPGACC48LL     (*(volatile __near unsigned char  *)0x640)
#define THLACC0LL      (*(volatile __near unsigned char  *)0x640)
#define RMDF15_0LH     (*(volatile __near unsigned char  *)0x641)
#define RMDF7_0LH      (*(volatile __near unsigned char  *)0x641)
#define RPGACC48LH     (*(volatile __near unsigned char  *)0x641)
#define RMDF15_0H      (*(volatile __near unsigned short *)0x642)
#define RMDF7_0H       (*(volatile __near unsigned short *)0x642)
#define RPGACC48H      (*(volatile __near unsigned short *)0x642)
#define THLACC0H       (*(volatile __near unsigned short *)0x642)
#define RMDF15_0HL     (*(volatile __near unsigned char  *)0x642)
#define RMDF7_0HL      (*(volatile __near unsigned char  *)0x642)
#define RPGACC48HL     (*(volatile __near unsigned char  *)0x642)
#define THLACC0HL      (*(volatile __near unsigned char  *)0x642)
#define RMDF15_0HH     (*(volatile __near unsigned char  *)0x643)
#define RMDF7_0HH      (*(volatile __near unsigned char  *)0x643)
#define RPGACC48HH     (*(volatile __near unsigned char  *)0x643)
#define THLACC0HH      (*(volatile __near unsigned char  *)0x643)
#define RMDF15_1L      (*(volatile __near unsigned short *)0x644)
#define RMDF7_1L       (*(volatile __near unsigned short *)0x644)
#define RPGACC49L      (*(volatile __near unsigned short *)0x644)
#define THLACC1L       (*(volatile __near unsigned short *)0x644)
#define RMDF15_1LL     (*(volatile __near unsigned char  *)0x644)
#define RMDF7_1LL      (*(volatile __near unsigned char  *)0x644)
#define RPGACC49LL     (*(volatile __near unsigned char  *)0x644)
#define THLACC1LL      (*(volatile __near unsigned char  *)0x644)
#define RMDF15_1LH     (*(volatile __near unsigned char  *)0x645)
#define RMDF7_1LH      (*(volatile __near unsigned char  *)0x645)
#define RPGACC49LH     (*(volatile __near unsigned char  *)0x645)
#define THLACC1LH      (*(volatile __near unsigned char  *)0x645)
#define RMDF15_1H      (*(volatile __near unsigned short *)0x646)
#define RMDF7_1H       (*(volatile __near unsigned short *)0x646)
#define RPGACC49H      (*(volatile __near unsigned short *)0x646)
#define THLACC1H       (*(volatile __near unsigned short *)0x646)
#define RMDF15_1HL     (*(volatile __near unsigned char  *)0x646)
#define RMDF7_1HL      (*(volatile __near unsigned char  *)0x646)
#define RPGACC49HL     (*(volatile __near unsigned char  *)0x646)
#define THLACC1HL      (*(volatile __near unsigned char  *)0x646)
#define RMDF15_1HH     (*(volatile __near unsigned char  *)0x647)
#define RMDF7_1HH      (*(volatile __near unsigned char  *)0x647)
#define RPGACC49HH     (*(volatile __near unsigned char  *)0x647)
#define RMDF15_2L      (*(volatile __near unsigned short *)0x648)
#define RMDF7_2L       (*(volatile __near unsigned short *)0x648)
#define RPGACC50L      (*(volatile __near unsigned short *)0x648)
#define RMDF15_2LL     (*(volatile __near unsigned char  *)0x648)
#define RMDF7_2LL      (*(volatile __near unsigned char  *)0x648)
#define RPGACC50LL     (*(volatile __near unsigned char  *)0x648)
#define RMDF15_2LH     (*(volatile __near unsigned char  *)0x649)
#define RMDF7_2LH      (*(volatile __near unsigned char  *)0x649)
#define RPGACC50LH     (*(volatile __near unsigned char  *)0x649)
#define RMDF15_2H      (*(volatile __near unsigned short *)0x64A)
#define RMDF7_2H       (*(volatile __near unsigned short *)0x64A)
#define RPGACC50H      (*(volatile __near unsigned short *)0x64A)
#define RMDF15_2HL     (*(volatile __near unsigned char  *)0x64A)
#define RMDF7_2HL      (*(volatile __near unsigned char  *)0x64A)
#define RPGACC50HL     (*(volatile __near unsigned char  *)0x64A)
#define RMDF15_2HH     (*(volatile __near unsigned char  *)0x64B)
#define RMDF7_2HH      (*(volatile __near unsigned char  *)0x64B)
#define RPGACC50HH     (*(volatile __near unsigned char  *)0x64B)
#define RMDF15_3L      (*(volatile __near unsigned short *)0x64C)
#define RMDF7_3L       (*(volatile __near unsigned short *)0x64C)
#define RPGACC51L      (*(volatile __near unsigned short *)0x64C)
#define RMDF15_3LL     (*(volatile __near unsigned char  *)0x64C)
#define RMDF7_3LL      (*(volatile __near unsigned char  *)0x64C)
#define RPGACC51LL     (*(volatile __near unsigned char  *)0x64C)
#define RMDF15_3LH     (*(volatile __near unsigned char  *)0x64D)
#define RMDF7_3LH      (*(volatile __near unsigned char  *)0x64D)
#define RPGACC51LH     (*(volatile __near unsigned char  *)0x64D)
#define RMDF15_3H      (*(volatile __near unsigned short *)0x64E)
#define RMDF7_3H       (*(volatile __near unsigned short *)0x64E)
#define RPGACC51H      (*(volatile __near unsigned short *)0x64E)
#define RMDF15_3HL     (*(volatile __near unsigned char  *)0x64E)
#define RMDF7_3HL      (*(volatile __near unsigned char  *)0x64E)
#define RPGACC51HL     (*(volatile __near unsigned char  *)0x64E)
#define RMDF15_3HH     (*(volatile __near unsigned char  *)0x64F)
#define RMDF7_3HH      (*(volatile __near unsigned char  *)0x64F)
#define RPGACC51HH     (*(volatile __near unsigned char  *)0x64F)
#define RMDF15_4L      (*(volatile __near unsigned short *)0x650)
#define RMDF7_4L       (*(volatile __near unsigned short *)0x650)
#define RPGACC52L      (*(volatile __near unsigned short *)0x650)
#define RMDF15_4LL     (*(volatile __near unsigned char  *)0x650)
#define RMDF7_4LL      (*(volatile __near unsigned char  *)0x650)
#define RPGACC52LL     (*(volatile __near unsigned char  *)0x650)
#define RMDF15_4LH     (*(volatile __near unsigned char  *)0x651)
#define RMDF7_4LH      (*(volatile __near unsigned char  *)0x651)
#define RPGACC52LH     (*(volatile __near unsigned char  *)0x651)
#define RMDF15_4H      (*(volatile __near unsigned short *)0x652)
#define RMDF7_4H       (*(volatile __near unsigned short *)0x652)
#define RPGACC52H      (*(volatile __near unsigned short *)0x652)
#define RMDF15_4HL     (*(volatile __near unsigned char  *)0x652)
#define RMDF7_4HL      (*(volatile __near unsigned char  *)0x652)
#define RPGACC52HL     (*(volatile __near unsigned char  *)0x652)
#define RMDF15_4HH     (*(volatile __near unsigned char  *)0x653)
#define RMDF7_4HH      (*(volatile __near unsigned char  *)0x653)
#define RPGACC52HH     (*(volatile __near unsigned char  *)0x653)
#define RMDF15_5L      (*(volatile __near unsigned short *)0x654)
#define RMDF7_5L       (*(volatile __near unsigned short *)0x654)
#define RPGACC53L      (*(volatile __near unsigned short *)0x654)
#define RMDF15_5LL     (*(volatile __near unsigned char  *)0x654)
#define RMDF7_5LL      (*(volatile __near unsigned char  *)0x654)
#define RPGACC53LL     (*(volatile __near unsigned char  *)0x654)
#define RMDF15_5LH     (*(volatile __near unsigned char  *)0x655)
#define RMDF7_5LH      (*(volatile __near unsigned char  *)0x655)
#define RPGACC53LH     (*(volatile __near unsigned char  *)0x655)
#define RMDF15_5H      (*(volatile __near unsigned short *)0x656)
#define RMDF7_5H       (*(volatile __near unsigned short *)0x656)
#define RPGACC53H      (*(volatile __near unsigned short *)0x656)
#define RMDF15_5HL     (*(volatile __near unsigned char  *)0x656)
#define RMDF7_5HL      (*(volatile __near unsigned char  *)0x656)
#define RPGACC53HL     (*(volatile __near unsigned char  *)0x656)
#define RMDF15_5HH     (*(volatile __near unsigned char  *)0x657)
#define RMDF7_5HH      (*(volatile __near unsigned char  *)0x657)
#define RPGACC53HH     (*(volatile __near unsigned char  *)0x657)
#define RMDF15_6L      (*(volatile __near unsigned short *)0x658)
#define RMDF7_6L       (*(volatile __near unsigned short *)0x658)
#define RPGACC54L      (*(volatile __near unsigned short *)0x658)
#define RMDF15_6LL     (*(volatile __near unsigned char  *)0x658)
#define RMDF7_6LL      (*(volatile __near unsigned char  *)0x658)
#define RPGACC54LL     (*(volatile __near unsigned char  *)0x658)
#define RMDF15_6LH     (*(volatile __near unsigned char  *)0x659)
#define RMDF7_6LH      (*(volatile __near unsigned char  *)0x659)
#define RPGACC54LH     (*(volatile __near unsigned char  *)0x659)
#define RMDF15_6H      (*(volatile __near unsigned short *)0x65A)
#define RMDF7_6H       (*(volatile __near unsigned short *)0x65A)
#define RPGACC54H      (*(volatile __near unsigned short *)0x65A)
#define RMDF15_6HL     (*(volatile __near unsigned char  *)0x65A)
#define RMDF7_6HL      (*(volatile __near unsigned char  *)0x65A)
#define RPGACC54HL     (*(volatile __near unsigned char  *)0x65A)
#define RMDF15_6HH     (*(volatile __near unsigned char  *)0x65B)
#define RMDF7_6HH      (*(volatile __near unsigned char  *)0x65B)
#define RPGACC54HH     (*(volatile __near unsigned char  *)0x65B)
#define RMDF15_7L      (*(volatile __near unsigned short *)0x65C)
#define RMDF7_7L       (*(volatile __near unsigned short *)0x65C)
#define RPGACC55L      (*(volatile __near unsigned short *)0x65C)
#define RMDF15_7LL     (*(volatile __near unsigned char  *)0x65C)
#define RMDF7_7LL      (*(volatile __near unsigned char  *)0x65C)
#define RPGACC55LL     (*(volatile __near unsigned char  *)0x65C)
#define RMDF15_7LH     (*(volatile __near unsigned char  *)0x65D)
#define RMDF7_7LH      (*(volatile __near unsigned char  *)0x65D)
#define RPGACC55LH     (*(volatile __near unsigned char  *)0x65D)
#define RMDF15_7H      (*(volatile __near unsigned short *)0x65E)
#define RMDF7_7H       (*(volatile __near unsigned short *)0x65E)
#define RPGACC55H      (*(volatile __near unsigned short *)0x65E)
#define RMDF15_7HL     (*(volatile __near unsigned char  *)0x65E)
#define RMDF7_7HL      (*(volatile __near unsigned char  *)0x65E)
#define RPGACC55HL     (*(volatile __near unsigned char  *)0x65E)
#define RMDF15_7HH     (*(volatile __near unsigned char  *)0x65F)
#define RMDF7_7HH      (*(volatile __near unsigned char  *)0x65F)
#define RPGACC55HH     (*(volatile __near unsigned char  *)0x65F)
#define RMDF15_8L      (*(volatile __near unsigned short *)0x660)
#define RMDF7_8L       (*(volatile __near unsigned short *)0x660)
#define RPGACC56L      (*(volatile __near unsigned short *)0x660)
#define RMDF15_8LL     (*(volatile __near unsigned char  *)0x660)
#define RMDF7_8LL      (*(volatile __near unsigned char  *)0x660)
#define RPGACC56LL     (*(volatile __near unsigned char  *)0x660)
#define RMDF15_8LH     (*(volatile __near unsigned char  *)0x661)
#define RMDF7_8LH      (*(volatile __near unsigned char  *)0x661)
#define RPGACC56LH     (*(volatile __near unsigned char  *)0x661)
#define RMDF15_8H      (*(volatile __near unsigned short *)0x662)
#define RMDF7_8H       (*(volatile __near unsigned short *)0x662)
#define RPGACC56H      (*(volatile __near unsigned short *)0x662)
#define RMDF15_8HL     (*(volatile __near unsigned char  *)0x662)
#define RMDF7_8HL      (*(volatile __near unsigned char  *)0x662)
#define RPGACC56HL     (*(volatile __near unsigned char  *)0x662)
#define RMDF15_8HH     (*(volatile __near unsigned char  *)0x663)
#define RMDF7_8HH      (*(volatile __near unsigned char  *)0x663)
#define RPGACC56HH     (*(volatile __near unsigned char  *)0x663)
#define RMDF15_9L      (*(volatile __near unsigned short *)0x664)
#define RMDF7_9L       (*(volatile __near unsigned short *)0x664)
#define RPGACC57L      (*(volatile __near unsigned short *)0x664)
#define RMDF15_9LL     (*(volatile __near unsigned char  *)0x664)
#define RMDF7_9LL      (*(volatile __near unsigned char  *)0x664)
#define RPGACC57LL     (*(volatile __near unsigned char  *)0x664)
#define RMDF15_9LH     (*(volatile __near unsigned char  *)0x665)
#define RMDF7_9LH      (*(volatile __near unsigned char  *)0x665)
#define RPGACC57LH     (*(volatile __near unsigned char  *)0x665)
#define RMDF15_9H      (*(volatile __near unsigned short *)0x666)
#define RMDF7_9H       (*(volatile __near unsigned short *)0x666)
#define RPGACC57H      (*(volatile __near unsigned short *)0x666)
#define RMDF15_9HL     (*(volatile __near unsigned char  *)0x666)
#define RMDF7_9HL      (*(volatile __near unsigned char  *)0x666)
#define RPGACC57HL     (*(volatile __near unsigned char  *)0x666)
#define RMDF15_9HH     (*(volatile __near unsigned char  *)0x667)
#define RMDF7_9HH      (*(volatile __near unsigned char  *)0x667)
#define RPGACC57HH     (*(volatile __near unsigned char  *)0x667)
#define RMDF15_10L     (*(volatile __near unsigned short *)0x668)
#define RMDF7_10L      (*(volatile __near unsigned short *)0x668)
#define RPGACC58L      (*(volatile __near unsigned short *)0x668)
#define RMDF15_10LL    (*(volatile __near unsigned char  *)0x668)
#define RMDF7_10LL     (*(volatile __near unsigned char  *)0x668)
#define RPGACC58LL     (*(volatile __near unsigned char  *)0x668)
#define RMDF15_10LH    (*(volatile __near unsigned char  *)0x669)
#define RMDF7_10LH     (*(volatile __near unsigned char  *)0x669)
#define RPGACC58LH     (*(volatile __near unsigned char  *)0x669)
#define RMDF15_10H     (*(volatile __near unsigned short *)0x66A)
#define RMDF7_10H      (*(volatile __near unsigned short *)0x66A)
#define RPGACC58H      (*(volatile __near unsigned short *)0x66A)
#define RMDF15_10HL    (*(volatile __near unsigned char  *)0x66A)
#define RMDF7_10HL     (*(volatile __near unsigned char  *)0x66A)
#define RPGACC58HL     (*(volatile __near unsigned char  *)0x66A)
#define RMDF15_10HH    (*(volatile __near unsigned char  *)0x66B)
#define RMDF7_10HH     (*(volatile __near unsigned char  *)0x66B)
#define RPGACC58HH     (*(volatile __near unsigned char  *)0x66B)
#define RMDF15_11L     (*(volatile __near unsigned short *)0x66C)
#define RMDF7_11L      (*(volatile __near unsigned short *)0x66C)
#define RPGACC59L      (*(volatile __near unsigned short *)0x66C)
#define RMDF15_11LL    (*(volatile __near unsigned char  *)0x66C)
#define RMDF7_11LL     (*(volatile __near unsigned char  *)0x66C)
#define RPGACC59LL     (*(volatile __near unsigned char  *)0x66C)
#define RMDF15_11LH    (*(volatile __near unsigned char  *)0x66D)
#define RMDF7_11LH     (*(volatile __near unsigned char  *)0x66D)
#define RPGACC59LH     (*(volatile __near unsigned char  *)0x66D)
#define RMDF15_11H     (*(volatile __near unsigned short *)0x66E)
#define RMDF7_11H      (*(volatile __near unsigned short *)0x66E)
#define RPGACC59H      (*(volatile __near unsigned short *)0x66E)
#define RMDF15_11HL    (*(volatile __near unsigned char  *)0x66E)
#define RMDF7_11HL     (*(volatile __near unsigned char  *)0x66E)
#define RPGACC59HL     (*(volatile __near unsigned char  *)0x66E)
#define RMDF15_11HH    (*(volatile __near unsigned char  *)0x66F)
#define RMDF7_11HH     (*(volatile __near unsigned char  *)0x66F)
#define RPGACC59HH     (*(volatile __near unsigned char  *)0x66F)
#define RMDF15_12L     (*(volatile __near unsigned short *)0x670)
#define RMDF7_12L      (*(volatile __near unsigned short *)0x670)
#define RPGACC60L      (*(volatile __near unsigned short *)0x670)
#define RMDF15_12LL    (*(volatile __near unsigned char  *)0x670)
#define RMDF7_12LL     (*(volatile __near unsigned char  *)0x670)
#define RPGACC60LL     (*(volatile __near unsigned char  *)0x670)
#define RMDF15_12LH    (*(volatile __near unsigned char  *)0x671)
#define RMDF7_12LH     (*(volatile __near unsigned char  *)0x671)
#define RPGACC60LH     (*(volatile __near unsigned char  *)0x671)
#define RMDF15_12H     (*(volatile __near unsigned short *)0x672)
#define RMDF7_12H      (*(volatile __near unsigned short *)0x672)
#define RPGACC60H      (*(volatile __near unsigned short *)0x672)
#define RMDF15_12HL    (*(volatile __near unsigned char  *)0x672)
#define RMDF7_12HL     (*(volatile __near unsigned char  *)0x672)
#define RPGACC60HL     (*(volatile __near unsigned char  *)0x672)
#define RMDF15_12HH    (*(volatile __near unsigned char  *)0x673)
#define RMDF7_12HH     (*(volatile __near unsigned char  *)0x673)
#define RPGACC60HH     (*(volatile __near unsigned char  *)0x673)
#define RMDF15_13L     (*(volatile __near unsigned short *)0x674)
#define RMDF7_13L      (*(volatile __near unsigned short *)0x674)
#define RPGACC61L      (*(volatile __near unsigned short *)0x674)
#define RMDF15_13LL    (*(volatile __near unsigned char  *)0x674)
#define RMDF7_13LL     (*(volatile __near unsigned char  *)0x674)
#define RPGACC61LL     (*(volatile __near unsigned char  *)0x674)
#define RMDF15_13LH    (*(volatile __near unsigned char  *)0x675)
#define RMDF7_13LH     (*(volatile __near unsigned char  *)0x675)
#define RPGACC61LH     (*(volatile __near unsigned char  *)0x675)
#define RMDF15_13H     (*(volatile __near unsigned short *)0x676)
#define RMDF7_13H      (*(volatile __near unsigned short *)0x676)
#define RPGACC61H      (*(volatile __near unsigned short *)0x676)
#define RMDF15_13HL    (*(volatile __near unsigned char  *)0x676)
#define RMDF7_13HL     (*(volatile __near unsigned char  *)0x676)
#define RPGACC61HL     (*(volatile __near unsigned char  *)0x676)
#define RMDF15_13HH    (*(volatile __near unsigned char  *)0x677)
#define RMDF7_13HH     (*(volatile __near unsigned char  *)0x677)
#define RPGACC61HH     (*(volatile __near unsigned char  *)0x677)
#define RMDF15_14L     (*(volatile __near unsigned short *)0x678)
#define RMDF7_14L      (*(volatile __near unsigned short *)0x678)
#define RPGACC62L      (*(volatile __near unsigned short *)0x678)
#define RMDF15_14LL    (*(volatile __near unsigned char  *)0x678)
#define RMDF7_14LL     (*(volatile __near unsigned char  *)0x678)
#define RPGACC62LL     (*(volatile __near unsigned char  *)0x678)
#define RMDF15_14LH    (*(volatile __near unsigned char  *)0x679)
#define RMDF7_14LH     (*(volatile __near unsigned char  *)0x679)
#define RPGACC62LH     (*(volatile __near unsigned char  *)0x679)
#define RMDF15_14H     (*(volatile __near unsigned short *)0x67A)
#define RMDF7_14H      (*(volatile __near unsigned short *)0x67A)
#define RPGACC62H      (*(volatile __near unsigned short *)0x67A)
#define RMDF15_14HL    (*(volatile __near unsigned char  *)0x67A)
#define RMDF7_14HL     (*(volatile __near unsigned char  *)0x67A)
#define RPGACC62HL     (*(volatile __near unsigned char  *)0x67A)
#define RMDF15_14HH    (*(volatile __near unsigned char  *)0x67B)
#define RMDF7_14HH     (*(volatile __near unsigned char  *)0x67B)
#define RPGACC62HH     (*(volatile __near unsigned char  *)0x67B)
#define RMDF15_15L     (*(volatile __near unsigned short *)0x67C)
#define RMDF7_15L      (*(volatile __near unsigned short *)0x67C)
#define RPGACC63L      (*(volatile __near unsigned short *)0x67C)
#define RMDF15_15LL    (*(volatile __near unsigned char  *)0x67C)
#define RMDF7_15LL     (*(volatile __near unsigned char  *)0x67C)
#define RPGACC63LL     (*(volatile __near unsigned char  *)0x67C)
#define RMDF15_15LH    (*(volatile __near unsigned char  *)0x67D)
#define RMDF7_15LH     (*(volatile __near unsigned char  *)0x67D)
#define RPGACC63LH     (*(volatile __near unsigned char  *)0x67D)
#define RMDF15_15H     (*(volatile __near unsigned short *)0x67E)
#define RMDF7_15H      (*(volatile __near unsigned short *)0x67E)
#define RPGACC63H      (*(volatile __near unsigned short *)0x67E)
#define RMDF15_15HL    (*(volatile __near unsigned char  *)0x67E)
#define RMDF7_15HL     (*(volatile __near unsigned char  *)0x67E)
#define RPGACC63HL     (*(volatile __near unsigned char  *)0x67E)
#define RMDF15_15HH    (*(volatile __near unsigned char  *)0x67F)
#define RMDF7_15HH     (*(volatile __near unsigned char  *)0x67F)
#define RPGACC63HH     (*(volatile __near unsigned char  *)0x67F)
#define ADDR0M         (*(volatile __near unsigned short *)0x6A0)
#define ADDR1M         (*(volatile __near unsigned short *)0x6A2)
#define ADDR2M         (*(volatile __near unsigned short *)0x6A4)
#define ADDR3M         (*(volatile __near unsigned short *)0x6A6)
#define ADDR4M         (*(volatile __near unsigned short *)0x6A8)
#define ADDR5M         (*(volatile __near unsigned short *)0x6AA)
#define ADDR6M         (*(volatile __near unsigned short *)0x6AC)
#define ADDR7M         (*(volatile __near unsigned short *)0x6AE)
#define ADCSR          (*(volatile __near unsigned short *)0x6B0)
#define ADDR0          (*(volatile __near unsigned short *)0x6B0)
#define ADDR16         (*(volatile __near unsigned short *)0x6B0)
#define ADDR24         (*(volatile __near unsigned short *)0x6B0)
#define ADDR8          (*(volatile __near unsigned short *)0x6B0)
#define ADGSPCR        (*(volatile __near unsigned short *)0x6B0)
#define ADSTRGR        (*(volatile __near unsigned short *)0x6B0)
#define ADSSTR0        (*(volatile __near unsigned char  *)0x6B0)
#define ADSSTR1        (*(volatile __near unsigned char  *)0x6B1)
#define ADDR1          (*(volatile __near unsigned short *)0x6B2)
#define ADDR17         (*(volatile __near unsigned short *)0x6B2)
#define ADDR25         (*(volatile __near unsigned short *)0x6B2)
#define ADDR9          (*(volatile __near unsigned short *)0x6B2)
#define ADEXICR        (*(volatile __near unsigned short *)0x6B2)
#define ADSSTR2        (*(volatile __near unsigned char  *)0x6B2)
#define ADSSTR3        (*(volatile __near unsigned char  *)0x6B3)
#define ADANSA0        (*(volatile __near unsigned short *)0x6B4)
#define ADANSB0        (*(volatile __near unsigned short *)0x6B4)
#define ADDR10         (*(volatile __near unsigned short *)0x6B4)
#define ADDR18         (*(volatile __near unsigned short *)0x6B4)
#define ADDR2          (*(volatile __near unsigned short *)0x6B4)
#define ADDR26         (*(volatile __near unsigned short *)0x6B4)
#define ADSSTR4        (*(volatile __near unsigned char  *)0x6B4)
#define ADSSTR5        (*(volatile __near unsigned char  *)0x6B5)
#define ADANSA1        (*(volatile __near unsigned short *)0x6B6)
#define ADANSB1        (*(volatile __near unsigned short *)0x6B6)
#define ADDR11         (*(volatile __near unsigned short *)0x6B6)
#define ADDR19         (*(volatile __near unsigned short *)0x6B6)
#define ADDR27         (*(volatile __near unsigned short *)0x6B6)
#define ADDR3          (*(volatile __near unsigned short *)0x6B6)
#define ADSHCR         (*(volatile __near unsigned short *)0x6B6)
#define ADSSTR6        (*(volatile __near unsigned char  *)0x6B6)
#define ADSSTR7        (*(volatile __near unsigned char  *)0x6B7)
#define ADADS0         (*(volatile __near unsigned short *)0x6B8)
#define ADDR12         (*(volatile __near unsigned short *)0x6B8)
#define ADDR20         (*(volatile __near unsigned short *)0x6B8)
#define ADDR28         (*(volatile __near unsigned short *)0x6B8)
#define ADDR4          (*(volatile __near unsigned short *)0x6B8)
#define ADSSTR8        (*(volatile __near unsigned char  *)0x6B8)
#define ADSSTR9        (*(volatile __near unsigned char  *)0x6B9)
#define ADADS1         (*(volatile __near unsigned short *)0x6BA)
#define ADDR13         (*(volatile __near unsigned short *)0x6BA)
#define ADDR21         (*(volatile __near unsigned short *)0x6BA)
#define ADDR29         (*(volatile __near unsigned short *)0x6BA)
#define ADDR5          (*(volatile __near unsigned short *)0x6BA)
#define ADDISCR        (*(volatile __near unsigned char  *)0x6BA)
#define ADHVREFCNT     (*(volatile __near unsigned char  *)0x6BA)
#define ADHVREFCNT_bit (*(volatile __near __bitf_T *)0x6BA)
#define ADSSTR10       (*(volatile __near unsigned char  *)0x6BA)
#define ADSSTR11       (*(volatile __near unsigned char  *)0x6BB)
#define ADDR14         (*(volatile __near unsigned short *)0x6BC)
#define ADDR22         (*(volatile __near unsigned short *)0x6BC)
#define ADDR30         (*(volatile __near unsigned short *)0x6BC)
#define ADDR6          (*(volatile __near unsigned short *)0x6BC)
#define ADOCDR         (*(volatile __near unsigned short *)0x6BC)
#define ADSSTR12       (*(volatile __near unsigned char  *)0x6BC)
#define ADADC          (*(volatile __near unsigned char  *)0x6BC)
#define ADADC_bit      (*(volatile __near __bitf_T *)0x6BC)
#define ADSSTR13       (*(volatile __near unsigned char  *)0x6BD)
#define ADSSTRL        (*(volatile __near unsigned char  *)0x6BD)
#define AVEE           (((volatile __near __bitf_T *)0x6BC)->no7)
#define ADCER          (*(volatile __near unsigned short *)0x6BE)
#define ADDR15         (*(volatile __near unsigned short *)0x6BE)
#define ADDR23         (*(volatile __near unsigned short *)0x6BE)
#define ADDR7          (*(volatile __near unsigned short *)0x6BE)
#define ADRD           (*(volatile __near unsigned short *)0x6BE)
#define ADSSTR14       (*(volatile __near unsigned char  *)0x6BE)
#define ADSSTR15       (*(volatile __near unsigned char  *)0x6BF)
#define ADSSTRO        (*(volatile __near unsigned char  *)0x6BF)
#define LWBR0          (*(volatile __near unsigned char  *)0x6C1)
#define LWBR1          (*(volatile __near unsigned char  *)0x6C1)
#define LBRP0          (*(volatile __near unsigned short *)0x6C2)
#define LBRP1          (*(volatile __near unsigned short *)0x6C2)
#define LBRP00         (*(volatile __near unsigned char  *)0x6C2)
#define LBRP10         (*(volatile __near unsigned char  *)0x6C2)
#define LBRP01         (*(volatile __near unsigned char  *)0x6C3)
#define LBRP11         (*(volatile __near unsigned char  *)0x6C3)
#define LSTC0          (*(volatile __near unsigned char  *)0x6C4)
#define LSTC1          (*(volatile __near unsigned char  *)0x6C4)
#define LUSC0          (*(volatile __near unsigned char  *)0x6C5)
#define LUSC1          (*(volatile __near unsigned char  *)0x6C5)
#define LMD0           (*(volatile __near unsigned char  *)0x6C8)
#define LMD1           (*(volatile __near unsigned char  *)0x6C8)
#define LBFC0          (*(volatile __near unsigned char  *)0x6C9)
#define LBFC1          (*(volatile __near unsigned char  *)0x6C9)
#define LSC0           (*(volatile __near unsigned char  *)0x6CA)
#define LSC1           (*(volatile __near unsigned char  *)0x6CA)
#define LWUP0          (*(volatile __near unsigned char  *)0x6CB)
#define LWUP1          (*(volatile __near unsigned char  *)0x6CB)
#define LIE0           (*(volatile __near unsigned char  *)0x6CC)
#define LIE1           (*(volatile __near unsigned char  *)0x6CC)
#define LEDE0          (*(volatile __near unsigned char  *)0x6CD)
#define LEDE1          (*(volatile __near unsigned char  *)0x6CD)
#define LCUC0          (*(volatile __near unsigned char  *)0x6CE)
#define LCUC1          (*(volatile __near unsigned char  *)0x6CE)
#define LTRC0          (*(volatile __near unsigned char  *)0x6D0)
#define LTRC1          (*(volatile __near unsigned char  *)0x6D0)
#define LMST0          (*(volatile __near unsigned char  *)0x6D1)
#define LMST1          (*(volatile __near unsigned char  *)0x6D1)
#define LST0           (*(volatile __near unsigned char  *)0x6D2)
#define LST1           (*(volatile __near unsigned char  *)0x6D2)
#define LEST0          (*(volatile __near unsigned char  *)0x6D3)
#define LEST1          (*(volatile __near unsigned char  *)0x6D3)
#define LDFC0          (*(volatile __near unsigned char  *)0x6D4)
#define LDFC1          (*(volatile __near unsigned char  *)0x6D4)
#define LIDB0          (*(volatile __near unsigned char  *)0x6D5)
#define LIDB1          (*(volatile __near unsigned char  *)0x6D5)
#define LCBR0          (*(volatile __near unsigned char  *)0x6D6)
#define LCBR1          (*(volatile __near unsigned char  *)0x6D6)
#define LUDB00         (*(volatile __near unsigned char  *)0x6D7)
#define LUDB10         (*(volatile __near unsigned char  *)0x6D7)
#define LDB01          (*(volatile __near unsigned char  *)0x6D8)
#define LDB11          (*(volatile __near unsigned char  *)0x6D8)
#define LDB02          (*(volatile __near unsigned char  *)0x6D9)
#define LDB12          (*(volatile __near unsigned char  *)0x6D9)
#define LDB03          (*(volatile __near unsigned char  *)0x6DA)
#define LDB13          (*(volatile __near unsigned char  *)0x6DA)
#define LDB04          (*(volatile __near unsigned char  *)0x6DB)
#define LDB14          (*(volatile __near unsigned char  *)0x6DB)
#define LDB05          (*(volatile __near unsigned char  *)0x6DC)
#define LDB15          (*(volatile __near unsigned char  *)0x6DC)
#define LDB06          (*(volatile __near unsigned char  *)0x6DD)
#define LDB16          (*(volatile __near unsigned char  *)0x6DD)
#define LDB07          (*(volatile __near unsigned char  *)0x6DE)
#define LDB17          (*(volatile __near unsigned char  *)0x6DE)
#define LDB08          (*(volatile __near unsigned char  *)0x6DF)
#define LDB18          (*(volatile __near unsigned char  *)0x6DF)
#define LUOER0         (*(volatile __near unsigned char  *)0x6E0)
#define LUOER1         (*(volatile __near unsigned char  *)0x6E0)
#define LUOR01         (*(volatile __near unsigned char  *)0x6E1)
#define LUOR11         (*(volatile __near unsigned char  *)0x6E1)
#define LUTDR0         (*(volatile __near unsigned short *)0x6E4)
#define LUTDR1         (*(volatile __near unsigned short *)0x6E4)
#define LUTDR0L        (*(volatile __near unsigned char  *)0x6E4)
#define LUTDR1L        (*(volatile __near unsigned char  *)0x6E4)
#define LUTDR0H        (*(volatile __near unsigned char  *)0x6E5)
#define LUTDR1H        (*(volatile __near unsigned char  *)0x6E5)
#define LURDR0         (*(volatile __near unsigned short *)0x6E6)
#define LURDR1         (*(volatile __near unsigned short *)0x6E6)
#define LURDR0L        (*(volatile __near unsigned char  *)0x6E6)
#define LURDR1L        (*(volatile __near unsigned char  *)0x6E6)
#define LURDR0H        (*(volatile __near unsigned char  *)0x6E7)
#define LURDR1H        (*(volatile __near unsigned char  *)0x6E7)
#define LUWTDR0        (*(volatile __near unsigned short *)0x6E8)
#define LUWTDR1        (*(volatile __near unsigned short *)0x6E8)
#define LUWTDR0L       (*(volatile __near unsigned char  *)0x6E8)
#define LUWTDR1L       (*(volatile __near unsigned char  *)0x6E8)
#define LUWTDR0H       (*(volatile __near unsigned char  *)0x6E9)
#define LUWTDR1H       (*(volatile __near unsigned char  *)0x6E9)
#define LBSS0          (*(volatile __near unsigned char  *)0x6EC)
#define LBSS1          (*(volatile __near unsigned char  *)0x6EC)
#define LRSS0          (*(volatile __near unsigned char  *)0x6EE)
#define LRSS1          (*(volatile __near unsigned char  *)0x6EE)
#define TRJ0           (*(volatile __near unsigned short *)0x6F0)
#define ELSELR00       (*(volatile __near unsigned char  *)0x780)
#define ELSELR00_bit   (*(volatile __near __bitf_T *)0x780)
#define ELSELR01       (*(volatile __near unsigned char  *)0x781)
#define ELSELR01_bit   (*(volatile __near __bitf_T *)0x781)
#define ELSELR02       (*(volatile __near unsigned char  *)0x782)
#define ELSELR02_bit   (*(volatile __near __bitf_T *)0x782)
#define ELSELR03       (*(volatile __near unsigned char  *)0x783)
#define ELSELR03_bit   (*(volatile __near __bitf_T *)0x783)
#define ELSELR04       (*(volatile __near unsigned char  *)0x784)
#define ELSELR04_bit   (*(volatile __near __bitf_T *)0x784)
#define ELSELR05       (*(volatile __near unsigned char  *)0x785)
#define ELSELR05_bit   (*(volatile __near __bitf_T *)0x785)
#define ELSELR06       (*(volatile __near unsigned char  *)0x786)
#define ELSELR06_bit   (*(volatile __near __bitf_T *)0x786)
#define ELSELR07       (*(volatile __near unsigned char  *)0x787)
#define ELSELR07_bit   (*(volatile __near __bitf_T *)0x787)
#define ELSELR08       (*(volatile __near unsigned char  *)0x788)
#define ELSELR08_bit   (*(volatile __near __bitf_T *)0x788)
#define ELSELR09       (*(volatile __near unsigned char  *)0x789)
#define ELSELR09_bit   (*(volatile __near __bitf_T *)0x789)
#define ELSELR10       (*(volatile __near unsigned char  *)0x78A)
#define ELSELR10_bit   (*(volatile __near __bitf_T *)0x78A)
#define ELSELR11       (*(volatile __near unsigned char  *)0x78B)
#define ELSELR11_bit   (*(volatile __near __bitf_T *)0x78B)
#define ELSELR12       (*(volatile __near unsigned char  *)0x78C)
#define ELSELR12_bit   (*(volatile __near __bitf_T *)0x78C)
#define ELSELR13       (*(volatile __near unsigned char  *)0x78D)
#define ELSELR13_bit   (*(volatile __near __bitf_T *)0x78D)
#define ELSELR14       (*(volatile __near unsigned char  *)0x78E)
#define ELSELR14_bit   (*(volatile __near __bitf_T *)0x78E)
#define ELSELR15       (*(volatile __near unsigned char  *)0x78F)
#define ELSELR15_bit   (*(volatile __near __bitf_T *)0x78F)
#define ELSELR16       (*(volatile __near unsigned char  *)0x790)
#define ELSELR16_bit   (*(volatile __near __bitf_T *)0x790)
#define ELSELR17       (*(volatile __near unsigned char  *)0x791)
#define ELSELR17_bit   (*(volatile __near __bitf_T *)0x791)
#define ELSELR18       (*(volatile __near unsigned char  *)0x792)
#define ELSELR18_bit   (*(volatile __near __bitf_T *)0x792)
#define ELSELR19       (*(volatile __near unsigned char  *)0x793)
#define ELSELR19_bit   (*(volatile __near __bitf_T *)0x793)
#define ELSELR20       (*(volatile __near unsigned char  *)0x794)
#define ELSELR20_bit   (*(volatile __near __bitf_T *)0x794)
#define ELSELR21       (*(volatile __near unsigned char  *)0x795)
#define ELSELR21_bit   (*(volatile __near __bitf_T *)0x795)
#define ELSELR22       (*(volatile __near unsigned char  *)0x796)
#define ELSELR22_bit   (*(volatile __near __bitf_T *)0x796)
#define ELSELR23       (*(volatile __near unsigned char  *)0x797)
#define ELSELR23_bit   (*(volatile __near __bitf_T *)0x797)
#define ELSELR24       (*(volatile __near unsigned char  *)0x798)
#define ELSELR24_bit   (*(volatile __near __bitf_T *)0x798)
#define ELSELR25       (*(volatile __near unsigned char  *)0x799)
#define ELSELR25_bit   (*(volatile __near __bitf_T *)0x799)
#define CFDECCTL       (*(volatile __near unsigned short *)0x7C0)
#define CFDECCTLL      (*(volatile __near unsigned char  *)0x7C0)
#define CFDECCTLH      (*(volatile __near unsigned char  *)0x7C1)
#define CFDECTMC       (*(volatile __near unsigned short *)0x7C4)
#define CFDECTMCL      (*(volatile __near unsigned char  *)0x7C4)
#define CFDECTMCH      (*(volatile __near unsigned char  *)0x7C5)
#define CFDECERDB      (*(volatile __near unsigned char  *)0x7C8)
#define CFDECHORD      (*(volatile __near unsigned char  *)0x7CA)
#define CFDECSYND      (*(volatile __near unsigned char  *)0x7CB)
#define CFDECTEDL      (*(volatile __near unsigned short *)0x7CC)
#define CFDECTEDH      (*(volatile __near unsigned short *)0x7CE)
#define CFDECEAD       (*(volatile __near unsigned short *)0x7D0)
#define P0             (*(volatile __near unsigned char  *)0xFF00)
#define P0_bit         (*(volatile __near __bitf_T *)0xFF00)
#define P1             (*(volatile __near unsigned char  *)0xFF01)
#define P1_bit         (*(volatile __near __bitf_T *)0xFF01)
#define P3             (*(volatile __near unsigned char  *)0xFF03)
#define P3_bit         (*(volatile __near __bitf_T *)0xFF03)
#define P4             (*(volatile __near unsigned char  *)0xFF04)
#define P4_bit         (*(volatile __near __bitf_T *)0xFF04)
#define P5             (*(volatile __near unsigned char  *)0xFF05)
#define P5_bit         (*(volatile __near __bitf_T *)0xFF05)
#define P6             (*(volatile __near unsigned char  *)0xFF06)
#define P6_bit         (*(volatile __near __bitf_T *)0xFF06)
#define P7             (*(volatile __near unsigned char  *)0xFF07)
#define P7_bit         (*(volatile __near __bitf_T *)0xFF07)
#define P8             (*(volatile __near unsigned char  *)0xFF08)
#define P8_bit         (*(volatile __near __bitf_T *)0xFF08)
#define P9             (*(volatile __near unsigned char  *)0xFF09)
#define P9_bit         (*(volatile __near __bitf_T *)0xFF09)
#define P10            (*(volatile __near unsigned char  *)0xFF0A)
#define P10_bit        (*(volatile __near __bitf_T *)0xFF0A)
#define P12            (*(volatile __near unsigned char  *)0xFF0C)
#define P12_bit        (*(volatile __near __bitf_T *)0xFF0C)
#define P13            (*(volatile __near unsigned char  *)0xFF0D)
#define P13_bit        (*(volatile __near __bitf_T *)0xFF0D)
#define P14            (*(volatile __near unsigned char  *)0xFF0E)
#define P14_bit        (*(volatile __near __bitf_T *)0xFF0E)
#define P15            (*(volatile __near unsigned char  *)0xFF0F)
#define P15_bit        (*(volatile __near __bitf_T *)0xFF0F)
#define SDR00          (*(volatile __near unsigned short *)0xFF10)
#define SDR00L         (*(volatile __near unsigned char  *)0xFF10)
#define SDR01          (*(volatile __near unsigned short *)0xFF12)
#define SDR01L         (*(volatile __near unsigned char  *)0xFF12)
#define TDR00          (*(volatile __near unsigned short *)0xFF18)
#define TDR01          (*(volatile __near unsigned short *)0xFF1A)
#define TDR01L         (*(volatile __near unsigned char  *)0xFF1A)
#define TDR01H         (*(volatile __near unsigned char  *)0xFF1B)
#define PM0            (*(volatile __near unsigned char  *)0xFF20)
#define PM0_bit        (*(volatile __near __bitf_T *)0xFF20)
#define PM1            (*(volatile __near unsigned char  *)0xFF21)
#define PM1_bit        (*(volatile __near __bitf_T *)0xFF21)
#define PM3            (*(volatile __near unsigned char  *)0xFF23)
#define PM3_bit        (*(volatile __near __bitf_T *)0xFF23)
#define PM4            (*(volatile __near unsigned char  *)0xFF24)
#define PM4_bit        (*(volatile __near __bitf_T *)0xFF24)
#define PM5            (*(volatile __near unsigned char  *)0xFF25)
#define PM5_bit        (*(volatile __near __bitf_T *)0xFF25)
#define PM6            (*(volatile __near unsigned char  *)0xFF26)
#define PM6_bit        (*(volatile __near __bitf_T *)0xFF26)
#define PM7            (*(volatile __near unsigned char  *)0xFF27)
#define PM7_bit        (*(volatile __near __bitf_T *)0xFF27)
#define PM8            (*(volatile __near unsigned char  *)0xFF28)
#define PM8_bit        (*(volatile __near __bitf_T *)0xFF28)
#define PM9            (*(volatile __near unsigned char  *)0xFF29)
#define PM9_bit        (*(volatile __near __bitf_T *)0xFF29)
#define PM10           (*(volatile __near unsigned char  *)0xFF2A)
#define PM10_bit       (*(volatile __near __bitf_T *)0xFF2A)
#define PM12           (*(volatile __near unsigned char  *)0xFF2C)
#define PM12_bit       (*(volatile __near __bitf_T *)0xFF2C)
#define PM14           (*(volatile __near unsigned char  *)0xFF2E)
#define PM14_bit       (*(volatile __near __bitf_T *)0xFF2E)
#define PM15           (*(volatile __near unsigned char  *)0xFF2F)
#define PM15_bit       (*(volatile __near __bitf_T *)0xFF2F)
#define ADWINR         (*(volatile __near unsigned char  *)0xFF30)
#define AAUWINR        (*(volatile __near unsigned char  *)0xFF32)
#define DACS0          (*(volatile __near unsigned char  *)0xFF34)
#define DAM            (*(volatile __near unsigned char  *)0xFF36)
#define DAM_bit        (*(volatile __near __bitf_T *)0xFF36)
#define DACE0          (((volatile __near __bitf_T *)0xFF36)->no4)
#define KRM            (*(volatile __near unsigned char  *)0xFF37)
#define KRM_bit        (*(volatile __near __bitf_T *)0xFF37)
#define EGP0           (*(volatile __near unsigned char  *)0xFF38)
#define EGP0_bit       (*(volatile __near __bitf_T *)0xFF38)
#define EGN0           (*(volatile __near unsigned char  *)0xFF39)
#define EGN0_bit       (*(volatile __near __bitf_T *)0xFF39)
#define EGP1           (*(volatile __near unsigned char  *)0xFF3A)
#define EGP1_bit       (*(volatile __near __bitf_T *)0xFF3A)
#define EGN1           (*(volatile __near unsigned char  *)0xFF3B)
#define EGN1_bit       (*(volatile __near __bitf_T *)0xFF3B)
#define SDR10          (*(volatile __near unsigned short *)0xFF48)
#define SDR10L         (*(volatile __near unsigned char  *)0xFF48)
#define SDR11          (*(volatile __near unsigned short *)0xFF4A)
#define SDR11L         (*(volatile __near unsigned char  *)0xFF4A)
#define IICA0          (*(volatile __near unsigned char  *)0xFF50)
#define IICS0          (*(volatile __near unsigned char  *)0xFF51)
#define IICS0_bit      (*(volatile __near __bitf_T *)0xFF51)
#define SPD0           (((volatile __near __bitf_T *)0xFF51)->no0)
#define STD0           (((volatile __near __bitf_T *)0xFF51)->no1)
#define ACKD0          (((volatile __near __bitf_T *)0xFF51)->no2)
#define TRC0           (((volatile __near __bitf_T *)0xFF51)->no3)
#define COI0           (((volatile __near __bitf_T *)0xFF51)->no4)
#define EXC0           (((volatile __near __bitf_T *)0xFF51)->no5)
#define ALD0           (((volatile __near __bitf_T *)0xFF51)->no6)
#define MSTS0          (((volatile __near __bitf_T *)0xFF51)->no7)
#define IICF0          (*(volatile __near unsigned char  *)0xFF52)
#define IICF0_bit      (*(volatile __near __bitf_T *)0xFF52)
#define IICRSV0        (((volatile __near __bitf_T *)0xFF52)->no0)
#define STCEN0         (((volatile __near __bitf_T *)0xFF52)->no1)
#define IICBSY0        (((volatile __near __bitf_T *)0xFF52)->no6)
#define STCF0          (((volatile __near __bitf_T *)0xFF52)->no7)
#define SUBCUDW        (*(volatile __near unsigned short *)0xFF54)
#define TRDGRC0        (*(volatile __near unsigned short *)0xFF58)
#define TRDGRD0        (*(volatile __near unsigned short *)0xFF5A)
#define TRDGRC1        (*(volatile __near unsigned short *)0xFF5C)
#define TRDGRD1        (*(volatile __near unsigned short *)0xFF5E)
#define TRDCMPD0       (*(volatile __near unsigned short *)0xFF60)
#define TRDCMPC1       (*(volatile __near unsigned short *)0xFF62)
#define TRDCMPD1       (*(volatile __near unsigned short *)0xFF64)
#define TRDADTB0       (*(volatile __near unsigned short *)0xFF66)
#define TRDADTB1       (*(volatile __near unsigned short *)0xFF68)
#define TRDRDT01       (*(volatile __near unsigned short *)0xFF6A)
#define TRDRDT0        (*(volatile __near unsigned char  *)0xFF6A)
#define TRDRDT0_bit    (*(volatile __near __bitf_T *)0xFF6A)
#define TRDRDT1        (*(volatile __near unsigned char  *)0xFF6B)
#define TRDRDT1_bit    (*(volatile __near __bitf_T *)0xFF6B)
#define TRDDGCR0       (*(volatile __near unsigned short *)0xFF6C)
#define TRDDNR0        (*(volatile __near unsigned char  *)0xFF6C)
#define TRDDNR0_bit    (*(volatile __near __bitf_T *)0xFF6C)
#define TRDGPR0        (*(volatile __near unsigned char  *)0xFF6D)
#define TRDGPR0_bit    (*(volatile __near __bitf_T *)0xFF6D)
#define TRDDGCR1       (*(volatile __near unsigned short *)0xFF6E)
#define TRDDNR1        (*(volatile __near unsigned char  *)0xFF6E)
#define TRDDNR1_bit    (*(volatile __near __bitf_T *)0xFF6E)
#define TRDGPR1        (*(volatile __near unsigned char  *)0xFF6F)
#define TRDGPR1_bit    (*(volatile __near __bitf_T *)0xFF6F)
#define TDR02          (*(volatile __near unsigned short *)0xFF74)
#define TDR03          (*(volatile __near unsigned short *)0xFF76)
#define TDR03L         (*(volatile __near unsigned char  *)0xFF76)
#define TDR03H         (*(volatile __near unsigned char  *)0xFF77)
#define TDR04          (*(volatile __near unsigned short *)0xFF78)
#define TDR05          (*(volatile __near unsigned short *)0xFF7A)
#define TDR06          (*(volatile __near unsigned short *)0xFF7C)
#define TDR07          (*(volatile __near unsigned short *)0xFF7E)
#define TDR10          (*(volatile __near unsigned short *)0xFF80)
#define TDR11          (*(volatile __near unsigned short *)0xFF82)
#define TDR11L         (*(volatile __near unsigned char  *)0xFF82)
#define TDR11H         (*(volatile __near unsigned char  *)0xFF83)
#define TDR12          (*(volatile __near unsigned short *)0xFF84)
#define TDR13          (*(volatile __near unsigned short *)0xFF86)
#define TDR13L         (*(volatile __near unsigned char  *)0xFF86)
#define TDR13H         (*(volatile __near unsigned char  *)0xFF87)
#define TDR14          (*(volatile __near unsigned short *)0xFF88)
#define TDR15          (*(volatile __near unsigned short *)0xFF8A)
#define TDR16          (*(volatile __near unsigned short *)0xFF8C)
#define TDR17          (*(volatile __near unsigned short *)0xFF8E)
#define SEC            (*(volatile __near unsigned char  *)0xFF92)
#define MIN            (*(volatile __near unsigned char  *)0xFF93)
#define HOUR           (*(volatile __near unsigned char  *)0xFF94)
#define WEEK           (*(volatile __near unsigned char  *)0xFF95)
#define DAY            (*(volatile __near unsigned char  *)0xFF96)
#define MONTH          (*(volatile __near unsigned char  *)0xFF97)
#define YEAR           (*(volatile __near unsigned char  *)0xFF98)
#define SUBCUD         (*(volatile __near unsigned char  *)0xFF99)
#define ALARMWM        (*(volatile __near unsigned char  *)0xFF9A)
#define ALARMWH        (*(volatile __near unsigned char  *)0xFF9B)
#define ALARMWW        (*(volatile __near unsigned char  *)0xFF9C)
#define RTCC0          (*(volatile __near unsigned char  *)0xFF9D)
#define RTCC0_bit      (*(volatile __near __bitf_T *)0xFF9D)
#define RCLOE1         (((volatile __near __bitf_T *)0xFF9D)->no5)
#define RTCE           (((volatile __near __bitf_T *)0xFF9D)->no7)
#define RTCC1          (*(volatile __near unsigned char  *)0xFF9E)
#define RTCC1_bit      (*(volatile __near __bitf_T *)0xFF9E)
#define RWAIT          (((volatile __near __bitf_T *)0xFF9E)->no0)
#define RWST           (((volatile __near __bitf_T *)0xFF9E)->no1)
#define RIFG           (((volatile __near __bitf_T *)0xFF9E)->no3)
#define WAFG           (((volatile __near __bitf_T *)0xFF9E)->no4)
#define WALIE          (((volatile __near __bitf_T *)0xFF9E)->no6)
#define WALE           (((volatile __near __bitf_T *)0xFF9E)->no7)
#define CMC            (*(volatile __near unsigned char  *)0xFFA0)
#define CSC            (*(volatile __near unsigned char  *)0xFFA1)
#define CSC_bit        (*(volatile __near __bitf_T *)0xFFA1)
#define HIOSTOP        (((volatile __near __bitf_T *)0xFFA1)->no0)
#define XTSTOP         (((volatile __near __bitf_T *)0xFFA1)->no6)
#define MSTOP          (((volatile __near __bitf_T *)0xFFA1)->no7)
#define OSTC           (*(volatile __near unsigned char  *)0xFFA2)
#define OSTC_bit       (*(volatile __near __bitf_T *)0xFFA2)
#define OSTS           (*(volatile __near unsigned char  *)0xFFA3)
#define CKC            (*(volatile __near unsigned char  *)0xFFA4)
#define CKC_bit        (*(volatile __near __bitf_T *)0xFFA4)
#define MCM0           (((volatile __near __bitf_T *)0xFFA4)->no4)
#define MCS            (((volatile __near __bitf_T *)0xFFA4)->no5)
#define CSS            (((volatile __near __bitf_T *)0xFFA4)->no6)
#define CLS            (((volatile __near __bitf_T *)0xFFA4)->no7)
#define CKS0           (*(volatile __near unsigned char  *)0xFFA5)
#define CKS0_bit       (*(volatile __near __bitf_T *)0xFFA5)
#define PCLOE0         (((volatile __near __bitf_T *)0xFFA5)->no7)
#define RESF           (*(volatile __near unsigned char  *)0xFFA8)
#define LVIM           (*(volatile __near unsigned char  *)0xFFA9)
#define LVIM_bit       (*(volatile __near __bitf_T *)0xFFA9)
#define LVIF           (((volatile __near __bitf_T *)0xFFA9)->no0)
#define LVIOMSK        (((volatile __near __bitf_T *)0xFFA9)->no1)
#define LVISEN         (((volatile __near __bitf_T *)0xFFA9)->no7)
#define LVIS           (*(volatile __near unsigned char  *)0xFFAA)
#define LVIS_bit       (*(volatile __near __bitf_T *)0xFFAA)
#define LVILV          (((volatile __near __bitf_T *)0xFFAA)->no0)
#define LVIMD          (((volatile __near __bitf_T *)0xFFAA)->no7)
#define WDTE           (*(volatile __near unsigned char  *)0xFFAB)
#define CRCIN          (*(volatile __near unsigned char  *)0xFFAC)
#define FLSEC          (*(volatile __near unsigned short *)0xFFB0)
#define FLFSWS         (*(volatile __near unsigned short *)0xFFB2)
#define FLFSWE         (*(volatile __near unsigned short *)0xFFB4)
#define FSSET          (*(volatile __near unsigned char  *)0xFFB6)
#define FSSE           (*(volatile __near unsigned char  *)0xFFB7)
#define FSSE_bit       (*(volatile __near __bitf_T *)0xFFB7)
#define ESQST          (((volatile __near __bitf_T *)0xFFB7)->no7)
#define PFCMD          (*(volatile __near unsigned char  *)0xFFC0)
#define PFS            (*(volatile __near unsigned char  *)0xFFC1)
#define PFS_bit        (*(volatile __near __bitf_T *)0xFFC1)
#define FLWE           (*(volatile __near unsigned char  *)0xFFC6)
#define IF2            (*(volatile __near unsigned short *)0xFFD0)
#define IF2L           (*(volatile __near unsigned char  *)0xFFD0)
#define IF2L_bit       (*(volatile __near __bitf_T *)0xFFD0)
#define IF2H           (*(volatile __near unsigned char  *)0xFFD1)
#define IF2H_bit       (*(volatile __near __bitf_T *)0xFFD1)
#define TMIF05         (((volatile __near __bitf_T *)0xFFD0)->no0)
#define TMIF06         (((volatile __near __bitf_T *)0xFFD0)->no1)
#define TMIF07         (((volatile __near __bitf_T *)0xFFD0)->no2)
#define LIN0WUPIF      (((volatile __near __bitf_T *)0xFFD0)->no3)
#define PIF11          (((volatile __near __bitf_T *)0xFFD0)->no3)
#define KRIF           (((volatile __near __bitf_T *)0xFFD0)->no4)
#define RCANGRVCIF     (((volatile __near __bitf_T *)0xFFD0)->no4)
#define RCAN0ERRIF     (((volatile __near __bitf_T *)0xFFD0)->no5)
#define RCAN0WUPIF     (((volatile __near __bitf_T *)0xFFD0)->no6)
#define RCAN0CFRIF     (((volatile __near __bitf_T *)0xFFD0)->no7)
#define RCAN0TRMIF     (((volatile __near __bitf_T *)0xFFD1)->no0)
#define RCANGRFRIF     (((volatile __near __bitf_T *)0xFFD1)->no1)
#define RCANGERRIF     (((volatile __near __bitf_T *)0xFFD1)->no2)
#define TMIF10         (((volatile __near __bitf_T *)0xFFD1)->no3)
#define TMIF11         (((volatile __near __bitf_T *)0xFFD1)->no4)
#define TMIF12         (((volatile __near __bitf_T *)0xFFD1)->no5)
#define TMIF13         (((volatile __near __bitf_T *)0xFFD1)->no6)
#define IF3            (*(volatile __near unsigned short *)0xFFD2)
#define IF3L           (*(volatile __near unsigned char  *)0xFFD2)
#define IF3L_bit       (*(volatile __near __bitf_T *)0xFFD2)
#define IF3H           (*(volatile __near unsigned char  *)0xFFD3)
#define IF3H_bit       (*(volatile __near __bitf_T *)0xFFD3)
#define LIN1WUPIF      (((volatile __near __bitf_T *)0xFFD2)->no0)
#define PIF12          (((volatile __near __bitf_T *)0xFFD2)->no0)
#define LIN1TRMIF      (((volatile __near __bitf_T *)0xFFD2)->no1)
#define LIN1RVCIF      (((volatile __near __bitf_T *)0xFFD2)->no2)
#define LIN1IF         (((volatile __near __bitf_T *)0xFFD2)->no3)
#define LIN1STAIF      (((volatile __near __bitf_T *)0xFFD2)->no3)
#define TMIF14         (((volatile __near __bitf_T *)0xFFD2)->no4)
#define TMIF15         (((volatile __near __bitf_T *)0xFFD2)->no5)
#define TMIF16         (((volatile __near __bitf_T *)0xFFD2)->no6)
#define TMIF17         (((volatile __near __bitf_T *)0xFFD2)->no7)
#define ADGBIF         (((volatile __near __bitf_T *)0xFFD3)->no2)
#define CRAMIF         (((volatile __near __bitf_T *)0xFFD3)->no3)
#define ROMIF          (((volatile __near __bitf_T *)0xFFD3)->no4)
#define MK2            (*(volatile __near unsigned short *)0xFFD4)
#define MK2L           (*(volatile __near unsigned char  *)0xFFD4)
#define MK2L_bit       (*(volatile __near __bitf_T *)0xFFD4)
#define MK2H           (*(volatile __near unsigned char  *)0xFFD5)
#define MK2H_bit       (*(volatile __near __bitf_T *)0xFFD5)
#define TMMK05         (((volatile __near __bitf_T *)0xFFD4)->no0)
#define TMMK06         (((volatile __near __bitf_T *)0xFFD4)->no1)
#define TMMK07         (((volatile __near __bitf_T *)0xFFD4)->no2)
#define LIN0WUPMK      (((volatile __near __bitf_T *)0xFFD4)->no3)
#define PMK11          (((volatile __near __bitf_T *)0xFFD4)->no3)
#define KRMK           (((volatile __near __bitf_T *)0xFFD4)->no4)
#define RCANGRVCMK     (((volatile __near __bitf_T *)0xFFD4)->no4)
#define RCAN0ERRMK     (((volatile __near __bitf_T *)0xFFD4)->no5)
#define RCAN0WUPMK     (((volatile __near __bitf_T *)0xFFD4)->no6)
#define RCAN0CFRMK     (((volatile __near __bitf_T *)0xFFD4)->no7)
#define RCAN0TRMMK     (((volatile __near __bitf_T *)0xFFD5)->no0)
#define RCANGRFRMK     (((volatile __near __bitf_T *)0xFFD5)->no1)
#define RCANGERRMK     (((volatile __near __bitf_T *)0xFFD5)->no2)
#define TMMK10         (((volatile __near __bitf_T *)0xFFD5)->no3)
#define TMMK11         (((volatile __near __bitf_T *)0xFFD5)->no4)
#define TMMK12         (((volatile __near __bitf_T *)0xFFD5)->no5)
#define TMMK13         (((volatile __near __bitf_T *)0xFFD5)->no6)
#define MK3            (*(volatile __near unsigned short *)0xFFD6)
#define MK3L           (*(volatile __near unsigned char  *)0xFFD6)
#define MK3L_bit       (*(volatile __near __bitf_T *)0xFFD6)
#define MK3H           (*(volatile __near unsigned char  *)0xFFD7)
#define MK3H_bit       (*(volatile __near __bitf_T *)0xFFD7)
#define LIN1WUPMK      (((volatile __near __bitf_T *)0xFFD6)->no0)
#define PMK12          (((volatile __near __bitf_T *)0xFFD6)->no0)
#define LIN1TRMMK      (((volatile __near __bitf_T *)0xFFD6)->no1)
#define LIN1RVCMK      (((volatile __near __bitf_T *)0xFFD6)->no2)
#define LIN1MK         (((volatile __near __bitf_T *)0xFFD6)->no3)
#define LIN1STAMK      (((volatile __near __bitf_T *)0xFFD6)->no3)
#define TMMK14         (((volatile __near __bitf_T *)0xFFD6)->no4)
#define TMMK15         (((volatile __near __bitf_T *)0xFFD6)->no5)
#define TMMK16         (((volatile __near __bitf_T *)0xFFD6)->no6)
#define TMMK17         (((volatile __near __bitf_T *)0xFFD6)->no7)
#define ADGBMK         (((volatile __near __bitf_T *)0xFFD7)->no2)
#define CRAMMK         (((volatile __near __bitf_T *)0xFFD7)->no3)
#define ROMMK          (((volatile __near __bitf_T *)0xFFD7)->no4)
#define PR02           (*(volatile __near unsigned short *)0xFFD8)
#define PR02L          (*(volatile __near unsigned char  *)0xFFD8)
#define PR02L_bit      (*(volatile __near __bitf_T *)0xFFD8)
#define PR02H          (*(volatile __near unsigned char  *)0xFFD9)
#define PR02H_bit      (*(volatile __near __bitf_T *)0xFFD9)
#define TMPR005        (((volatile __near __bitf_T *)0xFFD8)->no0)
#define TMPR006        (((volatile __near __bitf_T *)0xFFD8)->no1)
#define TMPR007        (((volatile __near __bitf_T *)0xFFD8)->no2)
#define LIN0WUPPR0     (((volatile __near __bitf_T *)0xFFD8)->no3)
#define PPR011         (((volatile __near __bitf_T *)0xFFD8)->no3)
#define KRPR0          (((volatile __near __bitf_T *)0xFFD8)->no4)
#define RCANGRVCPR0    (((volatile __near __bitf_T *)0xFFD8)->no4)
#define RCAN0ERRPR0    (((volatile __near __bitf_T *)0xFFD8)->no5)
#define RCAN0WUPPR0    (((volatile __near __bitf_T *)0xFFD8)->no6)
#define RCAN0CFRPR0    (((volatile __near __bitf_T *)0xFFD8)->no7)
#define RCAN0TRMPR0    (((volatile __near __bitf_T *)0xFFD9)->no0)
#define RCANGRFRPR0    (((volatile __near __bitf_T *)0xFFD9)->no1)
#define RCANGERRPR0    (((volatile __near __bitf_T *)0xFFD9)->no2)
#define TMPR010        (((volatile __near __bitf_T *)0xFFD9)->no3)
#define TMPR011        (((volatile __near __bitf_T *)0xFFD9)->no4)
#define TMPR012        (((volatile __near __bitf_T *)0xFFD9)->no5)
#define TMPR013        (((volatile __near __bitf_T *)0xFFD9)->no6)
#define PR03           (*(volatile __near unsigned short *)0xFFDA)
#define PR03L          (*(volatile __near unsigned char  *)0xFFDA)
#define PR03L_bit      (*(volatile __near __bitf_T *)0xFFDA)
#define PR03H          (*(volatile __near unsigned char  *)0xFFDB)
#define PR03H_bit      (*(volatile __near __bitf_T *)0xFFDB)
#define LIN1WUPPR0     (((volatile __near __bitf_T *)0xFFDA)->no0)
#define PPR012         (((volatile __near __bitf_T *)0xFFDA)->no0)
#define LIN1TRMPR0     (((volatile __near __bitf_T *)0xFFDA)->no1)
#define LIN1RVCPR0     (((volatile __near __bitf_T *)0xFFDA)->no2)
#define LIN1PR0        (((volatile __near __bitf_T *)0xFFDA)->no3)
#define LIN1STAPR0     (((volatile __near __bitf_T *)0xFFDA)->no3)
#define TMPR014        (((volatile __near __bitf_T *)0xFFDA)->no4)
#define TMPR015        (((volatile __near __bitf_T *)0xFFDA)->no5)
#define TMPR016        (((volatile __near __bitf_T *)0xFFDA)->no6)
#define TMPR017        (((volatile __near __bitf_T *)0xFFDA)->no7)
#define ADGBPR0        (((volatile __near __bitf_T *)0xFFDB)->no2)
#define CRAMPR0        (((volatile __near __bitf_T *)0xFFDB)->no3)
#define ROMPR0         (((volatile __near __bitf_T *)0xFFDB)->no4)
#define PR12           (*(volatile __near unsigned short *)0xFFDC)
#define PR12L          (*(volatile __near unsigned char  *)0xFFDC)
#define PR12L_bit      (*(volatile __near __bitf_T *)0xFFDC)
#define PR12H          (*(volatile __near unsigned char  *)0xFFDD)
#define PR12H_bit      (*(volatile __near __bitf_T *)0xFFDD)
#define TMPR105        (((volatile __near __bitf_T *)0xFFDC)->no0)
#define TMPR106        (((volatile __near __bitf_T *)0xFFDC)->no1)
#define TMPR107        (((volatile __near __bitf_T *)0xFFDC)->no2)
#define LIN0WUPPR1     (((volatile __near __bitf_T *)0xFFDC)->no3)
#define PPR111         (((volatile __near __bitf_T *)0xFFDC)->no3)
#define KRPR1          (((volatile __near __bitf_T *)0xFFDC)->no4)
#define RCANGRVCPR1    (((volatile __near __bitf_T *)0xFFDC)->no4)
#define RCAN0ERRPR1    (((volatile __near __bitf_T *)0xFFDC)->no5)
#define RCAN0WUPPR1    (((volatile __near __bitf_T *)0xFFDC)->no6)
#define RCAN0CFRPR1    (((volatile __near __bitf_T *)0xFFDC)->no7)
#define RCAN0TRMPR1    (((volatile __near __bitf_T *)0xFFDD)->no0)
#define RCANGRFRPR1    (((volatile __near __bitf_T *)0xFFDD)->no1)
#define RCANGERRPR1    (((volatile __near __bitf_T *)0xFFDD)->no2)
#define TMPR110        (((volatile __near __bitf_T *)0xFFDD)->no3)
#define TMPR111        (((volatile __near __bitf_T *)0xFFDD)->no4)
#define TMPR112        (((volatile __near __bitf_T *)0xFFDD)->no5)
#define TMPR113        (((volatile __near __bitf_T *)0xFFDD)->no6)
#define PR13           (*(volatile __near unsigned short *)0xFFDE)
#define PR13L          (*(volatile __near unsigned char  *)0xFFDE)
#define PR13L_bit      (*(volatile __near __bitf_T *)0xFFDE)
#define PR13H          (*(volatile __near unsigned char  *)0xFFDF)
#define PR13H_bit      (*(volatile __near __bitf_T *)0xFFDF)
#define LIN1WUPPR1     (((volatile __near __bitf_T *)0xFFDE)->no0)
#define PPR112         (((volatile __near __bitf_T *)0xFFDE)->no0)
#define LIN1TRMPR1     (((volatile __near __bitf_T *)0xFFDE)->no1)
#define LIN1RVCPR1     (((volatile __near __bitf_T *)0xFFDE)->no2)
#define LIN1PR1        (((volatile __near __bitf_T *)0xFFDE)->no3)
#define LIN1STAPR1     (((volatile __near __bitf_T *)0xFFDE)->no3)
#define TMPR114        (((volatile __near __bitf_T *)0xFFDE)->no4)
#define TMPR115        (((volatile __near __bitf_T *)0xFFDE)->no5)
#define TMPR116        (((volatile __near __bitf_T *)0xFFDE)->no6)
#define TMPR117        (((volatile __near __bitf_T *)0xFFDE)->no7)
#define ADGBPR1        (((volatile __near __bitf_T *)0xFFDF)->no2)
#define CRAMPR1        (((volatile __near __bitf_T *)0xFFDF)->no3)
#define ROMPR1         (((volatile __near __bitf_T *)0xFFDF)->no4)
#define IF0            (*(volatile __near unsigned short *)0xFFE0)
#define IF0L           (*(volatile __near unsigned char  *)0xFFE0)
#define IF0L_bit       (*(volatile __near __bitf_T *)0xFFE0)
#define IF0H           (*(volatile __near unsigned char  *)0xFFE1)
#define IF0H_bit       (*(volatile __near __bitf_T *)0xFFE1)
#define WDTIIF         (((volatile __near __bitf_T *)0xFFE0)->no0)
#define LVIIF          (((volatile __near __bitf_T *)0xFFE0)->no1)
#define PIF0           (((volatile __near __bitf_T *)0xFFE0)->no2)
#define PIF1           (((volatile __near __bitf_T *)0xFFE0)->no3)
#define PIF2           (((volatile __near __bitf_T *)0xFFE0)->no4)
#define PIF3           (((volatile __near __bitf_T *)0xFFE0)->no5)
#define PIF4           (((volatile __near __bitf_T *)0xFFE0)->no6)
#define SPMIF          (((volatile __near __bitf_T *)0xFFE0)->no6)
#define CMPIF0         (((volatile __near __bitf_T *)0xFFE0)->no7)
#define PIF5           (((volatile __near __bitf_T *)0xFFE0)->no7)
#define CLMIF          (((volatile __near __bitf_T *)0xFFE1)->no0)
#define PIF13          (((volatile __near __bitf_T *)0xFFE1)->no0)
#define CSIIF00        (((volatile __near __bitf_T *)0xFFE1)->no1)
#define IICIF00        (((volatile __near __bitf_T *)0xFFE1)->no1)
#define STIF0          (((volatile __near __bitf_T *)0xFFE1)->no1)
#define CSIIF01        (((volatile __near __bitf_T *)0xFFE1)->no2)
#define IICIF01        (((volatile __near __bitf_T *)0xFFE1)->no2)
#define SRIF0          (((volatile __near __bitf_T *)0xFFE1)->no2)
#define TRDIF0         (((volatile __near __bitf_T *)0xFFE1)->no3)
#define TRDIF1         (((volatile __near __bitf_T *)0xFFE1)->no4)
#define TRJIF0         (((volatile __near __bitf_T *)0xFFE1)->no5)
#define RAMIF          (((volatile __near __bitf_T *)0xFFE1)->no6)
#define LIN0TRMIF      (((volatile __near __bitf_T *)0xFFE1)->no7)
#define IF1            (*(volatile __near unsigned short *)0xFFE2)
#define IF1L           (*(volatile __near unsigned char  *)0xFFE2)
#define IF1L_bit       (*(volatile __near __bitf_T *)0xFFE2)
#define IF1H           (*(volatile __near unsigned char  *)0xFFE3)
#define IF1H_bit       (*(volatile __near __bitf_T *)0xFFE3)
#define LIN0RVCIF      (((volatile __near __bitf_T *)0xFFE2)->no0)
#define LIN0IF         (((volatile __near __bitf_T *)0xFFE2)->no1)
#define LIN0STAIF      (((volatile __near __bitf_T *)0xFFE2)->no1)
#define IICAIF0        (((volatile __near __bitf_T *)0xFFE2)->no2)
#define PIF8           (((volatile __near __bitf_T *)0xFFE2)->no3)
#define RTCIF          (((volatile __near __bitf_T *)0xFFE2)->no3)
#define TMIF00         (((volatile __near __bitf_T *)0xFFE2)->no4)
#define TMIF01         (((volatile __near __bitf_T *)0xFFE2)->no5)
#define TMIF02         (((volatile __near __bitf_T *)0xFFE2)->no6)
#define TMIF03         (((volatile __near __bitf_T *)0xFFE2)->no7)
#define ADIF           (((volatile __near __bitf_T *)0xFFE3)->no0)
#define PIF6           (((volatile __near __bitf_T *)0xFFE3)->no1)
#define TMIF11H        (((volatile __near __bitf_T *)0xFFE3)->no1)
#define PIF7           (((volatile __near __bitf_T *)0xFFE3)->no2)
#define TMIF13H        (((volatile __near __bitf_T *)0xFFE3)->no2)
#define PIF9           (((volatile __near __bitf_T *)0xFFE3)->no3)
#define TMIF01H        (((volatile __near __bitf_T *)0xFFE3)->no3)
#define PIF10          (((volatile __near __bitf_T *)0xFFE3)->no4)
#define TMIF03H        (((volatile __near __bitf_T *)0xFFE3)->no4)
#define CSIIF10        (((volatile __near __bitf_T *)0xFFE3)->no5)
#define IICIF10        (((volatile __near __bitf_T *)0xFFE3)->no5)
#define STIF1          (((volatile __near __bitf_T *)0xFFE3)->no5)
#define CSIIF11        (((volatile __near __bitf_T *)0xFFE3)->no6)
#define IICIF11        (((volatile __near __bitf_T *)0xFFE3)->no6)
#define SRIF1          (((volatile __near __bitf_T *)0xFFE3)->no6)
#define TMIF04         (((volatile __near __bitf_T *)0xFFE3)->no7)
#define MK0            (*(volatile __near unsigned short *)0xFFE4)
#define MK0L           (*(volatile __near unsigned char  *)0xFFE4)
#define MK0L_bit       (*(volatile __near __bitf_T *)0xFFE4)
#define MK0H           (*(volatile __near unsigned char  *)0xFFE5)
#define MK0H_bit       (*(volatile __near __bitf_T *)0xFFE5)
#define WDTIMK         (((volatile __near __bitf_T *)0xFFE4)->no0)
#define LVIMK          (((volatile __near __bitf_T *)0xFFE4)->no1)
#define PMK0           (((volatile __near __bitf_T *)0xFFE4)->no2)
#define PMK1           (((volatile __near __bitf_T *)0xFFE4)->no3)
#define PMK2           (((volatile __near __bitf_T *)0xFFE4)->no4)
#define PMK3           (((volatile __near __bitf_T *)0xFFE4)->no5)
#define PMK4           (((volatile __near __bitf_T *)0xFFE4)->no6)
#define SPMMK          (((volatile __near __bitf_T *)0xFFE4)->no6)
#define CMPMK0         (((volatile __near __bitf_T *)0xFFE4)->no7)
#define PMK5           (((volatile __near __bitf_T *)0xFFE4)->no7)
#define CLMMK          (((volatile __near __bitf_T *)0xFFE5)->no0)
#define PMK13          (((volatile __near __bitf_T *)0xFFE5)->no0)
#define CSIMK00        (((volatile __near __bitf_T *)0xFFE5)->no1)
#define IICMK00        (((volatile __near __bitf_T *)0xFFE5)->no1)
#define STMK0          (((volatile __near __bitf_T *)0xFFE5)->no1)
#define CSIMK01        (((volatile __near __bitf_T *)0xFFE5)->no2)
#define IICMK01        (((volatile __near __bitf_T *)0xFFE5)->no2)
#define SRMK0          (((volatile __near __bitf_T *)0xFFE5)->no2)
#define TRDMK0         (((volatile __near __bitf_T *)0xFFE5)->no3)
#define TRDMK1         (((volatile __near __bitf_T *)0xFFE5)->no4)
#define TRJMK0         (((volatile __near __bitf_T *)0xFFE5)->no5)
#define RAMMK          (((volatile __near __bitf_T *)0xFFE5)->no6)
#define LIN0TRMMK      (((volatile __near __bitf_T *)0xFFE5)->no7)
#define MK1            (*(volatile __near unsigned short *)0xFFE6)
#define MK1L           (*(volatile __near unsigned char  *)0xFFE6)
#define MK1L_bit       (*(volatile __near __bitf_T *)0xFFE6)
#define MK1H           (*(volatile __near unsigned char  *)0xFFE7)
#define MK1H_bit       (*(volatile __near __bitf_T *)0xFFE7)
#define LIN0RVCMK      (((volatile __near __bitf_T *)0xFFE6)->no0)
#define LIN0MK         (((volatile __near __bitf_T *)0xFFE6)->no1)
#define LIN0STAMK      (((volatile __near __bitf_T *)0xFFE6)->no1)
#define IICAMK0        (((volatile __near __bitf_T *)0xFFE6)->no2)
#define PMK8           (((volatile __near __bitf_T *)0xFFE6)->no3)
#define RTCMK          (((volatile __near __bitf_T *)0xFFE6)->no3)
#define TMMK00         (((volatile __near __bitf_T *)0xFFE6)->no4)
#define TMMK01         (((volatile __near __bitf_T *)0xFFE6)->no5)
#define TMMK02         (((volatile __near __bitf_T *)0xFFE6)->no6)
#define TMMK03         (((volatile __near __bitf_T *)0xFFE6)->no7)
#define ADMK           (((volatile __near __bitf_T *)0xFFE7)->no0)
#define PMK6           (((volatile __near __bitf_T *)0xFFE7)->no1)
#define TMMK11H        (((volatile __near __bitf_T *)0xFFE7)->no1)
#define PMK7           (((volatile __near __bitf_T *)0xFFE7)->no2)
#define TMMK13H        (((volatile __near __bitf_T *)0xFFE7)->no2)
#define PMK9           (((volatile __near __bitf_T *)0xFFE7)->no3)
#define TMMK01H        (((volatile __near __bitf_T *)0xFFE7)->no3)
#define PMK10          (((volatile __near __bitf_T *)0xFFE7)->no4)
#define TMMK03H        (((volatile __near __bitf_T *)0xFFE7)->no4)
#define CSIMK10        (((volatile __near __bitf_T *)0xFFE7)->no5)
#define IICMK10        (((volatile __near __bitf_T *)0xFFE7)->no5)
#define STMK1          (((volatile __near __bitf_T *)0xFFE7)->no5)
#define CSIMK11        (((volatile __near __bitf_T *)0xFFE7)->no6)
#define IICMK11        (((volatile __near __bitf_T *)0xFFE7)->no6)
#define SRMK1          (((volatile __near __bitf_T *)0xFFE7)->no6)
#define TMMK04         (((volatile __near __bitf_T *)0xFFE7)->no7)
#define PR00           (*(volatile __near unsigned short *)0xFFE8)
#define PR00L          (*(volatile __near unsigned char  *)0xFFE8)
#define PR00L_bit      (*(volatile __near __bitf_T *)0xFFE8)
#define PR00H          (*(volatile __near unsigned char  *)0xFFE9)
#define PR00H_bit      (*(volatile __near __bitf_T *)0xFFE9)
#define WDTIPR0        (((volatile __near __bitf_T *)0xFFE8)->no0)
#define LVIPR0         (((volatile __near __bitf_T *)0xFFE8)->no1)
#define PPR00          (((volatile __near __bitf_T *)0xFFE8)->no2)
#define PPR01          (((volatile __near __bitf_T *)0xFFE8)->no3)
#define PPR02          (((volatile __near __bitf_T *)0xFFE8)->no4)
#define PPR03          (((volatile __near __bitf_T *)0xFFE8)->no5)
#define PPR04          (((volatile __near __bitf_T *)0xFFE8)->no6)
#define SPMPR0         (((volatile __near __bitf_T *)0xFFE8)->no6)
#define CMPPR00        (((volatile __near __bitf_T *)0xFFE8)->no7)
#define PPR05          (((volatile __near __bitf_T *)0xFFE8)->no7)
#define CLMPR0         (((volatile __near __bitf_T *)0xFFE9)->no0)
#define PPR013         (((volatile __near __bitf_T *)0xFFE9)->no0)
#define CSIPR000       (((volatile __near __bitf_T *)0xFFE9)->no1)
#define IICPR000       (((volatile __near __bitf_T *)0xFFE9)->no1)
#define STPR00         (((volatile __near __bitf_T *)0xFFE9)->no1)
#define CSIPR001       (((volatile __near __bitf_T *)0xFFE9)->no2)
#define IICPR001       (((volatile __near __bitf_T *)0xFFE9)->no2)
#define SRPR00         (((volatile __near __bitf_T *)0xFFE9)->no2)
#define TRDPR00        (((volatile __near __bitf_T *)0xFFE9)->no3)
#define TRDPR01        (((volatile __near __bitf_T *)0xFFE9)->no4)
#define TRJPR00        (((volatile __near __bitf_T *)0xFFE9)->no5)
#define RAMPR0         (((volatile __near __bitf_T *)0xFFE9)->no6)
#define LIN0TRMPR0     (((volatile __near __bitf_T *)0xFFE9)->no7)
#define PR01           (*(volatile __near unsigned short *)0xFFEA)
#define PR01L          (*(volatile __near unsigned char  *)0xFFEA)
#define PR01L_bit      (*(volatile __near __bitf_T *)0xFFEA)
#define PR01H          (*(volatile __near unsigned char  *)0xFFEB)
#define PR01H_bit      (*(volatile __near __bitf_T *)0xFFEB)
#define LIN0RVCPR0     (((volatile __near __bitf_T *)0xFFEA)->no0)
#define LIN0PR0        (((volatile __near __bitf_T *)0xFFEA)->no1)
#define LIN0STAPR0     (((volatile __near __bitf_T *)0xFFEA)->no1)
#define IICAPR00       (((volatile __near __bitf_T *)0xFFEA)->no2)
#define PPR08          (((volatile __near __bitf_T *)0xFFEA)->no3)
#define RTCPR0         (((volatile __near __bitf_T *)0xFFEA)->no3)
#define TMPR000        (((volatile __near __bitf_T *)0xFFEA)->no4)
#define TMPR001        (((volatile __near __bitf_T *)0xFFEA)->no5)
#define TMPR002        (((volatile __near __bitf_T *)0xFFEA)->no6)
#define TMPR003        (((volatile __near __bitf_T *)0xFFEA)->no7)
#define ADPR0          (((volatile __near __bitf_T *)0xFFEB)->no0)
#define PPR06          (((volatile __near __bitf_T *)0xFFEB)->no1)
#define TMPR011H       (((volatile __near __bitf_T *)0xFFEB)->no1)
#define PPR07          (((volatile __near __bitf_T *)0xFFEB)->no2)
#define TMPR013H       (((volatile __near __bitf_T *)0xFFEB)->no2)
#define PPR09          (((volatile __near __bitf_T *)0xFFEB)->no3)
#define TMPR001H       (((volatile __near __bitf_T *)0xFFEB)->no3)
#define PPR010         (((volatile __near __bitf_T *)0xFFEB)->no4)
#define TMPR003H       (((volatile __near __bitf_T *)0xFFEB)->no4)
#define CSIPR010       (((volatile __near __bitf_T *)0xFFEB)->no5)
#define IICPR010       (((volatile __near __bitf_T *)0xFFEB)->no5)
#define STPR01         (((volatile __near __bitf_T *)0xFFEB)->no5)
#define CSIPR011       (((volatile __near __bitf_T *)0xFFEB)->no6)
#define IICPR011       (((volatile __near __bitf_T *)0xFFEB)->no6)
#define SRPR01         (((volatile __near __bitf_T *)0xFFEB)->no6)
#define TMPR004        (((volatile __near __bitf_T *)0xFFEB)->no7)
#define PR10           (*(volatile __near unsigned short *)0xFFEC)
#define PR10L          (*(volatile __near unsigned char  *)0xFFEC)
#define PR10L_bit      (*(volatile __near __bitf_T *)0xFFEC)
#define PR10H          (*(volatile __near unsigned char  *)0xFFED)
#define PR10H_bit      (*(volatile __near __bitf_T *)0xFFED)
#define WDTIPR1        (((volatile __near __bitf_T *)0xFFEC)->no0)
#define LVIPR1         (((volatile __near __bitf_T *)0xFFEC)->no1)
#define PPR10          (((volatile __near __bitf_T *)0xFFEC)->no2)
#define PPR11          (((volatile __near __bitf_T *)0xFFEC)->no3)
#define PPR12          (((volatile __near __bitf_T *)0xFFEC)->no4)
#define PPR13          (((volatile __near __bitf_T *)0xFFEC)->no5)
#define PPR14          (((volatile __near __bitf_T *)0xFFEC)->no6)
#define SPMPR1         (((volatile __near __bitf_T *)0xFFEC)->no6)
#define CMPPR10        (((volatile __near __bitf_T *)0xFFEC)->no7)
#define PPR15          (((volatile __near __bitf_T *)0xFFEC)->no7)
#define CLMPR1         (((volatile __near __bitf_T *)0xFFED)->no0)
#define PPR113         (((volatile __near __bitf_T *)0xFFED)->no0)
#define CSIPR100       (((volatile __near __bitf_T *)0xFFED)->no1)
#define IICPR100       (((volatile __near __bitf_T *)0xFFED)->no1)
#define STPR10         (((volatile __near __bitf_T *)0xFFED)->no1)
#define CSIPR101       (((volatile __near __bitf_T *)0xFFED)->no2)
#define IICPR101       (((volatile __near __bitf_T *)0xFFED)->no2)
#define SRPR10         (((volatile __near __bitf_T *)0xFFED)->no2)
#define TRDPR10        (((volatile __near __bitf_T *)0xFFED)->no3)
#define TRDPR11        (((volatile __near __bitf_T *)0xFFED)->no4)
#define TRJPR10        (((volatile __near __bitf_T *)0xFFED)->no5)
#define RAMPR1         (((volatile __near __bitf_T *)0xFFED)->no6)
#define LIN0TRMPR1     (((volatile __near __bitf_T *)0xFFED)->no7)
#define PR11           (*(volatile __near unsigned short *)0xFFEE)
#define PR11L          (*(volatile __near unsigned char  *)0xFFEE)
#define PR11L_bit      (*(volatile __near __bitf_T *)0xFFEE)
#define PR11H          (*(volatile __near unsigned char  *)0xFFEF)
#define PR11H_bit      (*(volatile __near __bitf_T *)0xFFEF)
#define LIN0RVCPR1     (((volatile __near __bitf_T *)0xFFEE)->no0)
#define LIN0PR1        (((volatile __near __bitf_T *)0xFFEE)->no1)
#define LIN0STAPR1     (((volatile __near __bitf_T *)0xFFEE)->no1)
#define IICAPR10       (((volatile __near __bitf_T *)0xFFEE)->no2)
#define PPR18          (((volatile __near __bitf_T *)0xFFEE)->no3)
#define RTCPR1         (((volatile __near __bitf_T *)0xFFEE)->no3)
#define TMPR100        (((volatile __near __bitf_T *)0xFFEE)->no4)
#define TMPR101        (((volatile __near __bitf_T *)0xFFEE)->no5)
#define TMPR102        (((volatile __near __bitf_T *)0xFFEE)->no6)
#define TMPR103        (((volatile __near __bitf_T *)0xFFEE)->no7)
#define ADPR1          (((volatile __near __bitf_T *)0xFFEF)->no0)
#define PPR16          (((volatile __near __bitf_T *)0xFFEF)->no1)
#define TMPR111H       (((volatile __near __bitf_T *)0xFFEF)->no1)
#define PPR17          (((volatile __near __bitf_T *)0xFFEF)->no2)
#define TMPR113H       (((volatile __near __bitf_T *)0xFFEF)->no2)
#define PPR19          (((volatile __near __bitf_T *)0xFFEF)->no3)
#define TMPR101H       (((volatile __near __bitf_T *)0xFFEF)->no3)
#define PPR110         (((volatile __near __bitf_T *)0xFFEF)->no4)
#define TMPR103H       (((volatile __near __bitf_T *)0xFFEF)->no4)
#define CSIPR110       (((volatile __near __bitf_T *)0xFFEF)->no5)
#define IICPR110       (((volatile __near __bitf_T *)0xFFEF)->no5)
#define STPR11         (((volatile __near __bitf_T *)0xFFEF)->no5)
#define CSIPR111       (((volatile __near __bitf_T *)0xFFEF)->no6)
#define IICPR111       (((volatile __near __bitf_T *)0xFFEF)->no6)
#define SRPR11         (((volatile __near __bitf_T *)0xFFEF)->no6)
#define TMPR104        (((volatile __near __bitf_T *)0xFFEF)->no7)
#define MACRL          (*(volatile __near unsigned short *)0xFFF0)
#define MACRH          (*(volatile __near unsigned short *)0xFFF2)
#define PMC            (*(volatile __near unsigned char  *)0xFFFE)
#define PMC_bit        (*(volatile __near __bitf_T *)0xFFFE)
#define MAA            (((volatile __near __bitf_T *)0xFFFE)->no0)


#define INTWDTI                         0x0004
#define INTLVI                          0x0006
#define INTP0                           0x0008
#define INTP1                           0x000A
#define INTP2                           0x000C
#define INTP3                           0x000E
#define INTP4                           0x0010
#define INTSPM                          0x0010
#define INTCMP0                         0x0012
#define INTP5                           0x0012
#define INTCLM                          0x0014
#define INTP13                          0x0014
#define INTCSI00                        0x0016
#define INTIIC00                        0x0016
#define INTST0                          0x0016
#define INTCSI01                        0x0018
#define INTIIC01                        0x0018
#define INTSR0                          0x0018
#define INTTRD0                         0x001A
#define INTTRD1                         0x001C
#define INTTRJ0                         0x001E
#define INTRAM                          0x0020
#define INTLIN0TRM                      0x0022
#define INTLIN0RVC                      0x0024
#define INTLIN0                         0x0026
#define INTLIN0STA                      0x0026
#define INTIICA0                        0x0028
#define INTP8                           0x002A
#define INTRTC                          0x002A
#define INTTM00                         0x002C
#define INTTM01                         0x002E
#define INTTM02                         0x0030
#define INTTM03                         0x0032
#define INTAD                           0x0034
#define INTP6                           0x0036
#define INTTM11H                        0x0036
#define INTP7                           0x0038
#define INTTM13H                        0x0038
#define INTP9                           0x003A
#define INTTM01H                        0x003A
#define INTP10                          0x003C
#define INTTM03H                        0x003C
#define INTCSI10                        0x003E
#define INTIIC10                        0x003E
#define INTST1                          0x003E
#define INTCSI11                        0x0040
#define INTIIC11                        0x0040
#define INTSR1                          0x0040
#define INTTM04                         0x0042
#define INTTM05                         0x0044
#define INTTM06                         0x0046
#define INTTM07                         0x0048
#define INTLIN0WUP                      0x004A
#define INTP11                          0x004A
#define INTKR                           0x004C
#define INTRCANGRVC                     0x004C
#define INTRCAN0ERR                     0x004E
#define INTRCAN0WUP                     0x0050
#define INTRCAN0CFR                     0x0052
#define INTRCAN0TRM                     0x0054
#define INTRCANGRFR                     0x0056
#define INTRCANGERR                     0x0058
#define INTTM10                         0x005A
#define INTTM11                         0x005C
#define INTTM12                         0x005E
#define INTTM13                         0x0060
#define INTFL                           0x0062
#define INTLIN1WUP                      0x0064
#define INTP12                          0x0064
#define INTLIN1TRM                      0x0066
#define INTLIN1RVC                      0x0068
#define INTLIN1                         0x006A
#define INTLIN1STA                      0x006A
#define INTTM14                         0x006C
#define INTTM15                         0x006E
#define INTTM16                         0x0070
#define INTTM17                         0x0072
#define INTADGB                         0x0078
#define INTCRAM                         0x007A
#define INTROM                          0x007C

#endif
